2003-12-25  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/demos/Makefile.am: Update

2003-12-23  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* README: Update.

2003-12-23  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac: Update.
	* src/demos/universal/Makefile.am: New.
	* src/demos/universal/universal.cc: New.

2003-12-22  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx:
	  Remove unused comments.
	* src/tests/algebra/series/krat/main/krat_exp_verbalization_test.hh:
	  Add new tests.

2003-12-22  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/demos/samples/algorithms/derivatives_automaton.cc:
	  Typo.
	* doc/beginner/help.tex: Update.

2003-12-22  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/letter_to_letter_composition.hxx:
	  Minor fix.

2003-12-10  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am: Update.
	* include/vaucanson/algorithms/letter_to_letter_composition.hh:
	    Fix missing header.
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx:
	    Fix typename.

2003-12-10  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/letter_to_letter_composition.h[h,xx]:
	   New.

2003-12-10  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* doc/tutorial/Makefile.am: Remove from distribution
	    until update.

2003-12-08  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac: Update.

2003-12-08  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hxx:
	    Fix uninitialized set in var.
	* include/vaucanson/algorithms/product.hxx:
	    Fix unused var.
	* include/vaucanson/algorithms/extension.hxx: Likewise.
	* src/demos/fibonacci/fibonacci.cc: Use verbalize.

2003-12-08  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/series_base.hxx,
	  include/vaucanson/algebra/concrete/series/transpose.hxx:
	    Fix no return warning.
        * include/vaucanson/algorithms/projection.hxx: Fix unused var.
	* src/demos/fibonacci/fibonacci.cc: Minor. Fix unused var.

2003-12-08  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am: Add krat_exp_verbalization.*.
	* src/tests/algebra/series/krat/main/Makefile.am:
	  Add krat_exp_verbalization_test.hh

2003-11-27  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/standard.hxx (do_in_standardize):
	   Fix.
	* src/demos/fibonacci/fibonacci.cc: Typo.

2003-11-27  Valentin David  <valentin@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx:
	Add missing header.
	* include/vaucanson/tools/dot_format.hxx: Fix unused parameters.
	* include/vaucanson/tools/dot_dump.hxx: Fix constness.

2003-11-26  Yann Régis-Gianas  <yann@lrde.epita.fr>

      * src/tests/check/tester.hh (EQTEST):
	   Display more information when verbose is high.
      * include/vaucanson/algebra/concrete/series/krat.hxx: Remove FIXME.
      * include/vaucanson/algebra/concrete/series/krat_exp_support.hxx: Fix.
      * include/vaucanson/algebra/concrete/series/krat_exp_verbalization.h{h,xx}: New.
      * src/tests/algebra/series/krat/main/krat_exp_verbalization_test.hh: New.

2003-11-26  Yann Régis-Gianas  <yann@lrde.epita.fr>

          * include/vaucanson/fundamental: Move to ...
	  * include/vaucanson/design_pattern: here.
          * src/tests/fundamental: Move to ...
	  * src/tests/design_pattern: here.
          * include/vaucanson/fundamental/fundamental.hh: Move to ...
	  * include/vaucanson/design_pattern/design_pattern.hh: here.
	  * configure.ac
	  src/tests/Makefile.am
	  src/tests/bin/generate-test-suite.sh
	  doc/tutorial/tutorial.tex
          include/Makefile.am
	  include/vaucanson/vaucanson.hh
	  include/vaucanson/misc/container_ops.hxx
	  include/vaucanson/misc/container_ops.hh
	  include/vaucanson/design_pattern/default_ops.hh
	  include/vaucanson/design_pattern/default_ops.hxx
	  include/vaucanson/design_pattern/element.hh
	  include/vaucanson/design_pattern/element.hxx
	  include/vaucanson/design_pattern/meta_element_root.hh
	  include/vaucanson/design_pattern/meta_element_root.hxx
	  include/vaucanson/design_pattern/element_ops.hh
	  include/vaucanson/design_pattern/element_ops.hxx
	  include/vaucanson/design_pattern/design_pattern.hh
	  include/vaucanson/design_pattern/syntactic_decorator.hh
	  include/vaucanson/design_pattern/syntactic_decorator.hxx
	  include/vaucanson/design_pattern/element_op_traits.hh
	  include/vaucanson/design_pattern/predecls.hh
	  include/vaucanson/design_pattern/slots.hh
	  include/vaucanson/design_pattern/slots.hxx
	  include/vaucanson/design_pattern/structure.hh
	  include/vaucanson/design_pattern/structure.hxx
	  src/tests/design_pattern/Makefile.am
	  src/tests/design_pattern/design_pattern-test.hh
	  src/tests/design_pattern/element-full-test.cc
	  src/tests/design_pattern/intrinsics.hh
	  include/vaucanson/algebra/concept/alphabets_base.hh
	  include/vaucanson/algebra/concept/semigroup_base.hh
	  include/vaucanson/algebra/concept/semigroup_base.hxx
	  include/vaucanson/algebra/concrete/series/krat_exp_parser.hh
	  include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh
	  include/vaucanson/algebra/concrete/series/krat_coefficient.hh
	  include/vaucanson/algebra/concrete/series/polynoms.hh
	  include/vaucanson/algebra/concrete/series/polynoms.hxx
	  include/vaucanson/algebra/concrete/series/rat/exp.hh
	  include/vaucanson/algebra/concrete/series/rat/exp.hxx
	  include/vaucanson/algebra/concrete/series/series.hh
	  src/tests/algebra/alphabets/alphabet_test.hh
	  src/tests/algebra/free_monoid/free_monoid_test.hh
	  src/tests/algebra/series/krat/main/krat_exp_parse_test.hh
	  src/tests/algebra/series/krat/main/krat_exp_derivation_test.hh
	  src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh
	  src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh
	  src/tests/algebra/series/misc/series_test.hh
	  include/vaucanson/automata/concept/automata.hh
	  include/vaucanson/automata/concept/automata_base.hh
	  include/vaucanson/automata/concept/kinds.hh
	  include/vaucanson/automata/concept/kinds.hxx
	  include/vaucanson/automata/concept/transducer_ops.hh
	  include/vaucanson/automata/concept/transducer.hh
	  include/vaucanson/automata/concept/transducer_base.hh
	  include/vaucanson/automata/concrete/transpose_view.hh
	  src/tests/automata/implementation_check/add_edge_test.hh
	  src/tests/automata/implementation_check/add_state_test.hh
	  src/tests/automata/implementation_check/global_consistency_test.hh
	  src/tests/automata/implementation_check/init_final_test.hh
	  include/vaucanson/algorithms/eval.hh
	  include/vaucanson/algorithms/determinize.hh
	  include/vaucanson/algorithms/isomorph.hh
	  include/vaucanson/algorithms/isomorph.hxx
	  include/vaucanson/algorithms/aci_canonical.hh
	  include/vaucanson/algorithms/krat_exp_partial_derivation.hh
	  include/vaucanson/algorithms/krat_exp_constant_term.hh
	  include/vaucanson/algorithms/krat_exp_derivation.hh
	  include/vaucanson/algorithms/krat_exp_cderivation.hh
	  include/vaucanson/algorithms/krat_exp_realtime.hh
	  include/vaucanson/algorithms/krat_exp_linearize.hh
	  include/vaucanson/algorithms/is_realtime.hh
	  include/vaucanson/algorithms/is_normalized.hh
	  include/vaucanson/algorithms/is_letterized.hh
	  include/vaucanson/algorithms/finite_support_conversion.hh
	  include/vaucanson/tools/gen_random.hh
	  include/vaucanson/tools/usual.hh
	  src/tests/automata/algos/closure_test.hh
	  src/tests/automata/algos/complete_test.hh
	  src/tests/automata/algos/compute_test.hh
	  src/tests/automata/algos/concat_test.hh
	  src/tests/automata/algos/determinist_test.hh
	  src/tests/automata/algos/elimination_test.hh
	  src/tests/automata/algos/extract_test.hh
	  src/tests/automata/algos/generalized_test.hh
	  src/tests/automata/algos/glushkov_test.hh
	  src/tests/automata/algos/minimization_test.hh
	  src/tests/automata/algos/normalize_test.hh
	  src/tests/automata/algos/product_test.hh
	  src/tests/automata/algos/reachable_test.hh
	  src/tests/automata/algos/realtime_test.hh
	  src/tests/automata/algos/thompson_test.hh
	  src/tests/automata/algos/sum_test.hh
	  src/tests/automata/algos/in_concat_test.hh
	  src/tests/tests-suites/algebra_set_alphabet.defs
	  src/demos/samples/algebra/decorated_alphabet.cc
	  src/demos/samples/algorithms/derivatives_automaton.cc
	  src/demos/vgrep/vgrep.cc
	  include/vaucanson/vaucanson_boolean_automaton.hh
	  include/vaucanson/vaucanson_z_max_plus_automaton.hh
	  include/vaucanson/vaucanson_z_automaton.hh
	  include/vaucanson/vaucanson_r_automaton.hh:
	    Update reference to design_pattern.

2003-11-25  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/unique.hxx: Add missing inline.
	* include/vaucanson/tools/dot_dump.hxx: Fix an unused argument warning.

2003-11-15  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* doc/doxy.in (INPUT): Remove doc/src.

2003-11-15  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_print.h{hxx}: New.

2003-11-14  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/demos/fibonacci/Makefile.am,
	  src/demos/fibonacci/fibonacci.cc: New.

2003-11-05  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/product.hxx:
	   Remove debugging code.
	* include/vaucanson/tools/dot_dump.hh: Fix missing includes.
	* include/vaucanson/tools/dot_format.hxx: Likewise.
	* src/demos/vgrep/vgrep.cc: Do not use 'getopt.h' anymore.
	* include/vaucanson/algorithms/projection.hxx:
	  Include map and explicit std::.
	* include/vaucanson/tools/dot_dump.hxx: Fix missing includes.

2003-11-05  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/fsm_dump.h[h,xx]: New.
        * include/Makefile.am: Distribute them.

2003-11-05  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/demos/vgrep/vgrep.cc: Use getopt instead of getopt_long.

2003-10-30  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* doc/src/main.dox,
	  doc/vaucanson.doxywizard: Remove.

2003-10-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am (dot_dump.hxx): New.

2003-10-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/free_monoid/str_words.hxx:
		Fix typo.
	* include/vaucanson/algebra/concrete/series/krat.hxx:
		Return symbolic series identity instead of polynom.
	* include/vaucanson/automata/concept/automata_ops.hxx:
		Fix missing set.
	* include/vaucanson/automata/concept/transducer_ops.hh:
		(op_add_io_edge): New version with two words.
	* include/vaucanson/automata/concept/transducer_base.hxx:
	  include/vaucanson/automata/concept/transducer_ops.hxx:
		Implement and use it.
	* include/vaucanson/algorithms/product.hxx: Fix a major bug.
	* include/vaucanson/algorithms/standard.hxx:
		Disable initial weight since krat::get is broken.
	* include/vaucanson/tools/dot_dump.hh: Move implementation ...
	* include/vaucanson/tools/dot_dump.hxx: New. ... here.
	* include/vaucanson/tools/dot_format.hh,
	  include/vaucanson/tools/dot_format.hxx (transducer_dot): New.
	* include/vaucanson/tools/io.h[xx,h]: Fix many typo.
	* include/vaucanson/algorithms/projection.hxx: Minor change.

2003-10-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/bitset.hxx: Fix type error.
	* include/vaucanson/misc/bitset.hh: Likewise.
	* include/vaucanson/algorithms/evaluation.hxx: Fix.

2003-10-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* doc/beginner/Makefile.am: Distribute .tex.

2003-10-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac (doc/beginner): New Makefile.
	* src/tests/sanity/generate_files.sh: Minor fix.
	* doc/Makefile.am (beginner): New subdir.
	* include/Makefile.am: Distribute new files.
	* include/vaucanson/tools/usual_io.hxx: Fix typo.
	* include/vaucanson/vaucanson_z_max_plus.hxx: New.
	* include/vaucanson/vaucanson_z_max_plus_automaton.hxx: Likewise.
	* include/vaucanson/vaucanson_z_max_plus_automaton.hh: Likewise.
	* include/vaucanson/vaucanson_z_automaton.hxx: Likewise.
	* include/vaucanson/vaucanson_z_automaton.hh: Likewise.
	* include/vaucanson/vaucanson_r_automaton.hxx: Likewise.
	* include/vaucanson/vaucanson_r_automaton.hh: Likewise.
	* include/vaucanson/standard_algorithms.hh: Likewise.
	* doc/beginner/help.tex: Likewise.
	* doc/beginner/Makefile.am: Likewise.
	* doc/beginner/macros.tex: Likewise.
	* doc/beginner/packages.tex: Likewise.

2003-10-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/series_base.hxx
	 include/vaucanson/algebra/concrete/series/krat_exp_support.hxx
	 include/vaucanson/automata/concept/automata_base.hh
	 include/vaucanson/automata/concept/automata_base.hxx
	 include/vaucanson/automata/concept/automata_ops.hxx
	 include/vaucanson/automata/concept/automata_ops.hh
	 include/vaucanson/automata/concept/transducer_ops.hh
	 include/vaucanson/automata/concept/transducer_base.hh
	 include/vaucanson/automata/concept/transducer.hxx
	 include/vaucanson/automata/concept/transducer_base.hxx
	 include/vaucanson/automata/concept/transducer_ops.hxx
	 include/vaucanson/automata/concrete/kind_adapter.hh
	 include/vaucanson/automata/concrete/transpose_view.hh
	 include/vaucanson/automata/concrete/transpose_view.hxx
	 include/vaucanson/automata/concrete/automaton_view.hh
	 include/vaucanson/automata/concrete/automaton_view.hxx
	 include/vaucanson/algorithms/determinize.hxx
	 include/vaucanson/algorithms/hopcroft_minimization.hxx
	 include/vaucanson/algorithms/krat_exp_linearize.hxx
	 include/vaucanson/algorithms/is_normalized.hxx
	 include/vaucanson/algorithms/is_letterized.hxx
	 include/vaucanson/tools/usual_macros.hh
	 include/vaucanson/tools/usual_io.hxx
	 include/vaucanson/tools/usual_io.hh
	 src/demos/vaucanswig/meta/context.hh
	 src/demos/vaucanswig/meta/automaton.hh
	 include/vaucanson/algorithms/evaluation.hxx
	 include/vaucanson/algorithms/extension.hxx:
	    Rename 'serie_t' to 'series_elt_t'.

2003-10-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_base.hh,
	  include/vaucanson/automata/concept/automata_base.hh:
	  (add_spontaneous): Provide weighted version.
	* include/vaucanson/automata/concept/automata_ops.hxx,
	  include/vaucanson/automata/concept/automata_ops.hh:
	  (op_add_spontaneous):  Use a new parameter.
	* include/vaucanson/automata/concrete/graph.hxx: Minor change.
	* include/vaucanson/algorithms/product.hxx: Fix.
	* include/vaucanson/algorithms/standard.hxx:
	  (do_in_standardize): Implement.
	* include/vaucanson/algorithms/realtime_composition.hxx,
	  include/vaucanson/algorithms/projection.hxx,
	  include/vaucanson/algorithms/extension.hxx:
	  Fix unused parameters.
	* include/vaucanson/algorithms/evaluation.hxx:
	  Fix unused parameters and inconsistent sets.

2003-10-14  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/limits.hh:
		Fix missing type specialization.

2003-10-14  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac: Add Makefile for fibonacci.
	* include/vaucanson/misc/unique.hh: Use template class
		UniqueListBase instead of uniquelist_base.
	* include/vaucanson/automata/concept/transducer_base.hxx:
		Fix missing method.
	* include/vaucanson/automata/concrete/graph.hh:
		Fix missing traits.
	* include/vaucanson/algorithms/determinize.hh:
		Add a algorithm version to store states origin.
	* include/vaucanson/algorithms/determinize.hxx:
		Implement it.
	* include/vaucanson/algorithms/product.h[h,xx]: Likewise.
	* src/demos/Makefile.am: Add fibonacci SUBDIRS.
	* include/vaucanson/algorithms/realtime_composition.hxx,
	  include/vaucanson/algorithms/extension.hxx,
	  include/vaucanson/algorithms/projection.hxx,
	  include/vaucanson/algorithms/evaluation.hxx:
			Fix typedef use.

2003-10-07  Yann Régis-Gianas  <yann@lrde.epita.fr>

   * include/vaucanson/misc/random.hh
     include/vaucanson/misc/support.hh
     include/vaucanson/misc/container_ops.hh
     include/vaucanson/misc/unique.hh
     include/vaucanson/fundamental/default_ops.hh
     include/vaucanson/fundamental/element.hh
     include/vaucanson/fundamental/meta_element_root.hh
     include/vaucanson/fundamental/element_ops.hh
     include/vaucanson/fundamental/syntactic_decorator.hh
     include/vaucanson/fundamental/slots.hh
     include/vaucanson/fundamental/structure.hh
     include/vaucanson/algebra/concept/alphabets_base.hh
     include/vaucanson/algebra/concept/freemonoid_base.hh
     include/vaucanson/algebra/concept/monoid_base.hh
     include/vaucanson/algebra/concept/semigroup_base.hh
     include/vaucanson/algebra/concept/semiring_base.hh
     include/vaucanson/algebra/concept/series_base.hh
     include/vaucanson/algebra/concrete/letter/couple_letter.hh
     include/vaucanson/algebra/concrete/alphabets/decorated_alphabet.hh
     include/vaucanson/algebra/concrete/alphabets/set_alphabet.hh
     include/vaucanson/algebra/concrete/free_monoid/str_words.hh
     include/vaucanson/algebra/concrete/free_monoid/words.hh
     include/vaucanson/algebra/concrete/letter/range.hh
     include/vaucanson/algebra/concrete/semiring/numerical_semiring.hh
     include/vaucanson/algebra/concrete/semiring/tropical_semiring.hh
     include/vaucanson/algebra/concrete/series/generalized.hh
     include/vaucanson/algebra/concrete/series/krat.hh
     include/vaucanson/algebra/concrete/series/krat_conversion.hh
     include/vaucanson/algebra/concrete/series/krat_exp_parser.hh
     include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh
     include/vaucanson/algebra/concrete/series/krat_coefficient.hh
     include/vaucanson/algebra/concrete/series/polynoms.hh
     include/vaucanson/algebra/concrete/series/rat/depth_visitor.hh
     include/vaucanson/algebra/concrete/series/rat/dump_visitor.hh
     include/vaucanson/algebra/concrete/series/rat/exp.hh
     include/vaucanson/algebra/concrete/series/rat/nodes.hh
     include/vaucanson/algebra/concrete/series/rat/random_visitor.hh
     include/vaucanson/algebra/concrete/series/series.hh
     include/vaucanson/algebra/concrete/series/transpose.hh
     include/vaucanson/automata/concept/automata.hh
     include/vaucanson/automata/concept/automata_base.hh
     include/vaucanson/automata/concept/copy.hh
     include/vaucanson/automata/concept/handlers.hh
     include/vaucanson/automata/concept/kinds.hh
     include/vaucanson/automata/concept/tags.hh
     include/vaucanson/automata/concept/translate.hh
     include/vaucanson/automata/concept/automata_ops.hh
     include/vaucanson/automata/concept/history.hh
     include/vaucanson/automata/concept/transducer_ops.hh
     include/vaucanson/automata/concept/transducer.hh
     include/vaucanson/automata/concept/transducer_base.hh
     include/vaucanson/automata/concrete/graph.hh
     include/vaucanson/automata/concrete/kind_adapter.hh
     include/vaucanson/automata/concrete/generalized.hh
     include/vaucanson/automata/concrete/transpose_view.hh
     include/vaucanson/automata/concrete/automaton_view.hh
     include/vaucanson/algorithms/complement.hh
     include/vaucanson/algorithms/complete.hh
     include/vaucanson/algorithms/eval.hh
     include/vaucanson/algorithms/concatenate.hh
     include/vaucanson/algorithms/determinize.hh
     include/vaucanson/algorithms/aut_to_exp.hh
     include/vaucanson/algorithms/sub_automaton.hh
     include/vaucanson/algorithms/standard_of.hh
     include/vaucanson/algorithms/hopcroft_minimization.hh
     include/vaucanson/algorithms/isomorph.hh
     include/vaucanson/algorithms/brzozowski.hh
     include/vaucanson/algorithms/aci_canonical.hh
     include/vaucanson/algorithms/internal/build_pattern.hh
     include/vaucanson/algorithms/minimization_moore.hh
     include/vaucanson/algorithms/normalized.hh
     include/vaucanson/algorithms/product.hh
     include/vaucanson/algorithms/accessible.hh
     include/vaucanson/algorithms/realtime.hh
     include/vaucanson/algorithms/standard.hh
     include/vaucanson/algorithms/thompson.hh
     include/vaucanson/algorithms/transpose.hh
     include/vaucanson/algorithms/trim.hh
     include/vaucanson/algorithms/sum.hh
     include/vaucanson/algorithms/berry_sethi.hh
     include/vaucanson/algorithms/derivatives_automaton.hh
     include/vaucanson/algorithms/krat_exp_partial_derivation.hh
     include/vaucanson/algorithms/krat_exp_constant_term.hh
     include/vaucanson/algorithms/krat_exp_derivation.hh
     include/vaucanson/algorithms/krat_exp_cderivation.hh
     include/vaucanson/algorithms/krat_exp_realtime.hh
     include/vaucanson/algorithms/krat_exp_linearize.hh
     include/vaucanson/algorithms/forward_closure.hh
     include/vaucanson/algorithms/backward_closure.hh
     include/vaucanson/algorithms/forward_realtime.hh
     include/vaucanson/algorithms/backward_realtime.hh
     include/vaucanson/algorithms/internal/partial_rat_exp.hh
     include/vaucanson/algorithms/is_realtime.hh
     include/vaucanson/algorithms/is_normalized.hh
     include/vaucanson/algorithms/is_letterized.hh
     include/vaucanson/algorithms/finite_support_conversion.hh
     include/vaucanson/tools/gen_book.hh
     include/vaucanson/tools/gen_random.hh
     include/vaucanson/tools/usual.hh
     include/vaucanson/tools/dot_format.hh
     include/vaucanson/tools/io.hh
     include/vaucanson/tools/simple_format.hh
     include/vaucanson/tools/usual_io.hh
     include/vaucanson/misc/window.hh
     include/vaucanson/misc/bitset.hh
     include/vaucanson/algorithms/search.hh
     include/vaucanson/algorithms/realtime_composition.hh
     include/vaucanson/algorithms/extension.hh
     include/vaucanson/algorithms/projection.hh
     include/vaucanson/vaucanson_boolean_automaton.hh:
	Add #ifndef VCSN_USE_INTERFACE_ONLY.

2003-10-07  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/normalized.hxx:
		Fix macro usage.

2003-10-06  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/isomorph.hxx: Fix macro usage.
	* include/vaucanson/algorithms/minimization_moore.hxx: Likewise.
	* include/vaucanson/algorithms/normalized.hxx:
		Fix missing AUTOMATON_TYPES.

2003-10-06  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/isomorph.hxx,
	  include/vaucanson/algorithms/minimization_moore.hxx
	  include/vaucanson/algorithms/normalized.hxx
	  include/vaucanson/algorithms/projection.hxx:
		Use new macros.

2003-10-06  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac: Add with-vaucanswig option.
	* src/demos/Makefile.am: Use optional subdir.

2003-10-06  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac: New version (0.4).
	* src/tests/fundamental/Makefile.am: Distribute design_pattern-test.hh.
	* src/tests/algebra/semiring/semiring_test.hh: Update.
	* src/tests/automata/implementation_check/Makefile.am:
		Fix missing files.
	* src/tests/automata/algos/Makefile.am: Likewise.

2003-10-03  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/determinize.hxx,
	  include/vaucanson/algorithms/hopcroft_minimization.hxx,
	  include/vaucanson/algorithms/evaluation.hxx:
		Use new macros.

	* include/vaucanson/tools/usual_macros.hh:
		Protect container in macro call.

2003-10-03  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/eval.hxx,
	  include/vaucanson/algorithms/backward_closure.hxx,
	  include/vaucanson/algorithms/evaluation.hxx:
		Use new macros.

2003-10-03  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hxx,
	  include/vaucanson/algorithms/accessible.hxx:
		Use new macros.

2003-10-03  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/product.hxx:
		- Clean
		- Use new macros.

2003-10-03  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/check/unique.cc: Do not use unique.hcc.
	* include/vaucanson/algorithms/product.hh: Remove 'diagonal' stuff.
	* include/vaucanson/algorithms/product.hxx: Likewise.
	* include/vaucanson/tools/usual_macros.hh:
		(for_all(_|_const)?): New.

2003-10-02  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/unique.hh,
	* include/vaucanson/misc/unique.hxx:
		Try a trick for the removal of unique.hcc.
	* include/vaucanson/misc/unique.hcc: Minor.

	* src/demos/samples/algorithms/derivatives_automaton.cc,
	  src/demos/vgrep/vgrep.cc,
	  src/demos/vaucanswig/meta/vauto.cc: Do not use
		unique.hcc anymore.


	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	  include/vaucanson/algebra/concept/freemonoid_base.hxx,
	  include/vaucanson/algebra/concept/monoid_base.hxx,
	  include/vaucanson/algebra/concept/semiring_base.hxx,
	  include/vaucanson/algebra/concept/series_base.hxx,
	  include/vaucanson/algebra/concrete/alphabets/decorated_alphabet.hxx,
	  include/vaucanson/automata/concept/automata_base.hxx,
	  include/vaucanson/automata/concept/automata_ops.hxx,
	  include/vaucanson/automata/concept/history.hxx,
	  include/vaucanson/automata/concept/transducer_base.hh,
	  include/vaucanson/automata/concept/transducer_base.hxx,
	  include/vaucanson/automata/concrete/transpose_view.hxx,
	  include/vaucanson/automata/concrete/automaton_view.hxx,
	  include/vaucanson/algorithms/determinize.hxx,
	  include/vaucanson/algorithms/hopcroft_minimization.hxx,
	  include/vaucanson/algorithms/minimization_moore.hxx,
	  include/vaucanson/algorithms/product.hxx,
	  include/vaucanson/algorithms/sum.hxx,
	  include/vaucanson/tools/usual_macros.hh: Be g++-3.4 compliant
		- add "this->" when the compiler fails to resolve
		  self method call,
		- add explicit inheritance of typedef in hairy
		  inheritance between template classes.
		- fix new error detected by g++-3.4.

2003-10-02  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am: Adjust.

2003-10-02  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/vaucanson_boolean_automaton.hh,
	  include/vaucanson/vaucanson_boolean_automaton.hxx: New.

2003-09-25  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/sanity/generate_files.sh:
		Fix.

2003-09-25  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/sanity/generate_files.sh:
		Depend on include/Makefile.am
	* include/Makefile.am: Update.

2003-09-25  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/extension.hh,
	  include/vaucanson/algorithms/extension.hxx,
          include/vaucanson/algorithms/projection.hh,
          include/vaucanson/algorithms/projection.hxx: New.

2003-09-25  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac: Configure awk.
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	  include/vaucanson/algorithms/evaluation.hxx: Fix include.

2003-09-25  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime_composition.hh,
	  include/vaucanson/algorithms/realtime_composition.hxx,
	  include/vaucanson/algorithms/evaluation.hh,
	  include/vaucanson/algorithms/evaluation.hxx: New.

2003-09-23  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/polynoms.hxx:
		Fix include and typo.

2003-09-16  Loïc Fosse  <loic@lrde.pita.fr>

	* include/vaucanson/algebra/concrete/series/polynoms.hxx: Add square
	  brackets in escaped characters set.
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx: Likewise.
	* include/vaucanson/tools/simple_format.hxx: Change simple format.

2003-09-10  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/bitset.hxx: Make the comparisons use
	the content of the set, not just pointers to the content.

2003-09-10  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hh: Add op_convert
	  declarations.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Change an
	  op_convert argument.
	* include/vaucanson/algebra/concrete/series/polynoms.hh: Add op_convert
	  declarations.
	* include/vaucanson/algebra/concrete/series/polynoms.hxx: Add op_convert
	  functions and make op_rout compatible with parser.

2003-09-10  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/window.hxx: Typo.
	* include/vaucanson/algorithms/search.hh: Document.
	* include/vaucanson/algorithms/search.hxx: Fix and clean. Do not use
	transpose and sub_automaton anymore.
	* include/vaucanson/misc/bitset.hh: Effectively do the last change,
	which has been forgotten (bugfix).

2003-09-10  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/misc/bitset.cc: New. Add tests for misc::Bitset.
	* src/tests/misc/Makefile.am: Update.
	* include/vaucanson/misc/bitset.hxx, include/vaucanson/misc/bitset.hh:
	Fix bugs pointed out by the new testsuite. Add preconditions.

2003-09-09  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_base.hxx (rdelta),
	* include/vaucanson/automata/concept/automata_ops.hxx (op_rdelta): Fix
	bugs.
	* include/vaucanson/automata/concrete/graph.hxx: Add a specialization
	of op_rdelta for Graph.
	* src/tests/automata/implementation_check/rdelta_test.hh: Add more
	tests for rdelta.

2003-09-08  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/tests-suites/generate-all.sh: Generate algorithms tests.
	* src/tests/automata/algos/sub_automaton_test.hh: New test.

2003-09-08  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/misc/support.hh,
	* include/vaucanson/misc/support.hxx: Add a max() method to
	SparseInterval and Support. Add an == operator to SupportIterator.

2003-09-05  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algorithms/search.hxx,
	* include/vaucanson/algorithms/search.hh: New. This file contains an
	algorithm able to skip characters to perform search with automata
	on streams.
	* include/Makefile.am: Update.
	* NEWS: Update and mention Bitset, Window and search.

2003-09-05  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/window.hxx, include/vaucanson/misc/window.hh:
	Add a Window::moveto method which takes an iterator as argument. Add
	an accessor to eol_ named eol_value().
	* include/vaucanson/misc/bitset.hxx, include/vaucanson/misc/bitset.hh:
	Specialize std::insert_iterator for Bitset.

2003-09-05  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/finite_support_conversion.hh: Remove
	  invalid character.

2003-09-05  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx:
	  Correct namespaces and op_mul calls.

2003-09-05  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/bitset.hxx, include/vaucanson/misc/bitset.hh:
	Fix Bitset::iterator and Bitset::const_iterator.

2003-09-05  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/window.hxx, include/vaucanson/misc/window.hh:
	Add begin(), stream() and end() accessors to the Window class.

2003-09-04  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/derivatives_automaton.hxx: Disable debug
	  macro by default.
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx: Correct
	  conversion to PartialExp.

2003-09-04  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/bitset.hxx: New.
	* include/vaucanson/misc/bitset.hh: New.
	* include/Makefile.am: Update.

2003-09-04  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/window.hxx: New.
	* include/vaucanson/misc/window.hh: New.
	* include/Makefile.am: Update.

2003-09-04  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx: Add
	a missing ';'.

2003-08-29  Raphaël Poss  <raph@lrde.epita.fr>

	* include/Makefile.am  (nobase_include_HEADERS): Remove dangling
	reference to tropical_semiring.hxx.
	* configure.ac: Change mechanism to force the C compiler.

2003-08-17  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algorithms/finite_support_conversion.hh: Add
	missing comment delimiter.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Mention FIXME.
	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx: Mention
	bugs.

2003-08-17  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algorithms/finite_support_conversion.hh: Document.

2003-07-25  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/concept/tropical_semiring.hh: Remove
	useless and buggy structs NonStareableInterval.
	* include/vaucanson/algebra/concept/tropical_semiring.hxx: Delete.

2003-07-25  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx:
	Fix `starable' implementations.

2003-07-24  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/derivatives_automaton.hxx: Add temporary
	  debug macro.
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx:
	  Fix a bug.
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx: Correct
	  operators on PartialExp.

2003-07-23  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/tests/automata/implementation_check/rdelta_test.hh: New.

2003-07-23  Raphaël Poss  <raph@lrde.epita.fr>

	* FAQ: Minor tweak.
	* include/vaucanson/misc/contract.hh: Add `static' to `inline' for
	`trap'.

2003-07-23  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/contract.hh (trap): Add inline to the
	function definition.

2003-07-23  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx:
	Remove some 'non-used argument' warnings. Make return of Elements
	set the 'set' attribute.
	* include/vaucanson/automata/concept/tags.hxx: Remove some 'non-used
	argument' warnings.
	* include/vaucanson/algorithms/eval.hxx: Initialize the set attributes
	when declaring Elements.

2003-07-22  Loïc Fosse  <loic@lrde.epita.fr>

	* bootstrap.sh: Add ability to specify autoreconf command.
	* src/tests/sanity/generate_files.sh: Correct a sed command.
	* src/demos/vaucanswig/expand.sh: Replace some echo commands.

2003-07-21  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/concept/semiring_base.hh,
	include/vaucanson/algebra/concept/series_base.hh,
	include/vaucanson/algebra/concept/series_base.hxx,
	include/vaucanson/algebra/concrete/series/krat.hh,
	include/vaucanson/algebra/concrete/series/krat.hxx,
	include/vaucanson/algebra/concrete/series/krat_conversion.hxx,
	include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx,
	include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh,
	include/vaucanson/algebra/concrete/series/krat_coefficient.hxx,
	include/vaucanson/algebra/concrete/series/krat_coefficient.hh,
	include/vaucanson/algebra/concrete/series/krat_exp_support.hxx,
	include/vaucanson/algebra/concrete/series/polynoms.hh,
	include/vaucanson/algebra/concrete/series/rat/exp.hh,
	include/vaucanson/algebra/concrete/series/rat/exp.hxx,
	src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_derivation_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_cderivation_linear_test.hh,
	src/tests/algebra/series/krat/derivations/derivations_common.hh,
	src/tests/algebra/series/misc/series_test.hh,
	include/vaucanson/automata/concept/automata_base.hh,
	include/vaucanson/automata/concept/kinds.hh,
	include/vaucanson/automata/concept/kinds.hxx,
	include/vaucanson/automata/concept/automata_ops.hxx,
	include/vaucanson/automata/concept/transducer_ops.hh,
	include/vaucanson/automata/concept/transducer_base.hh,
	include/vaucanson/automata/concept/transducer_base.hxx,
	include/vaucanson/automata/concept/transducer_ops.hxx,
	include/vaucanson/automata/concrete/graph.hh,
	include/vaucanson/automata/concrete/kind_adapter.hh,
	include/vaucanson/automata/concrete/generalized.hh,
	include/vaucanson/automata/concrete/transpose_view.hh,
	include/vaucanson/algorithms/eval.hh,
	include/vaucanson/algorithms/eval.hxx,
	include/vaucanson/algorithms/determinize.hxx,
	include/vaucanson/algorithms/standard_of.hxx,
	include/vaucanson/algorithms/hopcroft_minimization.hxx,
	include/vaucanson/algorithms/brzozowski.hxx,
	include/vaucanson/algorithms/aci_canonical.hxx,
	include/vaucanson/algorithms/minimization_moore.hxx,
	include/vaucanson/algorithms/product.hxx,
	include/vaucanson/algorithms/thompson.hxx,
	include/vaucanson/algorithms/berry_sethi.hxx,
	include/vaucanson/algorithms/derivatives_automaton.hxx,
	include/vaucanson/algorithms/krat_exp_partial_derivation.hxx,
	include/vaucanson/algorithms/krat_exp_constant_term.hh,
	include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	include/vaucanson/algorithms/krat_exp_derivation.hxx,
	include/vaucanson/algorithms/krat_exp_cderivation.hxx,
	include/vaucanson/algorithms/krat_exp_realtime.hxx,
	include/vaucanson/algorithms/krat_exp_linearize.hxx,
	include/vaucanson/algorithms/krat_exp_linearize.hh,
	include/vaucanson/algorithms/forward_closure.hxx,
	include/vaucanson/algorithms/backward_closure.hxx,
	include/vaucanson/algorithms/forward_realtime.hxx,
	include/vaucanson/algorithms/backward_realtime.hxx,
	include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hh,
	include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	include/vaucanson/algorithms/finite_support_conversion.hxx,
	include/vaucanson/tools/usual_macros.hh,
	src/tests/automata/algos/compute_test.hh,
	src/tests/automata/algos/elimination_test.hh,
	src/tests/automata/algos/glushkov_test.hh,
	src/tests/automata/algos/thompson_test.hh,
	src/demos/fsm/generate_toolbox.sh,
	src/demos/samples/algorithms/derivatives_automaton.cc,
	src/demos/vgrep/vgrep.cc,
	src/demos/vaucanswig/README,
	src/demos/vaucanswig/meta/vaucanswig_context.i,
	src/demos/vaucanswig/meta/automaton.hh,
	vauc/vcore/find_path.cc,
	vauc/vcore/find_cost.cc: Rename weight to semiring_elt.

2003-07-21  Loïc Fosse  <loic@lrde.epita.fr>

	* FAQ: New.

2003-07-18  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/concept/series_base.hh,
	include/vaucanson/algebra/concept/series_base.hxx,
	include/vaucanson/algebra/concrete/series/krat.hh,
	include/vaucanson/algebra/concrete/series/krat.hxx,
	include/vaucanson/algebra/concrete/series/krat_conversion.hxx,
	include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx,
	include/vaucanson/algebra/concrete/series/krat_coefficient.hxx,
	include/vaucanson/algebra/concrete/series/krat_exp_support.hxx,
	include/vaucanson/algebra/concrete/series/polynoms.hh,
	include/vaucanson/algebra/concrete/series/polynoms.hxx,
	include/vaucanson/algebra/concrete/series/series.hh,
	include/vaucanson/algebra/concrete/series/series.hxx,
	src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_derivation_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	src/tests/algebra/series/krat/derivations/derivations_common.hh,
	src/tests/algebra/series/misc/series_test.hh,
	include/vaucanson/automata/concept/automata_base.hh,
	include/vaucanson/automata/concept/kinds.hh,
	include/vaucanson/automata/concept/kinds.hxx,
	include/vaucanson/automata/concept/automata_ops.hxx,
	include/vaucanson/automata/concept/transducer.hh,
	include/vaucanson/automata/concept/transducer_base.hh,
	include/vaucanson/automata/concept/transducer_base.hxx,
	include/vaucanson/automata/concept/transducer_ops.hxx,
	include/vaucanson/automata/concrete/kind_adapter.hh,
	include/vaucanson/algorithms/eval.hxx,
	include/vaucanson/algorithms/determinize.hxx,
	include/vaucanson/algorithms/hopcroft_minimization.hxx,
	include/vaucanson/algorithms/brzozowski.hxx,
	include/vaucanson/algorithms/berry_sethi.hxx,
	include/vaucanson/algorithms/derivatives_automaton.hxx,
	include/vaucanson/algorithms/krat_exp_partial_derivation.hxx,
	include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	include/vaucanson/algorithms/krat_exp_linearize.hxx,
	include/vaucanson/algorithms/krat_exp_linearize.hh,
	include/vaucanson/algorithms/forward_closure.hxx,
	include/vaucanson/algorithms/backward_closure.hxx,
	include/vaucanson/algorithms/forward_realtime.hxx,
	include/vaucanson/algorithms/backward_realtime.hxx,
	include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	include/vaucanson/algorithms/finite_support_conversion.hxx,
	include/vaucanson/tools/gen_book.hxx,
	include/vaucanson/tools/gen_random.hxx,
	include/vaucanson/tools/usual_macros.hh,
	include/vaucanson/tools/usual.hxx,
	src/tests/automata/algos/compute_test.hh,
	src/tests/automata/algos/elimination_test.hh,
	src/tests/automata/algos/glushkov_test.hh,
	src/tests/automata/algos/thompson_test.hh,
	src/demos/samples/algorithms/derivatives_automaton.cc,
	src/demos/vaucanswig/README,
	src/demos/vaucanswig/meta/context.hh,
	src/demos/vaucanswig/meta/vaucanswig_context.i,
	src/demos/vaucanswig/meta/vcontext.hh,
	src/demos/vaucanswig/meta/automaton.hh: Rename weights to semiring.

2003-07-16  Raphaël Poss  <raph@lrde.epita.fr>

	* Makefile.am: Cleanup distributed files list.
	* NEWS: New.

2003-07-15  Thomas Claveirole  clavei_t@marvejols

	* src/tests/sanity/generate_files.sh: Mention itself when generating
	Makefile.am.

2003-07-14  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_ops.hxx: Move
	zero_as<T>::of(S).value() to zero_value(S, T).

2003-07-14  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh
	(DecBinaryOp, DecUnaryOp, DecLeaf): Use full namespaces when
	referencing types.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* src/tests/bin/generate-test-suite.sh: Automatically include <cassert>.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algorithms/product.hh: Temporarily disable
	`diagonal' binding for vaucanswig.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algorithms/product.hxx: Get rid of calls to
	`emancipate'.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algorithms/sub_automaton.hh: Equip for vaucanswig.
	* include/vaucanson/algorithms/standard_of.hh,
	include/vaucanson/algorithms/normalized.hh,
	include/vaucanson/algorithms/product.hh,
	include/vaucanson/algorithms/realtime.hh,
	include/vaucanson/algorithms/standard.hh,
	include/vaucanson/algorithms/thompson.hh,
	include/vaucanson/algorithms/trim.hh,
	include/vaucanson/algorithms/sum.hh,
	include/vaucanson/algorithms/krat_exp_realtime.hh: Likewise.

	* include/vaucanson/algorithms/normalized.hxx: Get rid of calls to
	`emancipate'.
	* include/vaucanson/algorithms/standard.hxx: Likewise.

	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hxx:
	Fix include.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algorithms/complement.hh: Equip for vaucanswig.
	* include/vaucanson/algorithms/complete.hh,
	include/vaucanson/algorithms/eval.hh,
	include/vaucanson/algorithms/concatenate.hh,
	include/vaucanson/algorithms/isomorph.hh,
	include/vaucanson/algorithms/brzozowski.hh,
	include/vaucanson/algorithms/berry_sethi.hh,
	include/vaucanson/algorithms/derivatives_automaton.hh,
	include/vaucanson/algorithms/krat_exp_cderivation.hh:,
	include/vaucanson/algorithms/forward_closure.hh,
	include/vaucanson/algorithms/forward_realtime.hh,
	include/vaucanson/algorithms/backward_realtime.hh: Likewise.

	* include/vaucanson/algorithms/complement.hxx: Add missing include.
	* include/vaucanson/algorithms/forward_realtime.hxx: Likewise.
	* include/vaucanson/algorithms/krat_exp_cderivation.hxx: Fix.
	* include/vaucanson/algorithms/krat_exp_linearize.hxx: Fix.

	* include/vaucanson/fundamental/element_ops.hxx: Update contracts.
	* include/vaucanson/automata/concept/kinds.hh,
	include/vaucanson/automata/concept/kinds.hxx,
	include/vaucanson/algorithms/aut_to_exp.hxx,
	include/vaucanson/algorithms/normalized.hxx,
	include/vaucanson/algorithms/product.hxx,
	include/vaucanson/algorithms/standard.hxx,
	include/vaucanson/algorithms/sum.hxx,
	include/vaucanson/algebra/concrete/series/transpose.hxx,
	include/vaucanson/algebra/concrete/series/rat/random_visitor.hxx,
	include/vaucanson/algebra/concrete/series/krat.hxx,
	include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx,
	include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh,
	include/vaucanson/algebra/concrete/series/krat_exp_support.hxx,
	include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx,
	include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx,
	include/vaucanson/algebra/concept/semiring_base.hh,
	include/vaucanson/algebra/concept/semiring_base.hxx,
	include/vaucanson/algebra/concept/series_base.hxx: Likewise.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* src/tests/tests-suites/algebra_tropical_max_semiring.defs: Add
	missing namespace specification.
	* include/vaucanson/tools/io.hxx: Remove unused argument name.
	* src/tests/sanity/generate_files.sh (AM_CPPFLAGS): Add more
	defines for more strict checks.
	* src/tests/sanity/generate_files.sh (AM_CXXFLAGS): Likewise.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* src/tests/tests-suites/generate-all.sh: Typo fix.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* bootstrap.sh: Typo fix.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* src/tests/tests-suites/generate-all.sh: Mention
	usual_automaton_t.
	* bootstrap.sh: Initialize test suite.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/tools/dot_dump.hh,
	include/vaucanson/tools/dot_format.hxx,
	include/vaucanson/tools/dot_format.hh,
	include/vaucanson/tools/io.hxx,
	include/vaucanson/tools/io.hh,
	include/vaucanson/tools/simple_format.hxx,
	include/vaucanson/tools/simple_format.hh,
	include/vaucanson/tools/usual_io.hxx,
	include/vaucanson/tools/usual_io.hh: Update header.
	* reheader.pl: Strip leading `./' in filenames.

2003-07-14  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/tools/dot_format.hxx,
	* include/vaucanson/tools/dot_format.hh,
	* include/vaucanson/tools/io.hxx,
	* include/vaucanson/tools/io.hh: Update. Fix bugs.

	* include/vaucanson/tools/usual_io.hh,
	include/vaucanson/tools/usual_io.hxx,
	include/vaucanson/tools/simple_format.hh,
	include/vaucanson/tools/simple_format.hxx: New.
	* include/Makefile.am: Update accordingly.

	* src/tests/sanity/generate_files.sh (AM_CPPFLAGS): Mention
	`$(top_builddir)/include'.
	* configure.ac: Re-activate testsuites.

2003-07-13  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/sanity/Makefile.am, src/tests/sanity/includes.test: Remove.
	* src/tests/sanity/generate_files.sh: New.
	* bootstrap.sh: Add the src/tests/sanity files generation.

2003-07-13  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/tools/io.hh: Add.
	* include/vaucanson/tools/io.hxx: Add.
	* include/vaucanson/tools/dot_format.hh: Add.
	* include/vaucanson/tools/dot_format.hxx: Add.

	* include/vaucanson/misc/dot_dump.hh: Rename to...
	* include/vaucanson/tools/dot_dump.hh: This. Use new I/O
	subsystem. Move `dot_dump' to namespace `tools'.

	* src/demos/vgrep/vgrep.cc: Update accordingly.
	* src/demos/samples/algorithms/derivatives_automaton.cc:
	src/demos/fsm/usual_automaton_t/vcsn_dotdump.cc,
	src/tests/automata/algos/complete_test.hh,
	src/tests/automata/algos/complete_test.hh,
	src/tests/automata/algos/compute_test.hh,
	src/tests/automata/algos/determinist_test.hh,
	src/tests/automata/algos/elimination_test.hh,
	src/tests/automata/algos/extract_test.hh,
	src/tests/automata/algos/generalized_test.hh,
	src/tests/automata/algos/glushkov_test.hh,
	src/tests/automata/algos/minimization_test.hh,
	src/tests/automata/algos/normalize_test.hh,
	src/tests/automata/algos/product_test.hh,
	src/tests/automata/algos/reachable_test.hh,
	src/tests/automata/algos/realtime_test.hh,
	src/tests/automata/algos/thompson_test.hh,
	src/tests/automata/algos/sum_test.hh,
	include/vaucanson/tools/usual.hh,
	include/vaucanson/tools/usual.hh,
	include/vaucanson/tools/usual.hh: Likewise.

2003-07-11  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algorithms/finite_support_conversion.hh: Add
	missing includes.
	* include/vaucanson/algorithms/finite_support_conversion.hxx:
	Likewise.
	* include/vaucanson/algorithms/determinize.hh: Equip for vaucanswig.
	* include/vaucanson/algorithms/hopcroft_minimization.hh: Likewise.
	* include/vaucanson/algorithms/hopcroft_minimization.hxx: Fix.
	* include/vaucanson/algorithms/minimization_moore.hh: Likewise.
	* include/vaucanson/algorithms/transpose.hh: Likewise.

2003-07-10  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hh: Add missing
	prototype.
	* include/Makefile.am (nobase_include_HEADERS): Mention
	`finite_support_convert'.
	* include/algorithms/finite_support_convert.hh: New.
	* include/algorithms/finite_support_convert.hxx; New.
	* include/vaucanson/algebra/concrete/series/krat_exp_is_finite_app.hxx:
	remove extraneous `_'.

2003-07-09  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/demos/vaucanswig/expand.sh: Add missing $(DESTDIR).

2003-07-09  Raphaël Poss  <raph@lrde.epita.fr>

	* Makefile.am (AUTOMAKE_OPTIONS): Removed.
	* configure.ac: Add options for Automake. Temporarily disable
	testsuites.

2003-07-09  Raphaël Poss  <raph@lrde.epita.fr>

	* config/vcsn.m4 (VCSN_TESTS): Fix subdirectory existence test.

2003-07-09  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hxx
	(op_in_mul, op_mul),
	include/vaucanson/algebra/concrete/series/krat_exp_support.hxx
	(match_nodeRightWeight): Add missing arguments.

2003-07-08  Raphaël Poss  <raph@lrde.epita.fr>

	* reheader.pl: Fix generation of preprocessor names.

2003-07-08  Raphaël Poss  <raph@lrde.epita.fr>

	* reheader.pl: Strip common file name beginnings.
	* Many files: Update prefix header.

2003-07-08  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_ops.hxx,
	include/vaucanson/algebra/concrete/series/krat.hxx,
	include/vaucanson/algebra/concrete/series/krat_exp_support.hxx,
	include/vaucanson/algebra/concrete/series/polynoms.hxx: Fix
	contracts.

2003-07-08  Raphael Poss <elrond@lrde.epita.fr>

	* THANKS: Typo fix.

2003-07-08  Raphael Poss  <elrond@lrde.epita.fr>

	* THANKS: Add new names.

2003-07-07  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algorithms/accessible.hh: Equip for
	`vaucanswig'.
	* include/vaucanson/algorithms/backward_closure.hh,
	include/vaucanson/algorithms/aut_to_exp.hh,
	include/vaucanson/algorithms/aci_canonical.hh: Likewise.

2003-07-07  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/fundamental/syntactic_decorator.hxx,
	include/vaucanson/algebra/concept/alphabets_base.hxx,
	include/vaucanson/fundamental/slots.hxx: Fix contract.

	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx:
	Remove unused argument name.

	* src/demos/vgrep/vgrep.cc: Include `unique.hcc'.
	* src/demos/samples/algorithms/derivatives_automaton.cc: Likewise.

	* configure.ac: Add AC_PROG_LIBTOOL (shared only). Remove
	AC_PROG_RANLIB. Reorder.

	* include/vaucanson/misc/unique.hh: Remove stupid and erroneous
	inclusion of `unique.hcc'.

2003-07-07  Raphaël Poss  <raph@lrde.epita.fr>

	* bootstrap.sh: Mention vaucanswig.

	* src/demos/vaucanswig/ChangeLog: Add.

	* config/vcsn.m4: Add AC_CHECK_SWIG13.

	* configure.ac: Invoke AC_CHECK_SWIG13 and AM_PATH_PYTHON. Mention
	vaucanswig.

	* include/vaucanson/fundamental/default_ops.hxx: Fix contracts.

	* include/vaucanson/algebra/concrete/series/generalized.hh: Fix
	namespace for `op_convert'. Re-order arguments and parameters.
	* include/vaucanson/algebra/concrete/series/generalized.hxx:
	Update accordingly.

	* include/vaucanson/algebra/concrete/series/polynoms.hh: Make
	subtyping requirement explicit for operators.
	* include/vaucanson/algebra/concrete/series/polynoms.hxx: Update
	accordingly.

	* include/vaucanson/misc/contract.hh: Fix include.

	* include/vaucanson/tools/usual.hh: Add new version of
	`new_automaton'.
	* include/vaucanson/tools/usual.hxx: Update accordingly.

2003-07-04  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* README: Fix.
	* configure.ac: Use new test-suites.
	* include/Makefile.am: New file.
	* include/vaucanson/algebra/concrete/series/rat/exp.hh:
		(exp): Make typedefs public.
	* include/vaucanson/algorithms/standard_of.hxx: Fix.
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx:
		Typo.
	* src/tests/tests-suites/generate-all.sh: New.

2003-07-04  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata.hh: Use
	`SetSlot'. Simplify typedef.
	* include/vaucanson/automata/concept/automata.hxx: Update
	accordingly.

	* include/vaucanson/algebra/concrete/series/series.hh: Use `SetSlot'.
	* include/vaucanson/algebra/concrete/series/series.hxx: Update
	accordingly.


2003-07-04  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/determinize.hh: Fix documentation.
	* include/vaucanson/algorithms/is_realtime.hh,
	  include/vaucanson/algorithms/is_normalized.hh,
	  include/vaucanson/algorithms/is_letterized.hh,
	  include/vaucanson/algorithms/is_realtime.hxx,
	  include/vaucanson/algorithms/is_normalized.hxx,
	  include/vaucanson/algorithms/is_letterized.hxx: Re-add.

2003-07-04  Loïc Fosse  <loic@lrde.epita.fr>

	* configure.ac: Add the algorithms demo directory.
	* include/vaucanson/algorithms/derivatives_automaton.hxx: Make it use
	  PartialExp.
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx: Correct
	  function call.
	* src/demos/samples/Makefile.am: Add the algorithms demo directory.
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	  include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hh,
	  include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	  include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hh,
	  include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	  include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	  src/demos/samples/algorithms/Makefile.am,
	  src/demos/samples/algorithms/derivatives_automaton.cc: Add.

2003-07-04  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am: Adjust.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Typo.
	* src/tests/algebra/series/krat/derivations/derivation/Makefile.am:
		Fix missing files.
	* src/tests/algebra/series/misc/series_test.hh: Fix.
	* include/vaucanson/algorithms/standard_of.hh: Use old version.
	* include/vaucanson/algorithms/standard_of.hxx: Likewise.
	* include/vaucanson/tools/usual_macros.hh (remove_in): Fix.
	* include/vaucanson/algorithms/is_normalized.hh,
	  include/vaucanson/algorithms/is_normalized.hxx,
	  include/vaucanson/algorithms/is_letterized.hh,
	  include/vaucanson/algorithms/is_letterized.hxx,
	  include/vaucanson/algorithms/is_realtime.hh,
	  include/vaucanson/algorithms/is_realtime.hxx: New.

2003-07-03  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algebra/concept/semiring_base.hh,
	include/vaucanson/algebra/concept/semiring_base.hxx,
	include/vaucanson/algebra/concrete/semiring/numerical_semiring.hh,
	include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx,
	include/vaucanson/algebra/concrete/semiring/tropical_semiring.hh,
	include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx,
	include/vaucanson/algebra/concrete/series/krat.hh,
	include/vaucanson/algebra/concrete/series/krat.hxx,
	include/vaucanson/algebra/concrete/series/rat/exp.hh,
	include/vaucanson/algebra/concrete/series/rat/exp.hxx,
	include/vaucanson/algorithms/backward_closure.hxx,
	include/vaucanson/algorithms/forward_closure.hxx,
	include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	include/vaucanson/algorithms/krat_exp_derivation.hxx,
	include/vaucanson/algorithms/krat_exp_partial_derivation.hxx,
	include/vaucanson/algorithms/standard_of.hxx,
	src/tests/algebra/semiring/semiring_test.hh:
		Rename `stareable' to `starable'.


2003-07-02  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concrete/graph.hxx:
		Use state_value's abstract types.
	* include/vaucanson/automata/concrete/graph.hh:
		Define abstract types.
	* include/vaucanson/algorithms/hopcroft_minimization.hxx:
		(do_quotient): New version.
	* include/vaucanson/tools/usual_macros.hh:
		(remove_in): New.

2003-07-02  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* configure.ac: Add the algebra_series_misc test directory.
	* src/tests/fundamental/design_pattern-test.hh: Fix macros.
	* include/vaucanson/algebra/concrete/series/polynoms.hxx: Fix an
	unused argument warning.
	* src/tests/tests-suites/algebra_series_misc.defs: Fix a namespace
	bug.

2003-07-02  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hxx,
	include/vaucanson/algebra/concrete/series/rat/dump_visitor.hxx,
	include/vaucanson/algebra/concrete/series/rat/exp.hxx: Fix escaping
	output.

2003-07-02  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/series.hh,
	include/vaucanson/algebra/concrete/series/series.hxx: Fix
	attribute declaration. Remove unwanted members.

	* include/vaucanson/automata/concept/automata.hh: Fix attribute
	declaration.

2003-07-02  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata.hxx,
	include/vaucanson/algebra/concrete/series/series.hxx: Compare by
	reference instead of by value since structural elements are now
	unified.

2003-07-02  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh
	(krat_exp_parse_random_test): Make more test and change alphabet
	between tests.
	* include/vaucanson/algebra/concept/freemonoid_base.hxx: Fix
	handling of escaped symbols.
	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx:
	Fix an escaping related bug.
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hh,
	include/vaucanson/algebra/concrete/series/rat/dump_visitor.hxx,
	include/vaucanson/algebra/concrete/series/rat/exp.hxx:
	Handle escaping cases.

2003-07-02  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata.hxx,
	include/vaucanson/algebra/concrete/series/series.hxx: Ensure
	unification of related structural elements.

	* include/vaucanson/algebra/concrete/series/series.hh,
	include/vaucanson/algebra/concrete/free_monoid/words.hh: Add
	deprecation notice.

2003-07-02  Raphaël Poss  <raph@lrde.epita.fr>

	* src/tests/tests-suites/algebra_series_krat.defs: Fix namespace
	specification for `NumericalSemiring'.

	* src/tests/automata/implementation_check/add_edge_test.hh,
	src/tests/automata/implementation_check/add_edge_test.hh: Add
	`const' specification to please ICC.

	* include/vaucanson/tools/usual_macros.hh: Fix definition of
	`alphabet_iterator'.

	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	include/vaucanson/algebra/concept/freemonoid_base.hxx: Fix
	delegations for `op_begin', `op_end', `op_rbegin', `op_rend' for
	const versions.

	* include/vaucanson/misc/container_ops.hh: Add missing
	declarations.
	* include/vaucanson/misc/container_ops.hxx: Remove problematic
	overload.

	* include/vaucanson/automata/concrete/kind_adapter.hh: Add missing
	spaces in uses of macro arguments.

	* src/tests/check/Makefile.flags (AM_CPPFLAGS): Beautify.

	* src/demos/vgrep/Makefile.am (AM_CPPFLAGS): Add missing include
	path.

2003-07-02  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am: Fix.
	* src/tests/automata/algos/Makefile.am: Fix.

2003-07-02  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx
	(parse_left_weighted): Fix a bug when having ambiguous alphabet.

2003-07-02  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/projection.hh: Remove.
	* include/Makefile.am: Remove it.
	* include/vaucanson/automata/concrete/graph.hh: Fix traits.
	* include/vaucanson/automata/concept/transducer.hh:
		Fix includes.
		(output_projection_helper): New.
	* include/vaucanson/automata/concept/transducer_base.hh:
		(projection_traits): New.
		(output_projection_traits): New.
	* include/vaucanson/automata/concept/transducer.hxx:
		(partial_identity): Fix.

2003-07-02  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh
	(krat_exp_derivation_product_test): Fix bugs.

2003-07-02  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/Makefile.am: Update algo_helper.hh and algo_helper.hxx (which
	were moved previously).
	* include/vaucanson/fundamental/syntactic_decorator.hxx (self): Fix
	a bug due to the compiler.
	* include/vaucanson/algorithms/krat_exp_derivation.hxx: Fix a bug when
	derivatives for the expression is not defined.

2003-07-02  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata.hh:
		(operator==): New.
	* include/vaucanson/automata/concept/automata.hxx:
		(operator==): Implement.
	* include/vaucanson/algorithms/complete.hxx: Minor.
	* include/vaucanson/tools/gen_random.hxx: Typo.
	* src/tests/automata/algos/complete_test.hh: Minor.

2003-07-02  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_linearize.hxx: Fix alphabet
	  building.

2003-07-02  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_coefficient.hxx,
	include/vaucanson/algorithms/krat_exp_linearize.hxx,
	include/vaucanson/algorithms/aci_canonical.hxx,
	include/vaucanson/algorithms/brzozowski.hxx,
	include/vaucanson/algorithms/berry_sethi.hxx,
	include/vaucanson/algorithms/internal/build_pattern.hxx: Effectively
	do the last change of Loic (2003-07-01).

2003-07-02  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/misc/random.hxx: Simplify generate<bool>().

2003-07-01  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hxx: Fix unused
	arguments warnings.
	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hh,
	include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx: Add
	trace capabilities for the krat parser and lexer.
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh: Fix the
	random tests function.

2003-07-01  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_coefficient.hxx:
	  Correct matcher call.
	* include/vaucanson/algorithms/krat_exp_linearize.hxx: Likewise.
	* include/vaucanson/algorithms/aci_canonical.hxx: Likewise.
	* include/vaucanson/algorithms/brzozowski.hxx: Fix weight comparison.
	* include/vaucanson/algorithms/berry_sethi.hxx: Likewise.
	* include/vaucanson/algorithms/internal/build_pattern.hxx: Adapt to new
	  automaton implementation.

2003-07-01  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/algo_helper.hxx: Move to...
	* include/vaucanson/algorithms/internal/build_pattern.hxx: ... this.
	* include/vaucanson/algorithms/algo_helper.hh: Move to...
	* include/vaucanson/algorithms/internal/build_pattern.hh: ... this.
	* include/vaucanson/algorithms/brzozowski.hxx: Fix include.
	* include/vaucanson/algorithms/berry_sethi.hxx: Likewise.
	* include/vaucanson/algorithms/derivatives_automaton.hxx: Likewise.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/random.hxx (generate<bool>): Fix.
	* include/vaucanson/algebra/concept/alphabets_base.hxx (choose): Fix.
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hxx: Minor.
	* include/vaucanson/automata/concrete/graph.hxx: Fix.
	* include/vaucanson/algorithms/standard_of.hh: New version.
	* include/vaucanson/algorithms/standard_of.hxx: Idem.
	* src/tests/automata/algos/glushkov_test.hh: Use it.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am: Fix.

2003-07-01  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hh: Remove useless
	  functions.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Clean
	  simplifications.

2003-07-01  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/automata/concept/handlers.hh: Fix namespace.
	* include/vaucanson/automata/concept/handlers.hxx: Likewise.

	* include/vaucanson/vaucanson.hh: Add for documentation purposes.
	* include/Makefile.am: Update accordingly.

	* include/vaucanson/fundamental/fundamental.hh: Document more.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/projection.hh: New.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/Makefile.am: Re-Fix.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/Makefile.am: Fix.

2003-07-01  Raphaël Poss  <raph@lrde.epita.fr>

	* doc/doc.doxy.in: Remove LaTeX output.

	* include/vaucanson/misc/limits.hh,
	include/vaucanson/misc/utility.hh: Fix documentation.

	* src/demos/vgrep/Makefile.am: Re-arrange compilation flags.

	* reheader.pl: Add.

	* Most files: fix comment in headers.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/series_base.hxx:
		Replace set() by this->set() for g++-2.95.
	* include/vaucanson/automata/concrete/graph.hh: Fix include.
	* include/vaucanson/misc/support.hh: Likewise.
	* include/vaucanson/automata/concept/transducer_ops.hh: Likewise.
	* include/vaucanson/misc/unchecked/dot_dump.hh,
	  include/vaucanson/misc/unchecked/fsm_dump.hh,
	  include/vaucanson/misc/unchecked/ref.hh,
	  include/vaucanson/misc/unchecked/ref.hxx: Remove.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hxx: Fix op_convert.
	* include/vaucanson/algebra/concrete/series/series.hh:
		(mute_series_traits, mute_series): New.
	* include/vaucanson/algebra/concrete/series/series.hxx: Implement it.
	* include/vaucanson/automata/concept/automata_base.hxx (op_rout): Fix.
	* include/vaucanson/automata/concrete/graph.hxx: Minor fix.
	* include/vaucanson/automata/concrete/graph.hh: Adapt to transducer.
	* include/vaucanson/automata/concept/transducer.hh,
	  include/vaucanson/automata/concept/transducer_base.hh,
	  include/vaucanson/automata/concept/transducer_base.hxx:
		Fix traits and namespaces.

2003-07-01  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* configure.ac: Add the algebra_series_krat_derivation test directory.
	* include/vaucanson/misc/random.hxx (generate<char>): Fix the
	random character generation.
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh: Set
	more verbose error messages.

2003-07-01  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx: Remove
	  test on star of the constant term in product.
	* include/vaucanson/algorithms/krat_exp_derivation.hxx: Likewise.

2003-07-01  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hxx,
	  include/vaucanson/algebra/concrete/series/krat_conversion.hxx,
	  include/vaucanson/algebra/concrete/series/polynoms.hxx,
	  include/vaucanson/automata/concept/kinds.hxx: Correct op_convert
	  calls.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concrete/graph.hh:
		Define transducer traits.
	* include/vaucanson/automata/concept/transducer_ops.hh,
  	  include/vaucanson/automata/concept/transducer_ops.hxx,
	  include/vaucanson/automata/concept/transducer.hh,
	  include/vaucanson/automata/concept/transducer_base.hh,
	  include/vaucanson/automata/concept/transducer.hxx,
	  include/vaucanson/automata/concept/transducer_base.hxx: New.

2003-07-01  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_ops.hxx: Improve letter_query.
	* include/vaucanson/automata/concrete/graph.hxx:
		Use std::list<hedge_t> instead of std::set<hedge_t>
	* include/vaucanson/automata/concrete/graph.hh: Likewise.
	* include/vaucanson/automata/concrete/kind_adapter.hh:
		Add label_are_letters case.
	* include/vaucanson/algorithms/determinize.hxx:
		Use std::vector instead of std::set.
	* src/tests/automata/algos/Makefile.am: Fix missing files.

2003-07-01  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/forward_closure.hxx,
	  include/vaucanson/algorithms/backward_closure.hxx: Correct use of
	  states.

2003-07-01  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/misc/limits.hh: Fix some method return types.

2003-07-01  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/misc/limits.hh: Use correct C macros.
	* config/vcsn.m4: Check more for availability of infinity.

2003-06-30  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concept/semiring_base.hxx: Fix an
	'unused argument' warning.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx:
	Fix an 'unused argument' warning and a wrong typed static assertion.
	* include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	include/vaucanson/algorithms/krat_exp_derivation.hxx,
	include/vaucanson/algorithms/krat_exp_cderivation.hxx,
	include/vaucanson/algorithms/krat_exp_realtime.hxx: Add an explicit
	call to value() when calling match methods of matchers.

2003-06-30  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* configure.ac: Add the 'algebra_series_krat' test directory.
	* src/tests/tests-suites/algebra_series_krat.defs: Make krat tests work
	on integer numerical semirings instead of boolean ones.
	* include/vaucanson/algebra/concrete/free_monoid/words.hh,
	include/vaucanson/algebra/concrete/free_monoid/words.hxx,
	include/vaucanson/algebra/concrete/series/series.hh,
	include/vaucanson/algebra/concrete/series/series.hxx: Move operator==
	for FreeMonoid and Series into the correct namespace.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Fix includes.

2003-06-30  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/misc/limits.hh: New.
	* include/vaucanson/misc/random.hxx,
	include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx,
	include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx,
	include/Makefile.am: Update accordingly.

	* src/tests/misc/limits.cc: New.
	* src/tests/misc/Makefile.am: Update accordingly.

2003-06-30  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* config/vcsn.m4: Remove "-pedantic" option.
	* include/vaucanson/misc/dot_dump.hh: Fix.

2003-06-30  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/random.hxx (generate<float>): Fix.
	* include/vaucanson/algebra/concrete/series/krat.hxx:
		Fix bad element init.
	* src/tests/automata/algos/glushkov_test.hh: Likewise.
	* src/tests/automata/algos/thompson_test.hh: Likewise.
	* include/vaucanson/algorithms/minimization_moore.hxx: Likewise.
	* include/vaucanson/algorithms/backward_closure.hxx: Likewise.
	* include/vaucanson/algebra/concrete/series/polynoms.hxx: Fix.
	* include/vaucanson/algorithms/aut_to_exp.hxx:
		Use normalize_here.
		Fix bad element init.
	* src/tests/automata/implementation_check/add_edge_test.hh: Fix.
	* src/tests/automata/implementation_check/global_consistency_test.hh:
		Fix include.
	* src/tests/automata/implementation_check/init_final_test.hh: Likewise.

2003-06-30  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx: Fix
	  namespace.
	* include/vaucanson/misc/dot_dump.hh: Add.

2003-06-30  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/fundamental/element.hxx: Add inline.
	* include/vaucanson/automata/concept/automata_base.hxx: Typo.

2003-06-30  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/series_base.hh:
		op_convert between same implementations.
	* include/vaucanson/algebra/concept/series_base.hxx: Implement it.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Fix arg order.

2003-06-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/fundamental/element.hxx: Minor.
	* include/vaucanson/algebra/concept/series_base.hh: Add general op_convert for series.
	* include/vaucanson/algebra/concept/series_base.hxx: Implement it.
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hxx: Fix unused arg.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Minor.
	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh: Add default return.
	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx: New support kind.
	* include/vaucanson/algebra/concrete/series/polynoms.hxx: Fix op_convert call.
	* include/vaucanson/algorithms/aut_to_exp.hxx: Fix unused arg.
	* src/tests/automata/algos/complete_test.hh: Fix include, use 'eval'.
	* src/tests/automata/algos/concat_test.hh: Fix include.
	* src/tests/automata/algos/elimination_test.hh: Use 'eval'.
	* src/tests/automata/algos/generalized_test.hh: Fix unused arg.
	* include/vaucanson/algorithms/forward_closure.hh: Typo.
	* include/vaucanson/algorithms/forward_closure.hxx: Typo.

2003-06-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/polynoms.hxx,
	  include/vaucanson/algorithms/minimization_moore.hxx,
	  include/vaucanson/algorithms/hopcroft_minimization.hxx,
	  include/vaucanson/algorithms/normalized.hxx,
  	  include/vaucanson/algorithms/accessible.hxx,
	  include/vaucanson/misc/container_ops.hxx: Fix unused arg.

	* include/vaucanson/automata/concept/copy.hxx: Fix.
	* include/vaucanson/algorithms/determinize.hxx: Fix serie support use.
	* include/vaucanson/algorithms/product.hxx: Fix wrapper.
	* src/tests/automata/algos/glushkov_test.hh: Use 'eval'.
	* src/tests/automata/algos/product_test.hh: Fix name.
	* src/tests/automata/algos/reachable_test.hh: Likewise.

2003-06-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/bin/generate-test-suite.sh: Replace verbose_level instead of verbose_level_e.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx: Fix unused arg.
	* include/vaucanson/algebra/concrete/series/krat.hh: Fix op_convert arg order.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Likewise.
	* include/vaucanson/algebra/concrete/series/rat/random_visitor.hxx: Fix unused arg.
	* src/tests/algebra/alphabets/alphabet_test.hh
	  src/tests/algebra/free_monoid/free_monoid_test.hh,
	  src/tests/algebra/semiring/semiring_test.hh,
	  src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	  src/tests/algebra/series/krat/main/krat_exp_derivation_test.hh,
	  src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	  src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	  src/tests/algebra/series/krat/main/krat_exp_cderivation_linear_test.hh,
	  src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh,
	  src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh,
	  src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_sum_test.hh,
	  src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_star_test.hh,
	  src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh,
	  src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh,
	  src/tests/algebra/series/misc/series_test.hh,
	  src/tests/automata/algos/closure_test.hh,
	  src/tests/automata/algos/complete_test.hh,
 	  src/tests/automata/algos/compute_test.hh,
	  src/tests/automata/algos/concat_test.hh,
	  src/tests/automata/algos/determinist_test.hh,
	  src/tests/automata/algos/elimination_test.hh,
	  src/tests/automata/algos/extract_test.hh,
	  src/tests/automata/algos/generalized_test.hh,
	  src/tests/automata/algos/glushkov_test.hh,
	  src/tests/automata/algos/minimization_test.hh,
	  src/tests/automata/algos/normalize_test.hh,
	  src/tests/automata/algos/product_test.hh,
	  src/tests/automata/algos/reachable_test.hh,
	  src/tests/automata/algos/realtime_test.hh,
	  src/tests/automata/algos/thompson_test.hh,
	  src/tests/automata/implementation_check/add_edge_test.hh,
	  src/tests/automata/implementation_check/add_state_test.hh,
 	  src/tests/automata/implementation_check/coherence_state_edge_test.hh,
	  src/tests/automata/implementation_check/global_consistency_test.hh,
	  src/tests/automata/implementation_check/init_final_test.hh: Fix include.

	* include/vaucanson/algorithms/concatenate.hxx
	  include/vaucanson/algorithms/normalized.hxx
	  include/vaucanson/algorithms/realtime.hxx
	  include/vaucanson/algorithms/thompson.hxx
	  include/vaucanson/tools/gen_random.hxx: Fix unused args.


2003-06-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac: Enable automaton tests-suite.
	* src/tests/check/Makefile.flags: Remove '-Werrors'  in AM_CXXFLAGS.
	* src/tests/bin/generate-test-suite.sh: Fix include.
	* include/vaucanson/algebra/concept/alphabets_base.hh (random_letter): New.
	* include/vaucanson/algebra/concept/alphabets_base.hxx (random_letter): New.
	* include/vaucanson/algebra/concrete/alphabets/set_alphabet.hxx: Fix unused args.
	* include/vaucanson/automata/concept/automata_ops.hxx: Use random::generate.
	* include/vaucanson/tools/gen_random.hxx: Remove unused variables.
	* src/tests/automata/algos/sum_test.hh: Fix include.
	* src/tests/automata/algos/in_concat_test.hh: Fix include.


2003-06-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/freemonoid_base.hh
		(parse_word): Add escaped characters.
		(op_parse): Likewise.
	* include/vaucanson/algebra/concept/freemonoid_base.hxx:
		Implement it in the generic op_parse version.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx: Fix unused arg warning.
	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx: Adjust lexer.
	* include/vaucanson/automata/concept/automata_base.hxx: Fix unused argument warning.
	* include/vaucanson/automata/concept/automata_ops.hxx: Likewise.
	* include/vaucanson/algorithms/sub_automaton.hxx: Likewise.
	* include/vaucanson/algorithms/eval.hxx: Minor.
	* src/demos/vgrep/vgrep.cc: Fix.
	* include/vaucanson/algorithms/forward_closure.hxx: Fix del_edge bad use.
	* include/vaucanson/algorithms/backward_closure.hxx: Likewise.

2003-06-29  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx
	* include/vaucanson/algebra/concrete/series/krat.hxx
	* include/vaucanson/algebra/concrete/series/polynoms.hxx
	* include/vaucanson/automata/concept/automata_ops.hxx
	* include/vaucanson/algorithms/sub_automaton.hxx
	* include/vaucanson/algorithms/standard_of.hxx
	* include/vaucanson/algorithms/accessible.hxx
	* include/vaucanson/algorithms/backward_closure.hxx
	* include/vaucanson/misc/container_ops.hxx
	* include/vaucanson/algorithms/forward_realtime.hxx
	* include/vaucanson/algorithms/backward_realtime.hxx: Fix unused argument warnings.
	* src/demos/vgrep/Makefile.am: Enable 'vgrep' build.


2003-06-07  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/misc/contract.hh: Correct message in
	  macro postcondition.
	* include/vaucanson/algorithms/forward_closure.hxx: Initialize matrix.

2003-06-07  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/misc/unique.hh: Include needed file.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Change function
	  calls.

2003-06-26  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hh,
	include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx: Fix
	parser and document.
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh: Add tests.

2003-06-26  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/fundamental/element.hh: Fix bug in definition
	of the `dynamic' attribute.
	* include/vaucanson/fundamental/syntactic_decorator.hh: Modify
	accordingly.

2003-06-25  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/misc/contract.hh: Fix minor bug.
	* include/vaucanson/fundamental/default_ops.hh,
	  include/vaucanson/fundamental/default_ops.hxx: Add function.
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hh
	  include/vaucanson/algebra/concrete/free_monoid/str_words.hxx: Change
	  argument order in op_convert().
	* include/vaucanson/algebra/concrete/series/krat.hxx: Add argument name
	  in several functions.
	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx: Fix
	  minor bug.
	* include/vaucanson/algebra/concrete/series/polynoms.hh
	* include/vaucanson/algebra/concrete/series/polynoms.hxx: Change
	  argument order in op_convert().
	* include/vaucanson/automata/concept/automata_ops.hxx,
	  include/vaucanson/algorithms/forward_closure.hxx,
	  include/vaucanson/algorithms/backward_closure.hxx: Fix minor bugs.

2003-06-25  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_ops.hxx: Fix minor bugs.
	* include/vaucanson/algorithms/backward_closure.hxx: Correct function
	  call.
	* include/vaucanson/algorithms/forward_realtime.hxx: Correct function
	  call.

2003-06-25  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime.hxx,
	  src/demos/vgrep/vgrep.cc: Correct function call.
	* include/vaucanson/algorithms/forward_realtime.hh: Correct inclusion
	  protection.

2003-06-25  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/tools/usual.hh: Add usual automaton types.

2003-06-25  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_ops.hxx: Undefine macro
	  at end of file.

2003-06-25  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_base.hh: Add traits for
	  AutomataBase.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am: Fix.
	* include/vaucanson/automata/concrete/kind_adapter.hxx: New.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* configure.ac:
		- (VCSN_TESTS): Remove (problems with distcheck).
		- Adjust package version.
	* src/Makefile.am: Minor.
	* doc/tutorial/Makefile.am: Add tex files into the distribution.
	* include/Makefile.am: Refresh file list.
	* src/demos/samples/algebra/Makefile.am: Deactivate demos.
	* src/demos/vgrep/Makefile.am: Likewise.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/tools/gen_random.hh: Fix include

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/random.hh (sample_n): New.
	* include/vaucanson/misc/random.hxx (sample_n): Implement it.
	* include/vaucanson/tools/automaton_tools.hh: Use it.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/backward_realtime.hh: Fix include.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_realtime.hxx: Fix namespace.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_cderivation.hxx: Fix namespace.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_partial_derivation.hh: Fix
	include.
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx:
	Fix namespace.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/berry_sethi.hh: Fix namespace.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/thompson.hh: Typo. Fix include.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/product.hxx: Fix include.
	* include/vaucanson/algorithms/realtime.hh:
		(forward_realtime): Rename to "forward" because of conflict.
		(backward_realtime): Rename to "backward" because of conflict.
	* include/vaucanson/algorithms/realtime.hxx: Likewise.
	* include/vaucanson/algorithms/forward_realtime.hxx: Likewise.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/hopcroft_minimization.hh: Document
	and replace ...
	* include/vaucanson/algorithms/hopcroft.hh: Document and replace ...
	* include/vaucanson/algorithms/hopcroft_minimization.hxx: Document
	and replace ...
	* include/vaucanson/algorithms/hopcroft.hxx: Document and replace ...
	* src/tests/automata/algos/minimization_test.hh: Use
	minimization_hopcroft.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/accessible.hxx: Use sub_automaton. Typo.
	* src/tests/automata/algos/extract_test.hh: Use sub_automaton.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/standard_of.hh: Document and replace ...
	* include/vaucanson/algorithms/glushkov.hh: it.
	* include/vaucanson/algorithms/standard_of.hxx: Document and replace ...
	* include/vaucanson/algorithms/glushkov.hxx: it.
	* src/test/automata/algos/glushkov_test.hh: Use standard_of.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/sub_automaton.hh: Document and
	replace ...
	* include/vaucanson/algorithms/extract.hh: it.
	* include/vaucanson/algorithms/sub_automaton.hxx: Document and
	replace ...
	* include/vaucanson/algorithms/extract.hxx: it.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hxx: Fix include.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hh: Document and replace ...
	* include/vaucanson/algorithms/elimination.hh: it.
	* include/vaucanson/algorithms/aut_to_exp.hxx: Document and replace ...
	* include/vaucanson/algorithms/elimination.hxx: it.
	* src/tests/automata/algos/elimination_test.hh: Use aut_to_exp.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/elimination.hh: Document.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/determinize.hh: Document.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/derivatives_automaton.hxx: Document
	and replace ...
	* include/vaucanson/algorithms/derivates_automaton.hxx: it.
	* include/vaucanson/algorithms/derivatives_automaton.hh: Document
	and replace ...
	* include/vaucanson/algorithms/derivates_automaton.hh: it.
	* include/vaucanson/algorithms/krat_exp_derivation.hxx: Typo.
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx: Typo.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/eval.hh: Document and replace ...
	* include/vaucanson/algorithms/compute.hh: it.
	* include/vaucanson/algorithms/eval.hxx: Document and replace ...
	* include/vaucanson/algorithms/compute.hxx: it.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/concatenate.hh: Replace ...
	* include/vaucanson/algorithms/concat.hh: it.
	* include/vaucanson/algorithms/concatenate.hxx: Replace ...
	* include/vaucanson/algorithms/concat.hxx: it.
	* src/tests/automata/algos/in_concat_test.hh: Use concatenate.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/concepts.h[h,xx]: Remove.

2003-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/tools/usual.hh: Fix invalid includes.
	* include/vaucanson/algorithms/forward_closure.hxx: Typo.
	* include/vaucanson/algorithms/backward_closure.hxx: Likewise.
	* include/vaucanson/algorithms/forward_realtime.hxx: Use algebra
	explicitly.
	* include/vaucanson/algorithms/backward_realtime.hxx: Likewise.
	* include/vaucanson/tools/usual.hxx: New.

2003-06-24  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/accessible.hh,
	include/vaucanson/algorithms/normalized.hh: Document.

2003-06-23  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/standard.hh,
	  include/vaucanson/algorithms/thompson.hh,
	  include/vaucanson/algorithms/transpose.hh,
	  include/vaucanson/algorithms/sum.hh: Document.

2003-06-23  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime.hxx,
	  include/vaucanson/algorithms/realtime.hh: Change function prototype
	  and document.
	* include/vaucanson/algorithms/forward_realtime.hh,
	  include/vaucanson/algorithms/backward_realtime.hh: Document.

2003-06-22  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime.hh,
	  include/vaucanson/algorithms/realtime.hxx: Rename functions using
	  the new convention, and call new backward_ and forward_ functions.
	* src/tests/automata/algos/glushkov_test.hh,
	  src/tests/automata/algos/thompson_test.hh,
	  src/demos/vgrep/vgrep.cc: Change function call.
	* include/vaucanson/algorithms/forward_realtime.hxx,
	  include/vaucanson/algorithms/forward_realtime.hh,
	  include/vaucanson/algorithms/backward_realtime.hxx,
	  include/vaucanson/algorithms/backward_realtime.hh: Add.

2003-06-22  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/glushkov.hxx,
	  include/vaucanson/algorithms/standard.hh,
	  include/vaucanson/algorithms/standard.hxx: Rename functions using
	  the new convention.

2003-06-22  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/union.hh,
	  include/vaucanson/algorithms/union.hxx: Move to...
	* include/vaucanson/algorithms/sum.hh,
	  include/vaucanson/algorithms/sum.hxx: ... these.
	* src/tests/automata/algos/union_test.hh: Move to...
	* src/tests/automata/algos/sum_test.hh: ... this.

2003-06-21  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concrete/transpose_view.h[xx,h]: New.
	* include/vaucanson/automata/concrete/automaton_view.h[xx,h]: New.

2003-06-21  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/history.h[h,xx]: New.

2003-06-20  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/config/system.hh: Define PRETTY_FUNCTION().

	* include/vaucanson/misc/utility.hh: Mention `contract.hh'.

	* include/vaucanson/misc/contract.hh: Provide more services.

2003-06-20  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/reachable.hh,
	include/vaucanson/algorithms/reachable.hxx: Move to ...
	* include/vaucanson/algorithms/accessible.hh,
	include/vaucanson/algorithms/accessible.hxx: ... These. Rename
	functions using the new convention.
	* include/Makefile.am: Update accordingly.
	* src/tests/automata/algos/reachable_test.hh: Move to ...
	* src/tests/automata/algos/accessible_test.hh: ... This.
	* src/tests/automata/algos/Makefile.am: Update accordingly.
	* include/vaucanson/algorithms/determinize.hxx,
	include/vaucanson/algorithms/elimination.hxx,
	include/vaucanson/algorithms/trim.hxx,
	src/tests/automata/algos/extract_test.hh: Update using the new
	function names.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_base.hh: Fix include.
	* include/vaucanson/automata/concept/automata_ops.hh: Likewise.
	* include/vaucanson/automata/concrete/graph.hh: Fix namespace.
	* include/vaucanson/automata/concrete/kind_adapter.hh: Likewise.
	* include/vaucanson/automata/concrete/generalized.hh: Fix include.
	* include/vaucanson/automata/concrete/generalized.hxx: Likewise.
	* include/vaucanson/automata/concept/automata_kind.hh: Remove.
	* include/vaucanson/automata/concept/history.hh: Remove.
	* include/vaucanson/automata/concept/history.hxx: Remove.
	* include/vaucanson/automata/concept/relabel_impl.hh: Remove.
	* include/vaucanson/automata/concept/relabel_impl.hxx: Remove.
	* include/vaucanson/automata/concept/transpose_impl.hh: Remove.
	* include/vaucanson/automata/concept/transpose_impl.hxx: Remove.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/alphabets_base.hh: Document.
	* include/vaucanson/algebra/concept/alphabets_base.hxx: Typo.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Fix namespace.
	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx:
		Likewise.
	* include/vaucanson/misc/support.hh: Rename vcsn to utility.
	* include/vaucanson/misc/support.hxx: Likewise.
	* include/vaucanson/misc/constraint.hh: New.
	* include/vaucanson/misc/container_ops.h[h,xx]: New.


2003-06-20  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/product.hh,
	include/vaucanson/algorithms/product.hxx: Rename auto_product to
	product. Remove auto_in_diagonal and auto_diagonal from the interface
	file and rename them diagonal_here and diagonal.
	* src/tests/automata/algos/product_test.hh,
	src/demos/fsm/generate_toolbox.sh,
	src/demos/fsm/usual_automaton_t/vcsn_intersect.cc: Rename auto_product
	into product.

2003-06-20  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/thompson.hh,
	  include/vaucanson/algorithms/thompson.hxx: Change function name and
	  add another version of the thompson function.
	* src/tests/automata/algos/thompson_test.hh,
	  src/demos/fsm/generate_toolbox.sh: Change function call.

2003-06-20  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/normalized.hh,
	include/vaucanson/algorithms/normalized.hxx,
	include/vaucanson/algorithms/thompson.hxx,
	src/tests/automata/algos/normalize_test.hh: Rename concatenation
	functions with the new convention.

2003-06-20  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/misc/unchecked/ref.hh,
	include/vaucanson/misc/unchecked/ref.hh: Fix include path.

	* include/vaucanson/algebra/concept/freemonoid_base.hh,
	include/vaucanson/algebra/concrete/free_monoid/str_words.hh,
	include/vaucanson/algebra/concrete/free_monoid/str_words.hxx,
	include/vaucanson/algebra/concept/freemonoid_base.hxx,
	include/vaucanson/algebra/concept/monoid_base.hh,
	include/vaucanson/algebra/concept/numerical_semiring.hh,
	include/vaucanson/algebra/concept/semiring_base.hxx,
	include/vaucanson/algebra/concept/semiring_base.hh,
	include/vaucanson/algebra/concrete/alphabets/decorated_alphabet.hxx,
	include/vaucanson/algebra/concrete/alphabets/decorated_alphabet.hh,
	include/vaucanson/algebra/concrete/alphabets/set_alphabet.hh,
	include/vaucanson/algebra/concrete/alphabets/set_alphabet.hxx,
	include/vaucanson/automata/concept/automata_base.hh,
	include/vaucanson/automata/concrete/graph.hh,
	include/vaucanson/algebra/concrete/series/krat.hxx,
	include/vaucanson/algebra/concrete/series/polynoms.hxx,
	include/vaucanson/algebra/concept/series_base.hh,
	include/vaucanson/algebra/concept/series_base.hxx,
	include/vaucanson/algebra/concrete/free_monoid/words.hh,
	include/vaucanson/algebra/concrete/alphabets/alphabets.hh,
	include/vaucanson/algebra/concept/tropical_semiring.hh,
	include/vaucanson/automata/concept/automata_base.hh,
	include/vaucanson/automata/concept/automata.hh,
	include/vaucanson/automata/concept/automata.hxx,
	include/vaucanson/automata/concept/automata.hh,
	include/vaucanson/automata/concept/automata_base.hxx,
	include/vaucanson/automata/concept/automata_ops.hxx,
	include/vaucanson/algebra/concrete/series/polynoms.hxx,
	include/vaucanson/algebra/concrete/series/polynoms.hh,
	include/vaucanson/algebra/concrete/semiring/tropical_semiring.hh:
	include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx:
	include/vaucanson/algebra/concrete/semiring/numerical_semiring.hh:
	include/vaucanson/algebra/concrete/series/series.hh: Place missing
	namespace specifications. Rename `MetaSet' to `dynamic_traits',
	move `virtual_types' out of namespace `traits'. Add missing
	`virtual_types' specializations.

	* include/vaucanson/fundamental/slots.hh: Fix documentation.

	* include/vaucanson/algebra/concept/concepts.hh,
	include/vaucanson/algebra/concept/concepts.hxx: Remove.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/support.hh: Document.
	* include/vaucanson/automata/concept/delta_kind.hh: New.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/support.hh: New.
	* include/vaucanson/misc/support.hxx: Likewise.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/complete.hh: Document.
		(auto_in_complete): Rename to complete_here.
	* include/vaucanson/algorithms/complete.hxx: Likewise.
	* src/tests/automata/algos/complete_test.hh: Likewise.
	* src/demos/fsm/generate_toolbox.sh: Use forward_closure.

2003-06-20  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/transpose.hh,
	  include/vaucanson/algorithms/transpose.hxx: Rename function.
	* src/tests/automata/algos/minimization_test.hh,
	  src/demos/fsm/generate_toolbox.sh,
	  src/demos/fsm/usual_automaton_t/vcsn_reverse.cc: Change function call.

2003-06-20  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/moore.hh,
	include/vaucanson/algorithms/moore.hxx: Move to...
	* include/vaucanson/algorithms/minimization_moore.hh
	include/vaucanson/algorithms/minimization_moore.hxx: ... These. Rename
	moore_minimization with minimization_moore.
	* include/Makefile.am: Set accordingly.
	* src/tests/automata/algos/minimization_test.hh (minimization_test):
	Replace moore.hh with minimization_moore.hh and moore_minimization with
	minimization_moore.

2003-06-20  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/concat.hxx: Change function call.
	* include/vaucanson/algorithms/normalized.hxx: Change function call.
	* include/vaucanson/algorithms/standard.hxx: Change function call.
	* src/tests/automata/algos/Makefile.am: Change file name.
	* src/demos/fsm/generate_toolbox.sh: Change function call.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/complement.hh:
		(auto_in_complementary): Rename to complement_here.
		(auto_complementary): Rename to complement.
		Document.
	* include/vaucanson/algorithms/complement.hxx: Likewise.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/automata/algos/closure_test.hh:
		Test backward/forward closure.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/forward_closure.hh: Add file doc.
	* include/vaucanson/algorithms/forward_closure.hxx: Typo.
	* include/vaucanson/algorithms/backward_closure.hh: Add file doc.
	* include/vaucanson/algorithms/backward_closure.hxx: Typo.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/forward_closure.hh: New.
	* include/vaucanson/algorithms/forward_closure.hxx: Likewise.
	* include/vaucanson/algorithms/backward_closure.hh: Likewise.
	* include/vaucanson/algorithms/backward_closure.hxx: Likewise.
	* include/vaucanson/algorithms/closure.hh: Remove.
	* include/vaucanson/algorithms/closure.hxx: Likewise

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* Makefile.am (SUBDIRS): Remove mical.
	* configure.ac: Likewise.

2003-06-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* mical: Remove.

2003-06-19  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algebra/concept/alphabets_base.hh:
	Simplify. Cleanup. Document more.
	* include/vaucanson/algebra/concept/alphabets_base.hxx:
	Simplify. Cleanup.

	* include/vaucanson/misc/unique.hh: Fix comment.

	* include/vaucanson/misc/utility.hh: Mention `random.hh'.

	* include/misc/random.hh: Cleanup. Document. Simplify.
	* include/misc/random.hxx: Update accordingly.
	* src/tests/misc/random.cc: Add.
	* src/tests/misc/Makefile.am: Update accordingly.

2003-06-19  Raphaël Poss  <raph@lrde.epita.fr>

	* src/tests/fundamental/intrinsics.hh,
	src/tests/fundamental/intrinsics_orphanage.cc,
	src/tests/fundamental/intrinsics_link.cc
	src/tests/fundamental/intrinsics_extra.cc
	src/tests/fundamental/intrinsics_default.cc
	src/tests/fundamental/intrinsics_convert.cc
	src/tests/fundamental/intrinsics_assign.cc
	src/tests/fundamental/intrinsics_ops.cc: Add.
	* src/tests/fundamental/Makefile.am: Update accordingly.

	* include/vaucanson/fundamental/structure.hh: Make `Structure'
	inherit from `unifiable'. Add missing `operator!='.
	* include/vaucanson/fundamental/structure.hxx: Update accordingly.

	* include/vaucanson/fundamental/slots.hh: Remove deprecated
	methods. Fix constructor call in `SetSlot'.

	* include/vaucanson/fundamental/syntactic_decorator.hxx: Add
	missing calls to self().

	* include/vaucanson/fundamental/element_ops.hxx: Typo fixes. Unify
	comparison declarators. Sanitize operator logic. Use /* */
	comments in macros. Remove calls to `avoid_uniquify'.

	* include/vaucanson/fundamental/element_ops.hh: Fix template
	declarations.

	* include/vaucanson/fundamental/element.hxx: Make more calls to
	`op_convert' in constructors. Sanitize assignment logic.

	* include/vaucanson/fundamental/element.hh: Include `slot.hh'.

	* include/vaucanson/fundamental/default_ops.hxx: Use `static_cast'
	where appropriate to quiet the compiler. Add calls to assert()
	where useful.

	* src/tests/misc/static.cc (main): Fix syntax.

	* src/tests/misc/unique.cc: Remove include of `unique.hcc' since
	it is now imported by libcheck. Inherit from `unifiable' where
	needed.

	* include/vaucanson/misc/unique.hcc: Include `unique.hh'.

	* include/vaucanson/misc/unique.hxx,
	include/vaucanson/misc/unique.hh (utility): Specify `inline' where
	needed. Add base type `unifiable'. Update `get'
	accordingly. Remove `uniquified' and `avoid_uniquify'.

	* include/vaucanson/misc/static.hh: Add remove_const. Fix
	remove_reference.

	* src/tests/check/defs.in (CPPFLAGS): Quote substitutions.

	* src/tests/check/Makefile.flags (AM_CXXFLAGS): Do not add debug
	flags by default.

	* src/tests/check/Makefile.check: Adjust paths.

	* src/tests/check/unique.hcc: Add.
	* src/tests/check/tests_stuff.hh: Rename to ...
	* src/tests/check/tester.hh: this.
	* src/tests/check/tests_stuff.cc: Rename to ...
	* src/tests/check/tester.cc: this.
	* src/tests/check/Makefile.am (libcheck_a_SOURCES): Update accordingly.

	* src/tests/check/tester.hh, src/tests/check/tester.cc: Add
	default constructor which reads from $VERBOSE in the
	environment. Rename some identifiers. Add macros TEST_GROUP,
	TEST_ASSERT and TEST_XASSERT.

	* include/vaucanson/fundamental/predecls.hh: Mention `virtual_types'.

	* include/vaucanson/fundamental/element_ops.hxx: Typo fixes.

	* config/vcsn.m4: Remove Vaucanson includes from CPPFLAGS.

	* configure.ac: Remove mention of src/tests/bin/Makefile.

	* src/tests/sanity/includes.test: Use variables. Fix `defs'
	include.

	* src/tests/sanity/Makefile.am (check-local): Mention
	TOP_BUILDDIR.

2003-06-10  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/misc/utility.hh: Add. Document.

	* include/vaucanson/misc/constraints.hh,
	include/vaucanson/misc/container_ops.hh,
	include/vaucanson/misc/container_ops.hxx,
	include/vaucanson/misc/converter.hh,
	include/vaucanson/misc/converter.hxx,
	include/vaucanson/misc/functors.hh,
	include/vaucanson/misc/functors.hxx,
	include/vaucanson/misc/limits.hh,
	include/vaucanson/misc/misc_constraints.hh,
	include/vaucanson/misc/numerical_constraints.hh,
	include/vaucanson/misc/type_constraints.hh,
	include/vaucanson/misc/static.hxx: Remove.

	* include/vaucanson/config/rel_ops_work_around_g++2.hh: Remove.
	* include/vaucanson/fundamental/meta_set.hh: Remove.

	* src/tests/misc/Makefile.am, src/tests/misc/unique.cc,
	src/tests/misc/static.cc, src/tests/misc/selectors.cc,
	src/tests/misc/koenig.cc: Add.
	* src/tests/check/assert_test.cc: Rename to...
	* src/tests/misc/assert_test.cc: this.

	* include/vaucanson/config/math.hh: Add. Document.

	* include/vaucanson/fundamental/structure.hh: Document
	more. Cleanup. Simplify.
	* include/vaucanson/fundamental/structure.hxx: Cleanup. Simplify.

	* include/vaucanson/fundamental/slots.hh: Eradicate
	ValueSlots. Use dynamic_traits instead of MetaSet.
	* include/vaucanson/fundamental/slots.hxx: Update accordingly.

	* include/vaucanson/fundamental/predefs.hh: Rename to...
	* include/vaucanson/fundamental/predecls.hh: this. Document
	more. Cleanup. Import undefined_type from traits.hh.
	* include/vaucanson/internal/traits.hh: Remove.

	* include/vaucanson/fundamental/op_traits.hh: Rename to...
	* include/vaucanson/fundamental/element_op_traits.hh:
	this. Document. Cleanup. Simplify.
	* include/vaucanson/fundamental/op_traits.hxx: Rename to...
	* include/vaucanson/fundamental/element_op_traits.hxx:
	this. Cleanup. Simplify.

	* include/vaucanson/fundamental/meta_element.hh: Rename to...
	* include/vaucanson/fundamental/syntactic_decorator.hh:
	this. Document. Cleanup. Simplify.
	* include/vaucanson/fundamental/meta_element.hxx: Rename to...
	* include/vaucanson/fundamental/syntactic_decorator.hxx:
	this. Cleanup. Simplify.

	* include/vaucanson/fundamental/fundamental.hh: Simplify.

	* include/vaucanson/fundamental/element_ops.hh: Document more. Cleanup. Simplify.
	* include/vaucanson/fundamental/element_ops.hxx: Cleanup. Simplify. More sanity checks.

	* include/vaucanson/fundamental/element_base.hh: Rename to...
	* include/vaucanson/fundamental/meta_element_root.hh:
	this. Document. Cleanup. Simplify.
	* include/vaucanson/fundamental/element_base.hxx: Rename to...
	* include/vaucanson/fundamental/meta_element_root.hxx:
	this. Cleanup. Simplify.
	* include/vaucanson/fundamental/element.hh: Document more
	accurately. Cleanup. Simplify.
	* include/vaucanson/fundamental/element.hxx:
	Cleanup. Simplify. More sanity checks.
	* include/vaucanson/fundamental/default_ops.hh:
	Document. Cleanup. Simplify.
	* include/vaucanson/fundamental/default_ops.hxx:
	Cleanup. Simplify.
	* src/tests/misc/assert_test.cc: Include system.hh.
	* include/vaucanson/misc/unique.hh,
	include/vaucanson/misc/unique.hcc,
	include/vaucanson/misc/unique.hxx: Document. Simplify.
	* include/vaucanson/misc/selectors.hh: Document.
	* include/vaucanson/misc/static.hh: Document. Complete
	remove_reference.
	* include/vaucanson/config/system.hh: Document. Cleanup. Simplify.
	* include/Makefile.am: Beautify.
	* doc/doc.doxy.in: Cleanup eye candies.
	* src/tests/sanity/Makefile.am, src/tests/sanity/includes.test:
	Cleanup.
	* src/tests/defs.in: Rename to...
	* src/tests/check/defs.in: this. Cleanup. Use flags computed by
	configure.
	* src/tests/check/Makefile.flags: Use flags computed by configure.
	* src/tests/check/Makefile.check: Simplify.
	* src/tests/check/Makefile.am: Remove mention of `assert_test'.
	* src/tests/Makefile.am (SUBDIRS): Re-order. Mention `misc'.
	* configure.ac: Arrange directory order in AC_CONFIG_FILES.

2003-06-06  Raphaël Poss  <raph@lrde.epita.fr>

	* src/tests/check/assert_test.cc: Add.

	* src/tests/check/Makefile.am: Mention assert_test.

2003-06-05  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/freemonoid_base.hh: Typo.
	* include/vaucanson/algebra/concept/series_base.hh: Typo.
	* include/vaucanson/algebra/concrete/free_monoid/words.hxx,
	  include/vaucanson/algebra/concrete/series/series.hxx
		(hash): Remove because it is obsolete.

	* src/tests/check/tests_stuff.hh (EQTEST): New.
	* include/vaucanson/automata/concept/handlers.hh: Use int.
	* include/vaucanson/automata/concept/handlers.hxx: Likewise.
	* include/vaucanson/tools/usual_macros.hh,
	  include/vaucanson/tools/gen_random.hh,
	  include/vaucanson/tools/gen_random.hxx,
	  src/tests/automata/algos/closure_test.hh,
	  src/tests/automata/algos/complete_test.hh,
	  src/tests/automata/algos/compute_test.hh,
	  src/tests/automata/algos/concat_test.hh,
	  src/tests/automata/algos/determinist_test.hh,
	  src/tests/automata/algos/elimination_test.hh,
	  src/tests/automata/algos/extract_test.hh,
	  src/tests/automata/algos/minimization_test.hh,
	  src/tests/automata/algos/normalize_test.hh,
	  src/tests/automata/algos/product_test.hh,
	  src/tests/automata/algos/reachable_test.hh,
	  src/tests/automata/algos/realtime_test.hh,
	  src/tests/automata/algos/union_test.hh,
	  src/tests/automata/implementation_check/add_edge_test.hh,
	  src/tests/automata/implementation_check/add_state_test.hh,
	  src/tests/automata/implementation_check/coherence_state_edge_test.hh,
	  src/tests/automata/implementation_check/global_consistency_test.hh,
	  src/tests/automata/implementation_check/init_final_test.hh,
	  src/tests/automata/algos/in_concat_test.hh:
		Adjust to new automata interface.

2003-06-05  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/series_base.hh:
		(mute_serie_impl): New traits.
		(mute_series_traits): New traits.
		(extract_support),(hadamard): New functions.
	* include/vaucanson/algebra/concept/series_base.hxx:
		(is_letter_support): Fix supp() use.
		(extract_support), (hadamard): Implement them.
	* include/vaucanson/algebra/concrete/series/krat.hh:
		(mute_serie_impl): Specialize for rat::exp.
	* include/vaucanson/algebra/concrete/series/krat.hxx:
		Enable 'get' for polynomial expressions.
	* include/vaucanson/algebra/concrete/series/polynoms.hh:
		(mute_serie_impl): Specialize for polynom.
	* include/vaucanson/algebra/concrete/series/polynoms.hxx: Fix.

2003-05-30  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/fundamental/structure.hxx: Remove unused
	operator!=().

	* include/vaucanson/algebra/concept/alphabets_base.hxx: Minor fix.

	* include/vaucanson/algebra/concrete/free_monoid/words.hxx
	(utility): Add hash specialization.

	* include/vaucanson/algebra/concrete/series/series.hxx (utility):
	Likewise. Implement operator==().

	* include/vaucanson/algebra/concrete/free_monoid/words.hh: Inherit
	MetaSet from parent.
	* include/vaucanson/algebra/concrete/series/series.hh: Likewise. Mention operator==().


	* include/vaucanson/algebra/concept/tropical_semiring.hh: Inherit
	MetaSet from parent, so that defining dynamic_set is no longer
	necessary.
	* include/vaucanson/algebra/concept/numerical_semiring.hh: Likewise.
	* include/vaucanson/algebra/concrete/alphabets/alphabets.hh: Likewise.

	* include/vaucanson/algebra/concept/monoid_base.hh: Add missing
	MetaSet specialization.
	* include/vaucanson/algebra/concept/semigroup_base.hh: Likewise.
	* include/vaucanson/algebra/concept/alphabets_base.hh: Likewise.
	* include/vaucanson/algebra/concept/series_base.hh: Likewise.
	* include/vaucanson/algebra/concept/semiring_base.hh: Likewise.
	* include/vaucanson/algebra/concept/freemonoid_base.hh: Likewise.

2003-05-30  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/misc/unique.hcc,
	  include/vaucanson/misc/unique.hh,
	  include/vaucanson/misc/unique.hxx: New.

2003-05-27  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/internal/traits.hh: Document.

	* include/vaucanson/fundamental/element.hh: Minor documentation
	tweak.

	* include/vaucanson/fundamental/slots.hh: Document.

	* doc/doc.doxy.in: Minor tweaks.

2003-05-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/closure.hh,
	  include/vaucanson/algorithms/closure.hxx,
	  include/vaucanson/algorithms/complementary.hh,
	  include/vaucanson/algorithms/complementary.hxx,
	  include/vaucanson/algorithms/complete.hh,
	  include/vaucanson/algorithms/complete.hxx,
	  include/vaucanson/algorithms/compute.hh,
	  include/vaucanson/algorithms/compute.hxx,
	  include/vaucanson/algorithms/concat.hh,
	  include/vaucanson/algorithms/concat.hxx
	  include/vaucanson/algorithms/determinize.hh
          include/vaucanson/algorithms/determinize.hxx
	  include/vaucanson/algorithms/elimination.hh
	  include/vaucanson/algorithms/elimination.hxx
	  include/vaucanson/algorithms/extract.hh
	  include/vaucanson/algorithms/extract.hxx
	  include/vaucanson/algorithms/glushkov.hh
	  include/vaucanson/algorithms/glushkov.hxx
	  include/vaucanson/algorithms/hopcroft.hh
	  include/vaucanson/algorithms/hopcroft.hxx
	  include/vaucanson/algorithms/isomorph.hh
	  include/vaucanson/algorithms/moore.hh
	  include/vaucanson/algorithms/moore.hxx
	  include/vaucanson/algorithms/normalized.hh
	  include/vaucanson/algorithms/normalized.hxx
	  include/vaucanson/algorithms/product.hh
	  include/vaucanson/algorithms/product.hxx
	  include/vaucanson/algorithms/reachable.hh
	  include/vaucanson/algorithms/reachable.hxx
	  include/vaucanson/algorithms/realtime.hh
	  include/vaucanson/algorithms/realtime.hxx
	  include/vaucanson/algorithms/standard.hh
	  include/vaucanson/algorithms/standard.hxx
	  include/vaucanson/algorithms/thompson.hh
	  include/vaucanson/algorithms/thompson.hxx
	  include/vaucanson/algorithms/transpose.hh
	  include/vaucanson/algorithms/transpose.hxx
	  include/vaucanson/algorithms/trim.hh
	  include/vaucanson/algorithms/trim.hxx
	  include/vaucanson/algorithms/union.hh
	  include/vaucanson/algorithms/union.hxx:
		Adjust to new automaton services.

2003-05-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/Makefile.am: Adjust.
	* include/vaucanson/algebra/concrete/free_monoid/predefs.hh:
		(WordValue): New.
	* include/vaucanson/misc/functors.h[h,xx]: Comment defect include.
	* include/vaucanson/tools/usual.hh:
		Adjust to new automaton type definition.
		(new_automaton): New.
	* include/vaucanson/tools/usual.hxx(new_automaton): Implement.
	* src/demos/vgrep/vgrep.cc: Adjust.

	* include/vaucanson/automata/concrete/graph.hh:
		(transducer_traits): Disable.

2003-05-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concrete/graph.hh,
	  include/vaucanson/automata/concrete/graph.hxx,
	  include/vaucanson/automata/concrete/kind_adapter.hh: New.

2003-05-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concrete/manylinks.hh,
  	  include/vaucanson/automata/concrete/manylinks.hxx,
	  include/vaucanson/automata/concrete/manylinks_carriers.hh,
	  include/vaucanson/automata/concrete/manylinks_states.hh
          include/vaucanson/automata/concrete/manylinks_edges.hh:
		Remove.

2003-05-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/series_base.hh(series_traits):
		(series_traits): Update number of parameters.
		(MetaElement): Add support_t and supp().
		Add is_letter_support and op_support.
	* include/vaucanson/algebra/concept/series_base.hxx:
		Implement them.

2003-05-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata.hh:
		(MetaSet): Use MetaSet<Series>.
		(MetaElement<Automata, ..>): Provide accessors to series.

	* include/vaucanson/automata/concept/automata.hxx:
		Implement accessors.

	* include/vaucanson/automata/concept/automata_base.hh:
		Major changes.
		New services in MetaElement<AutomataBase<Self>, ...>.
		Do not use automaton_impl, ref and kinds anymore.
		Disable history.

	* include/vaucanson/automata/concept/automata_base.hxx:
		Add wrappers to external operators.
		Add default implementations.

	* include/vaucanson/automata/concept/automata_ops.hh: New.
	* include/vaucanson/automata/concept/automata_ops.hxx: New.
		Provide default implementation for operators.

	* include/vaucanson/automata/concept/automaton_impl.hh,
	  include/vaucanson/automata/concept/automaton_impl.hxx: Remove.

2003-05-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hh(series_traits):
		Add support_t.

	* include/vaucanson/algebra/concrete/series/krat.hxx:
		Implement op_support, op_is_finite_app.

	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh:
		Minor changes.

	* include/vaucanson/algebra/concrete/series/polynoms.hh:
		Add support_t,
		Add output facilities.

	* include/vaucanson/algebra/concrete/series/polynoms.hxx:
		Implement op_support and output facilities.

	* include/vaucanson/algebra/concrete/series/krat_exp_support.hxx,
	  include/vaucanson/algebra/concrete/series/krat_exp_is_finite_app.hxx:
		New.

2003-05-19  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/misc/limits.hh: Revert conditional for using
	C++ <limits>, so that it works _by default_.

2003-05-19  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx,
	  include/vaucanson/misc/numerical_constraints.hh,
	  include/vaucanson/misc/random.hh:
		Use our 'limits' wrapper.
	* include/vaucanson/misc/limits.hh: Is now a wrapper.

2003-05-19  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* doc/doc.doxy: Remove this generated file.

2003-05-19  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/demos/vgrep/Makefile.am(vgrep): Replace 'check' by 'noinst'.
	* src/demos/samples/Makefile.am: New.
	* src/demos/samples/algebra/Makefile.am: New.
	* src/demos/samples/pattern/concept/element.hh: Remove.
	* src/demos/samples/pattern/fundamental/structure.hh: Remove.
	* src/demos/samples/pattern/fundamental/structure.hxx: Remove.

2003-05-19  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* bootstrap.sh: Fix typo.

2003-05-18  Loïc Fosse  <fosse_l@lrde.epita.fr>

	* include/vaucanson/algorithms/algo_helper.hxx: Add new function.
	* include/vaucanson/algorithms/algo_helper.hh: Add new function.
	* include/vaucanson/algorithms/derivates_automaton.hxx: Add weight on
	exit transitions.

2003-05-18  Loïc Fosse  <fosse_l@lrde.epita.fr>

        * include/vaucanson/algebra/concrete/semiring/tropical_semiring.hh:
        Change namespace.
        * include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx:
        Change namespace.
        * include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx: Fix a
        bug in weighted expression parsing.
        * include/vaucanson/config/system.hh: Correct header inclusion.
        * include/vaucanson/tools/usual.hh: Add a new predefined automaton type.
        * include/vaucanson/algorithms/algo_helper.hxx: Add a function in
        IncAutomataConstructor.
        * include/vaucanson/algorithms/algo_helper.hh: Add a function in
        IncAutomataConstructor.
        * include/vaucanson/algebra/concrete/series/krat_coefficient.hxx: Add.
        * include/vaucanson/algebra/concrete/series/krat_coefficient.hh: Add.
        * include/vaucanson/algorithms/derivates_automaton.hxx: Add.
        * include/vaucanson/algorithms/derivates_automaton.hh: Add.
        * include/vaucanson/algorithms/krat_exp_partial_derivation.hxx: Add.
        * include/vaucanson/algorithms/krat_exp_partial_derivation.hh: Add.

2003-05-18  Raphaël Poss  <raph@lrde.epita.fr>

	* mical/src/Makefile.am: Add. Make Mical binaries part of the
	`check' target.

	* mical/include/Makefile.am: Add.

	* mical/Makefile.am: Add.

	* mical/include/algorithms/make_pta.hh: Fix typo. Import the
	`vcsn' namespace.

	* mical/src/make_mca.cc (main): Import the `mical' namespace.
	* mical/include/algorithms/rig.hh: Likewise.

	* Makefile.am (SUBDIRS): Mention `mical'.
	* configure.ac: Likewise.


2003-05-15  Raphaël Poss  <raph@lrde.epita.fr>

	* src/demos/samples/Makefile.am: Distribute more examples.

	* src/demos/samples/algebra/semiring.cc (main): Add missing declaration.

	* src/demos/samples/algebra/decorated_alphabet.cc (main): Omit arguments.
	* src/demos/samples/algebra/alphabet.cc (main): Likewise.

	* src/demos/samples/algebra/series.cc (main): Add bug notice.

	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx:
	More argument name omissions.

	* include/Makefile.am (nobase_include_HEADERS): Cleanup.

	* configure.ac: Add more `Makefile's to AC_CONFIG_FILES.

	* src/demos/samples/Makefile.am: Add.

	* src/demos/Makefile.am (SUBDIRS): Mention `samples'.

	* src/demos/samples/algebra/Makefile.am: Add.

	* src/demos/Makefile.am: Remove `demos' target.
	* src/demos/vgrep/Makefile.am: Likewise.

	* Makefile.am (maintainer-check): Fix cppi invocation.

2003-05-15  Raphaël Poss  <raph@lrde.epita.fr>

	* Makefile.am: Remove `doc' target.

	* doc/Makefile.am, doc/tutorial/Makefile.am: Likewise. Sanitize.

	* doc/doc.doxy.in: Sanitize.

2003-05-15  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/config/config.hh.in: Remove obsolete file.

	* include/vaucanson/config/extrconf.sh,
	include/vaucanson/config/pconf.sh, tools/scandefs.pl: Likewise.

2003-05-15  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/config/system.hh: Add new macro XUNUSED.

	* include/vaucanson/misc/constraints.hh (utility): Use XUNUSED.

	* include/vaucanson/algorithms/compute.hxx,
	include/vaucanson/algorithms/realtime.hxx,
	include/vaucanson/algorithms/determinize.hxx,
	include/vaucanson/fundamental/default_ops.hxx
	include/vaucanson/algorithms/closure.hxx,
	include/vaucanson/algebra/concrete/series/polynoms.hxx,
	include/vaucanson/automata/concept/kinds.hxx,
	include/vaucanson/algorithms/reachable.hxx,
	include/vaucanson/algorithms/extract.hxx,
	include/vaucanson/fundamental/slots.hxx,
	include/vaucanson/automata/concrete/manylinks.hxx,
	include/vaucanson/misc/container_ops.hxx: Omit argument names
	where necessary to shut up the compiler.

2003-05-15  Raphaël Poss  <raph@lrde.epita.fr>

	* src/Makefile.am (SUBDIRS): Re-order.
	* src/demos/vgrep/Makefile.am: Sanitize.

2003-05-15  Raphaël Poss  <raph@lrde.epita.fr>

	* vcsn.m4: Rename to...
	* config/vcsn.m4: this.

	* config/vcsn.m4 (AC_WITH_VCSN): Add more macros.
	* configure.ac: Sanitize. Adapt to new configuration system.
	* Makefile.am: Sanitize. Comment more.
	* src/Makefile.am (SUBDIRS): Mention `demos'.

	* include/vaucanson/config/system.hh: Adapt to new configuration
	system.

	* src/tests/bin/generate-test-suite.sh: Sanitize.

2003-05-15  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat.hxx: Add reminder
	for future bugfix.

	* vcsn.m4: Add macros, courtesy of the Olena distribution.

2003-05-12  Raphaël Poss  <raph@lrde.epita.fr>

	* Makefile.am, boostrap.sh, configure.ac: Mention subdirectory
	'vauc'.

2003-05-07  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concept/semiring_base.hxx,
	include/vaucanson/algebra/concrete/alphabets/set_alphabet.hxx,
	include/vaucanson/algebra/concrete/free_monoid/str_words.hxx,
	include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx,
	include/vaucanson/algebra/concrete/series/krat.hxx,
	include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh,
	include/vaucanson/algebra/concrete/series/polynoms.hxx,
	include/vaucanson/algorithms/glushkov.hxx,
	include/vaucanson/algorithms/standard.hxx,
	include/vaucanson/algorithms/union.hxx,
	include/vaucanson/automata/concept/automata_base.hxx,
	include/vaucanson/automata/concrete/manylinks.hxx,
	include/vaucanson/fundamental/default_ops.hxx,
	include/vaucanson/fundamental/element_base.hxx,
	include/vaucanson/fundamental/slots.hxx,
	include/vaucanson/misc/container_ops.hxx,
	include/vaucanson/misc/static.hxx: Fix many 'unused argument' warnings.

2003-05-06  Loic Fosse  <fosse_l@lrde.epita.fr>

        * src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh: Fix a
        bug.

2003-05-05  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/tests-suites/algebra_series_krat_derivation.defs: Remove
	a superfluous typename.
	* src/tests/algebra/series/krat/derivations/derivations_common.hh
	(choose_exp_and_derivate, choose_cancelable_exp_and_derivate): Add.
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh:
	Add code that was missing to complete the test.
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh,
	src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_sum_test.hh,
	src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_star_test.hh,
	src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh,
	src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh:
	New.

2003-04-11  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx
	(op_in_star): Fix a bug.

2003-04-11  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_linearize.hh:
		Fix missing header inclusion.

2003-04-11  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/letter/couple_letter.hh:
		Fix missing header inclusion,
		(compare,move,copy,assign): Move trailing code ...
	* include/vaucanson/algebra/concrete/letter/couple_letter.hxx:
		... here.

2003-04-11  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concept/semiring_base.hh,
	include/vaucanson/algebra/concept/semiring_base.hxx: Add
	can_choose_non_stareable, choose_stareable and choose_non_stareable
	to struct SemiringBase<Self>. Also add corresponding op_ default
	implementations.
	* include/vaucanson/algebra/concept/tropical_semiring.hh: Add
	struct NonStareableInterval<T> to TropicalMax and TropicalMin.
	* include/vaucanson/algebra/concept/tropical_semiring.hxx: New.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hh,
	include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx:
	Add specialization to op_can_choose_non_stareable, op_choose_stareable
	and op_choose_non_stareable for integers, booleans and floats.
	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hh,
	include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx:
	Add specialization to op_can_choose_non_stareable, op_choose_stareable
	and op_choose_non_stareable for TropicalSemiring<TropicalKind>.
	* include/vaucanson/misc/random.hh: Fix bugs in RandomGenerator<int>
	and RandomGenerator<bool>. Add RandomGenerator<float>.

2003-04-10  Loic Fosse  <fosse_l@lrde.epita.fr>

        * include/vaucanson/algebra/concrete/series/krat.hxx: Fix minor bug.
        * include/vaucanson/fundamental/element.hxx: Fix a bug in a constructor,
        which called a wrong SetSlotAttribute constructor.
        * include/vaucanson/fundamental/slots.hxx: Change a constructor in order
        to copy the pointed object instead of the pointer.
        * include/vaucanson/algorithms/brzozowski.hxx: Change algorithm to match
        the new pattern.
        * include/vaucanson/algorithms/algo_helper.hxx: Transform an old pattern
        and add a new one.
        * include/vaucanson/algorithms/algo_helper.hh: Transform an old pattern
        and add a new one.
        * include/vaucanson/algorithms/krat_exp_linearize.hxx: Correct some
        bugs.
        * include/vaucanson/algorithms/berry_sethi.hxx: Add.
        * include/vaucanson/algorithms/berry_sethi.hh: Add.

2003-04-07  Raphaël Poss  <raph@lrde.epita.fr>

	* bootstrap.sh: Simplify.
	* Makefile.am (ACLOCAL_AMFLAGS, CONFIGURE_DEPENDENCIES): Add.

2003-04-03  Maxime Rey  <max@lrde.epita.fr>

	* src/demos/grammar_inference: Removed

	* Algorithms:

	* mical/include/algorithms/is_kreversible.hxx: Added
	* mical/include/algorithms/is_kreversible.hh: Added
	* mical/include/algorithms/is_kdeterministic.hxx: Added
	* mical/include/algorithms/is_kdeterministic.hh: Added
	* mical/include/algorithms/k_ri.hxx: Added
	* mical/include/algorithms/k_ri.hh: Added
	* mical/include/algorithms/k_tssi.hxx: Added
	* mical/include/algorithms/get_structcomp_sample.hxx: Added
	* mical/include/algorithms/get_structcomp_sample.hh: Added
	* mical/include/algorithms/mggi.hxx: Added
	* mical/include/algorithms/rig2.hh: Added
	* mical/include/algorithms/mggi.hh: Added
	* mical/include/algorithms/k_tssi.hh: Added
	* mical/include/algorithms/rig.hxx: Added
	* mical/include/algorithms/rig.hh: Added
	* mical/include/algorithms/make_pta.hxx: Added
	* mical/include/algorithms/make_pta.hh: Added
	* mical/include/algorithms/make_mca.hxx: Added
	* mical/include/algorithms/make_mca.hh: Added
	* mical/include/algorithms/is_structurally_complete.hxx: Added
	* mical/include/algorithms/is_structurally_complete.hh: Added
	* mical/include/algorithms/is_not_compatible.hxx: Added
	* mical/include/algorithms/is_not_compatible.hh: Added
	* mical/include/algorithms/fusion.hxx: Added
	* mical/include/algorithms/fusion.hh: Added

	* Simple Tests:

	* mical/src/k_ri.cc: Added
	* mical/src/k_tssi.cc: Added
	* mical/src/k_deterministic.cc: Added
	* mical/src/is_structurally_complete.cc: Added
	* mical/src/get_structcomp_sample.cc: Added
	* mical/src/make_mca.cc: Added
	* mical/src/is_not_compatible.cc: Added
	* mical/src/fusion.cc: Added
	* mical/src/bs.cc: Added
	* mical/src/training/vtrain.toy: Added

	* Algebra:

	* mical/include/algebra/concrete/k_words.hxx: Added
	* mical/include/algebra/concrete/k_words.hh: Added
	* mical/include/algebra/concrete/complete_lattice.hxx: Added
	* mical/include/algebra/concrete/complete_lattice.hh: Added
	* mical/include/algebra/concrete/ordered_set.hxx: Added
	* mical/include/algebra/concrete/ordered_set.hh: Added
	* mical/include/algebra/concrete/lattice.hxx: Added
	* mical/include/algebra/concrete/lattice.hh: Added
	* mical/include/algebra/concrete/complemented_lattice.hxx: Added
	* mical/include/algebra/concrete/complemented_lattice.hh: Added
	* mical/include/algebra/concept/k_monoid_base.hxx: Added
	* mical/include/algebra/concept/k_monoid_base.hh: Added
	* mical/include/algebra/concept/mix_base.hh: Added
	* mical/include/algebra/concept/complete_lattice_base.hh: Added
	* mical/include/algebra/concept/complete_lattice_base.hxx: Added
	* mical/include/algebra/concept/ordered_set_base.hxx: Added
	* mical/include/algebra/concept/ordered_set_base.hh: Added
	* mical/include/algebra/concept/lattice_base.hxx: Added
	* mical/include/algebra/concept/lattice_base.hh: Added
	* mical/include/algebra/concept/complemented_lattice_base.hxx: Added
	* mical/include/algebra/concept/complemented_lattice_base.hh: Added

	* Other:

	* mical/include/internal/k_window.hxx: Added
	* mical/include/internal/k_window.hh: Added
	* mical/include/misc/traits.hh: Added
	* mical/include/fundamental/default_ops.hh: Added
	* mical/include/fundamental/meta_set.hh: Added
	* mical/include/fundamental/mix.hh: Added
	* mical/include/tools/predefs.hh: Added
	* mical/include/tools/load_sample.hxx: Added
	* mical/include/tools/load_sample.hh: Added

2003-04-02  Loic Fosse  <fosse_l@lrde.epita.fr>

        * include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh: Change
 	the result of the KRatExpIdentity when a constant is matched.
        * include/vaucanson/algebra/concrete/series/krat_exp_pattern.hxx: Remove
        the const of the call of dispatch function.
        * include/vaucanson/algebra/concrete/series/rat/exp.hh: Change the
        matcher attribute into a reference in the dispatch visitor.
        * include/vaucanson/algebra/concrete/series/rat/exp.hxx: Apply changes
        made by the change in the dispatch visitor.
        * include/vaucanson/algorithms/aci_canonical.hxx: Change the result when
        a constant is matched.
        * include/vaucanson/algebra/concrete/letter/couple_letter.hxx: Add.
        * include/vaucanson/algebra/concrete/letter/couple_letter.hh: Add.
        * include/vaucanson/algorithms/krat_exp_linearize.hxx: Add.
        * include/vaucanson/algorithms/krat_exp_linearize.hh: Add.

2003-04-02  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/algebra/series/krat/krat_exp_constant_term_test.hh,
	src/tests/algebra/series/krat/krat_exp_derivation_test.hh,
	src/tests/algebra/series/krat/krat_exp_parse_test.hh,
	src/tests/algebra/series/krat/krat_exp_realtime_test.hh: Move to ...
	* src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_derivation_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh:
	... These.
	* src/tests/algebra/series/krat/Makefile.am: Update.
	* src/tests/algebra/series/krat/derivations/Makefile.am: Add.
	* src/tests/algebra/series/krat/derivations/derivation/Makefile.am:
	Add.
	* src/tests/algebra/series/krat/derivations/cderivation/Makefile.am:
	Add.
	* src/tests/algebra/series/krat/main/Makefile.am: Add.
	* configure.ac: Update.
	* src/tests/tests-suites/algebra_series_krat_derivation.defs: Add.
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh:
	Add.
	* src/tests/algebra/series/krat/derivations/derivations_common.hh: Add.
	* src/tests/algebra/series/krat/main/krat_exp_cderivation_linear_test.hh:
	Add.
	* include/vaucanson/algebra/concrete/series/krat.hxx: Add a new
	template specialization to op_convert().

2003-03-31  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_cderivation.hxx
	(match_nodeConstant),
	include/vaucanson/algorithms/krat_exp_cderivation.hxx
	(match_nodeConstant): Remove the link to vcsn::rat, so
	derivation/cderivation are implementation independent (so now pass the
	sanity check).
	* include/vaucanson/algebra/concrete/series/krat.hxx: Add an
	op_convert function to convert std::string to rat::exp
	(as a constant). So permit the Element constructor for rat::exp to
	have a string as value argument.

2003-03-26  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/Makefile.am: Update source list.
	* src/tests/algebra/series/misc/series_test.hh: Fix a small bug in
	the test, when two random letters are equals.
	* src/tests/algebra/series/krat/krat_exp_linearize_test.hh
	include/vaucanson/algorithms/krat_exp_linearize.hxx,
	include/vaucanson/algorithms/krat_exp_linearize.hh: Move to ...
	* src/tests/algebra/series/krat/krat_exp_realtime_test.hh,
	include/vaucanson/algorithms/krat_exp_realtime.hxx,
	include/vaucanson/algorithms/krat_exp_realtime.hh: ... These.
	* src/tests/algebra/series/krat/Makefile.am: Move
	'krat_exp_linearize_test.hh' to 'krat_exp_realtime_test.hh'.

2003-03-24  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_cderivation.hxx,
	include/vaucanson/algorithms/krat_exp_derivation.hxx: Add typedefs for
	a monoid element value. Change the old zero(SELECT(...)) and
	identity(SELECT(...)) methods with zero_as<>::of() and
	identity_as<>::of(). Fix the derivation/c-derivation of non-linearized
	expressions (i.e. 'ab' instead of 'a.b').

2003-03-20  Loic Fosse  <fosse_l@lrde.epita.fr>

        * include/vaucanson/algorithms/brzozowski.hxx: Change names of variables
        and structures, rewrite some comments.
        * include/vaucanson/algorithms/algo_helper.hxx: Change names.
        * include/vaucanson/algorithms/algo_helper.hh: Change names and
        comments.

2003-03-19  Loic Fosse  <fosse_l@lrde.epita.fr>

        * include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh
        (KRatExpIdentity): Correct the class.
        * include/vaucanson/algebra/concrete/series/rat/nodes.hxx: Correct the
        operator < which was not a true ordering relation.
        * include/vaucanson/algorithms/brzozowski.hxx: Add.
        * include/vaucanson/algorithms/brzozowski.hh: Add.
        * include/vaucanson/algorithms/aci_canonical.hxx: Add.
        * include/vaucanson/algorithms/aci_canonical.hh: Add.
        * include/vaucanson/algorithms/algo_helper.hxx: Add.
        * include/vaucanson/algorithms/algo_helper.hh: Add.

2003-03-19  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/misc/contract.hh: Add.
	* include/vaucanson/algorithms/complementary.hxx: Include
	vaucanson/misc/contract.hh, so it compile.
	* src/tests/automata/algos/compute_test.hh,
	src/tests/automata/algos/elimination_test.hh
	src/tests/automata/algos/thompson_test.hh: Correct the tests to compile
	with the actual version of compute.

2003-03-18  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/algebra/series/misc/series_test.hh (test_series): Rename
	function to 'series_test', in order to work with the test generator.
	* src/tests/tests-suites/algebra_series_misc.defs: Add.

2003-03-17  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* src/tests/bin/generate-test-suite.sh: Change CPPFLAGS to AM_CPPFLAGS
	to avoid an Automake warning.
	* src/tests/tests-suites/algebra_series_krat.defs: Add.
	* configure.ac: Add new test directories.
	* src/tests/algebra/series/Makefile.am: Create subdirectories, for the
	test generator to work properly, with definition files for
	algebra_series_krat and algebra_series_misc.
	* src/tests/algebra/series/krat/Makefile.am: Add.
	* src/tests/algebra/series/misc/Makefile.am: Add.
	* src/tests/algebra/series/krat/krat_exp_parse_test.hh,
	src/tests/algebra/series/krat/krat_exp_linearize_test.hh,
	src/tests/algebra/series/krat/krat_exp_derivation_test.hh,
	src/tests/algebra/series/krat/krat_exp_constant_term_test.hh: Move
	from parent directory in a newly created directory "krat".
	* src/tests/algebra/series/misc/series_test.hh: Move from parent
	directory in a newly created directory "misc", and rename
	"series-test.hh" to "series_test.hh" for compatibility with the test
	generator.
	* src/tests/algebra/series/krat_exp_constant_term_test.hh,
	src/tests/algebra/series/krat_exp_derivation_test.hh,
	src/tests/algebra/series/krat_exp_linearize_test.hh,
	src/tests/algebra/series/krat_exp_parse_test.hh: Move to subdirectory
	"krat".
	* src/tests/algebra/series/series-test.hh: Move to subdirectory "misc"
	and rename to "series_test.hh".

2003-03-13  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concept/monoid_base.hh,
	  include/vaucanson/algebra/concept/monoid_base.hxx: Set correct
	  copyrights.

2003-03-13  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concept/monoid_base.hh (identity_as,
	zero_as): Add definition.
	* include/vaucanson/algebra/concept/monoid_base.hxx (identity_as,
	zero_as): Add implementation.
	* include/vaucanson/algorithms/krat_exp_derivation.hxx
	(match_nodeStar): Fix a infinite loop bug, due to an evil side effect
	in exp::star().
	* include/vaucanson/algorithms/krat_exp_cderivation.hxx
	(match_nodeStar): Fix a infinite loop bug, due to an evil side effect
	in exp::star().
	* include/vaucanson/algorithms/krat_exp_cderivation.hxx
	(match_nodeProduct, match_nodeSum, match_nodeConstant, match_nodeOne,
	match_nodeZero): Clean the code.

2003-03-07  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_cderivation.hxx
	(match_nodeProduct): Fix a dummy bug, due to a misreading in the
	c-derivation definition.

2003-03-07  Thomas Claveirole  <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/krat_exp_cderivation.hxx:  Add.
	* include/vaucanson/algorithms/krat_exp_cderivation.hh: Add.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx
	(op_stareable): Remove >= to put <=.
	* ChangeLog: Add a few blank lines accordingly to the standard.

2003-03-05  Thomas Claveirole <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx
	(op_stareable, op_in_star): Fix a bug.
	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx
	(op_in_star): Fix a bug.

2003-03-05  Thomas Claveirole <clavei_t@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx: Fix
	  a bug, which occur only with g++ 3.2.
	* src/tests/automata/algos/in_concat_test.hh: Set a correct copyright.

2003-02-27  Thomas Claveirole <clavei_t@lrde.epita.fr>

	* src/tests/automata/algos/in_concat_test.hh: Add a new test source,
	  for auto_in_concat.

2003-02-27  Loic Fosse <fosse_l@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx: Apply
	  Akim's patch.
	* include/vaucanson/algorithms/krat_exp_constant_term.hxx (match_sum):
	  Fix minor bug.

2003-02-26  Thomas Claveirole <clavei_t@lrde.epita.fr>

	* include/vaucanson/algorithms/concat.hxx (auto_in_concat): Fix some
	  missing code.
	* include/vaucanson/config/config.hh: Remove.

2003-02-26  Akim Demaille  <akim@epita.fr>

	* HEADER: Bump to 2003.

	* include/vaucanson/algebra/concept/alphabets_base.hh,
	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	* include/vaucanson/algebra/concept/concepts.hh,
	* include/vaucanson/algebra/concept/concepts.hxx,
	* include/vaucanson/algebra/concept/freemonoid_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_base.hxx,
	* include/vaucanson/algebra/concept/letter.hh,
	* include/vaucanson/algebra/concept/monoid_base.hh,
	* include/vaucanson/algebra/concept/monoid_base.hxx,
	* include/vaucanson/algebra/concept/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hxx,
	* include/vaucanson/algebra/concept/semiring_base.hh,
	* include/vaucanson/algebra/concept/semiring_base.hxx,
	* include/vaucanson/algebra/concept/series_base.hh,
	* include/vaucanson/algebra/concept/series_base.hxx,
	* include/vaucanson/algebra/concept/tropical_semiring.hh,
	* include/vaucanson/algebra/concrete/alphabets/alphabets.hh,
	* include/vaucanson/algebra/concrete/alphabets/predefs.hh,
	* include/vaucanson/algebra/concrete/alphabets/set_alphabet.hh,
	* include/vaucanson/algebra/concrete/alphabets/set_alphabet.hxx,
	* include/vaucanson/algebra/concrete/free_monoid/predefs.hh,
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hh,
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hxx,
	* include/vaucanson/algebra/concrete/free_monoid/words.hh,
	* include/vaucanson/algebra/concrete/free_monoid/words.hxx,
	* include/vaucanson/algebra/concrete/letter/char_letter.hh,
	* include/vaucanson/algebra/concrete/letter/range.hh,
	* include/vaucanson/algebra/concrete/letter/range.hxx,
	* include/vaucanson/algebra/concrete/predefs.hh,
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hh,
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx,
	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hh,
	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx,
	* include/vaucanson/algebra/concrete/series/generalized.hh,
	* include/vaucanson/algebra/concrete/series/generalized.hxx,
	* include/vaucanson/algebra/concrete/series/krat.hh,
	* include/vaucanson/algebra/concrete/series/krat.hxx,
	* include/vaucanson/algebra/concrete/series/krat_conversion.hh,
	* include/vaucanson/algebra/concrete/series/krat_conversion.hxx,
	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hh,
	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx,
	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh,
	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hxx,
	* include/vaucanson/algebra/concrete/series/polynoms.hh,
	* include/vaucanson/algebra/concrete/series/polynoms.hxx,
	* include/vaucanson/algebra/concrete/series/rat/depth_visitor.hh,
	* include/vaucanson/algebra/concrete/series/rat/depth_visitor.hxx,
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hh,
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hxx,
	* include/vaucanson/algebra/concrete/series/rat/exp.hh,
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx,
	* include/vaucanson/algebra/concrete/series/rat/nodes.hh,
	* include/vaucanson/algebra/concrete/series/rat/nodes.hxx,
	* include/vaucanson/algebra/concrete/series/rat/random_visitor.hh,
	* include/vaucanson/algebra/concrete/series/rat/random_visitor.hxx,
	* include/vaucanson/algebra/concrete/series/series.hh,
	* include/vaucanson/algebra/concrete/series/series.hxx,
	* include/vaucanson/algebra/concrete/series/transpose.hh,
	* include/vaucanson/algebra/concrete/series/transpose.hxx,
	* include/vaucanson/algorithms/closure.hh,
	* include/vaucanson/algorithms/closure.hxx,
	* include/vaucanson/algorithms/complementary.hh,
	* include/vaucanson/algorithms/complete.hh,
	* include/vaucanson/algorithms/complete.hxx,
	* include/vaucanson/algorithms/compute.hh,
	* include/vaucanson/algorithms/compute.hxx,
	* include/vaucanson/algorithms/concat.hh,
	* include/vaucanson/algorithms/concat.hxx,
	* include/vaucanson/algorithms/determinize.hh,
	* include/vaucanson/algorithms/determinize.hxx,
	* include/vaucanson/algorithms/elimination.hh,
	* include/vaucanson/algorithms/elimination.hxx,
	* include/vaucanson/algorithms/extract.hh,
	* include/vaucanson/algorithms/extract.hxx,
	* include/vaucanson/algorithms/glushkov.hh,
	* include/vaucanson/algorithms/glushkov.hxx,
	* include/vaucanson/algorithms/hopcroft.hh,
	* include/vaucanson/algorithms/hopcroft.hxx,
	* include/vaucanson/algorithms/isomorph.hh,
	* include/vaucanson/algorithms/krat_exp_constant_term.hh,
	* include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/krat_exp_derivation.hh,
	* include/vaucanson/algorithms/krat_exp_derivation.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hh,
	* include/vaucanson/algorithms/krat_exp_linearize.hxx,
	* include/vaucanson/algorithms/moore.hh,
	* include/vaucanson/algorithms/moore.hxx,
	* include/vaucanson/algorithms/normalized.hh,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/algorithms/product.hh,
	* include/vaucanson/algorithms/product.hxx,
	* include/vaucanson/algorithms/reachable.hh,
	* include/vaucanson/algorithms/reachable.hxx,
	* include/vaucanson/algorithms/realtime.hh,
	* include/vaucanson/algorithms/realtime.hxx,
	* include/vaucanson/algorithms/standard.hh,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/algorithms/thompson.hh,
	* include/vaucanson/algorithms/thompson.hxx,
	* include/vaucanson/algorithms/transpose.hh,
	* include/vaucanson/algorithms/transpose.hxx,
	* include/vaucanson/algorithms/trim.hh,
	* include/vaucanson/algorithms/trim.hxx,
	* include/vaucanson/algorithms/union.hh,
	* include/vaucanson/algorithms/union.hxx,
	* include/vaucanson/automata/concept/automata.hh,
	* include/vaucanson/automata/concept/automata.hxx,
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/automata_base.hxx,
	* include/vaucanson/automata/concept/automaton_impl.hh,
	* include/vaucanson/automata/concept/automaton_impl.hxx,
	* include/vaucanson/automata/concept/concepts.hh,
	* include/vaucanson/automata/concept/concepts.hxx,
	* include/vaucanson/automata/concept/copy.hh,
	* include/vaucanson/automata/concept/copy.hxx,
	* include/vaucanson/automata/concept/handlers.hh,
	* include/vaucanson/automata/concept/handlers.hxx,
	* include/vaucanson/automata/concept/history.hh,
	* include/vaucanson/automata/concept/history.hxx,
	* include/vaucanson/automata/concept/kinds.hh,
	* include/vaucanson/automata/concept/kinds.hxx,
	* include/vaucanson/automata/concept/relabel_impl.hh,
	* include/vaucanson/automata/concept/relabel_impl.hxx,
	* include/vaucanson/automata/concept/tags.hh,
	* include/vaucanson/automata/concept/tags.hxx,
	* include/vaucanson/automata/concept/translate.hh,
	* include/vaucanson/automata/concept/translate.hxx,
	* include/vaucanson/automata/concept/transpose_impl.hh,
	* include/vaucanson/automata/concept/transpose_impl.hxx,
	* include/vaucanson/automata/concrete/generalized.hh,
	* include/vaucanson/automata/concrete/generalized.hxx,
	* include/vaucanson/automata/concrete/manylinks.hh,
	* include/vaucanson/automata/concrete/manylinks.hxx,
	* include/vaucanson/automata/concrete/manylinks_carriers.hh,
	* include/vaucanson/automata/concrete/manylinks_edges.hh,
	* include/vaucanson/automata/concrete/manylinks_states.hh,
	* include/vaucanson/config/rel_ops_work_around_g++2.hh,
	* include/vaucanson/config/system.hh,
	* include/vaucanson/fundamental/default_ops.hh,
	* include/vaucanson/fundamental/default_ops.hxx,
	* include/vaucanson/fundamental/element.hh,
	* include/vaucanson/fundamental/element.hxx,
	* include/vaucanson/fundamental/element_base.hh,
	* include/vaucanson/fundamental/element_base.hxx,
	* include/vaucanson/fundamental/element_ops.hh,
	* include/vaucanson/fundamental/element_ops.hxx,
	* include/vaucanson/fundamental/fundamental.hh,
	* include/vaucanson/fundamental/meta_element.hh,
	* include/vaucanson/fundamental/meta_element.hxx,
	* include/vaucanson/fundamental/meta_set.hh,
	* include/vaucanson/fundamental/op_traits.hh,
	* include/vaucanson/fundamental/predefs.hh,
	* include/vaucanson/fundamental/slots.hh,
	* include/vaucanson/fundamental/slots.hxx,
	* include/vaucanson/fundamental/structure.hh,
	* include/vaucanson/fundamental/structure.hxx,
	* include/vaucanson/internal/traits.hh,
	* include/vaucanson/misc/constraints.hh,
	* include/vaucanson/misc/container_ops.hh,
	* include/vaucanson/misc/container_ops.hxx,
	* include/vaucanson/misc/converter.hh,
	* include/vaucanson/misc/converter.hxx,
	* include/vaucanson/misc/dot_dump.hh,
	* include/vaucanson/misc/fsm_dump.hh,
	* include/vaucanson/misc/functors.hh,
	* include/vaucanson/misc/functors.hxx,
	* include/vaucanson/misc/misc_constraints.hh,
	* include/vaucanson/misc/numerical_constraints.hh,
	* include/vaucanson/misc/random.hh,
	* include/vaucanson/misc/random.hxx, include/vaucanson/misc/ref.hh,
	* include/vaucanson/misc/ref.hxx,
	* include/vaucanson/misc/selectors.hh,
	* include/vaucanson/misc/static.hh,
	* include/vaucanson/misc/static.hxx,
	* include/vaucanson/misc/type_constraints.hh,
	* include/vaucanson/tools/automaton_tools.hh,
	* include/vaucanson/tools/gen_book.hh,
	* include/vaucanson/tools/gen_book.hxx,
	* include/vaucanson/tools/gen_random.hh,
	* include/vaucanson/tools/gen_random.hxx,
	* include/vaucanson/tools/usual.hh,
	* include/vaucanson/tools/usual_macros.hh, src/demos/fsm/arg.cc,
	* src/demos/fsm/arg.hh, src/demos/fsm/usual_automaton_t/arg.cc,
	* src/demos/fsm/usual_automaton_t/arg.hh,
	* src/tests/algebra/alphabets/alphabet_test.hh,
	* src/tests/algebra/free_monoid/free_monoid_test.hh,
	* src/tests/algebra/semiring/semiring_test.hh,
	* src/tests/algebra/series/krat_exp_constant_term_test.hh,
	* src/tests/algebra/series/krat_exp_derivation_test.hh,
	* src/tests/algebra/series/krat_exp_linearize_test.hh,
	* src/tests/algebra/series/krat_exp_parse_test.hh,
	* src/tests/algebra/series/series-test.hh,
	* src/tests/automata/algos/closure_test.hh,
	* src/tests/automata/algos/complete_test.hh,
	* src/tests/automata/algos/compute_test.hh,
	* src/tests/automata/algos/concat_test.hh,
	* src/tests/automata/algos/determinist_test.hh,
	* src/tests/automata/algos/elimination_test.hh,
	* src/tests/automata/algos/extract_test.hh,
	* src/tests/automata/algos/generalized_test.hh,
	* src/tests/automata/algos/glushkov_test.hh,
	* src/tests/automata/algos/minimization_test.hh,
	* src/tests/automata/algos/normalize_test.hh,
	* src/tests/automata/algos/product_test.hh,
	* src/tests/automata/algos/reachable_test.hh,
	* src/tests/automata/algos/realtime_test.hh,
	* src/tests/automata/algos/thompson_test.hh,
	* src/tests/automata/algos/union_test.hh,
	* src/tests/automata/implementation_check/add_edge_test.hh,
	* src/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/automata/implementation_check/global_consistency_test.hh
	* src/tests/automata/implementation_check/init_final_test.hh,
	* src/tests/bin/generate-test-suite.sh,
	* src/tests/check/tests_stuff.cc, src/tests/check/tests_stuff.hh,
	* src/tests/fundamental/design_pattern-test.hh,
	* src/tests/fundamental/element-full-test.cc: s/2001-2002/2001,
	2002/g.

2003-02-20  Maxime Rey  <max@lrde.epita.fr>

	* src/demos/grammar_inference/include/algorithms/is_not_compatible.hxx:
	minor
	* include/vaucanson/algorithms/trim.hh: minor
	* include/vaucanson/algorithms/trim.hxx: minor
	* src/demos/grammar_inference/src/algebra/alphabet.cc: minor

2003-02-20  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx:
	    Minor Change.
	* include/vaucanson/tools/usual_macros.hh:
		(for_each_letter): New.
	* doc/tutorial/tutorial.tex:
		Update.
	* src/demos/samples/algebra/series.cc: Update.
	* src/demos/vgrep/vgrep.cc: Escape '+', '*' and '.'

2003-02-20  Maxime Rey  <max@lrde.epita.fr>

	* src/demos/grammar_inference/src/make_mca.cc: New.
	* src/demos/grammar_inference/src/is_not_compatible.cc: New.
	* src/demos/grammar_inference/src/bs.cc: New.
	* src/demos/grammar_inference/src/fusion.cc: New.
	* src/demos/grammar_inference/src/training/vtrain.toy: New.
	* src/demos/grammar_inference/include/tools/load_sample.hh: New.
	* src/demos/grammar_inference/include/tools/load_sample.hxx: New.
	* src/demos/grammar_inference/include/algebra/concrete/complemented_lattice.hxx: New.
	* src/demos/grammar_inference/include/algebra/concrete/complemented_lattice.hh: New.
	* src/demos/grammar_inference/include/algebra/concrete/lattice.hxx: New.
	* src/demos/grammar_inference/include/algebra/concrete/lattice.hh: New.
	* src/demos/grammar_inference/include/algebra/concrete/ordered_set.hxx:
	New.
	* src/demos/grammar_inference/include/algebra/concrete/ordered_set.hh:
	New.
	* src/demos/grammar_inference/include/algebra/concept/complemented_lattice_base.hxx: New.
	* src/demos/grammar_inference/include/algebra/concept/complemented_lattice_base.hh: New.
      	* src/demos/grammar_inference/include/algebra/concept/lattice_base.hxx:
	New.
	* src/demos/grammar_inference/include/algebra/concept/lattice_base.hh:
	New.

	* src/demos/grammar_inference/include/algebra/concept/ordered_set_base.hxx: New.
	* src/demos/grammar_inference/include/algebra/concept/ordered_set_base.hh: New.
	* src/demos/grammar_inference/include/algorithms/rig.hh: New.
	* src/demos/grammar_inference/include/algorithms/rig.hxx: New.
	* src/demos/grammar_inference/include/algorithms/make_pta.hxx: New.
	* src/demos/grammar_inference/include/algorithms/make_mca.hxx: New.
	* src/demos/grammar_inference/include/algorithms/make_pta.hh: New.
	* src/demos/grammar_inference/include/algorithms/is_not_compatible.hxx:
	New.
	* src/demos/grammar_inference/include/algorithms/is_not_compatible.hh:
	New.
	* src/demos/grammar_inference/include/algorithms/make_mca.hh: New.
	* src/demos/grammar_inference/include/algorithms/is_structurally_complete.hh: New.
	* src/demos/grammar_inference/include/algorithms/fusion.hh: New.
	* src/demos/grammar_inference/include/algorithms/is_structurally_complete.hxx: New.
	* src/demos/grammar_inference/include/algorithms/fusion.hxx: New.


2003-02-19  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.160)
	* src/demos/vgrep/vgrep.cc: New.
	* src/demos/Makefile.am: New.
	* src/demos/vgrep/Makefile.am: New.
	* configure.ac: Generate them.
	* include/vaucanson/algebra/concept/semiring_base.hxx:
		Remove unused variable.
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/algebra/concept/series_base.hh,
	* include/vaucanson/algebra/concept/series_base.hxx,
	* include/vaucanson/algebra/concrete/series/krat_exp_parser.hxx
	* include/vaucanson/algebra/concrete/series/krat.hh,
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hh,
	* include/vaucanson/algebra/concrete/series/polynoms.hh:
		Rename "weights_value_t" to "weight_value_t".
	* include/vaucanson/algorithms/compute.hh: Return weight_t.
	* include/vaucanson/algorithms/compute.hxx: Implement this change.
	* include/vaucanson/algorithms/union.hxx: Remove unused variable.

	* include/vaucanson/automata/concept/kinds.hh: Fix minor bug.
	* include/vaucanson/automata/concept/kinds.hxx: Idem.
	* include/vaucanson/misc/container_ops.hxx: Fix op_begin const version.
	* Makefile.am: distribute vcsn.m4
	* include/vaucanson/tools/usual_macros.hh (for_each_initial_state):
		Fix a typing error.
	* doc/tutorial/tutorial.tex: Update.

2003-02-18  Yann Régis-Gianas  <yann@sandrock>
(0.159)
	* include/vaucanson/algebra/concrete/free_monoid/predefs.hh,
	  include/vaucanson/algebra/concrete/free_monoid/str_words.hh,
	  include/vaucanson/algebra/concrete/free_monoid/str_words.hxx,
	  include/vaucanson/algebra/concrete/free_monoid/words.hh,
	  include/vaucanson/algebra/concrete/free_monoid/words.hxx:
	    Rename 'SetWords' to 'FreeMonoid'.
	 * doc/tutorial/tutorial.tex: Update.

2003-02-18  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.158)

	* src/demos/samples/algebra/decorated_alphabet.cc: New.
	* include/vaucanson/algebra/concept/letter.hh: New.
	* include/vaucanson/algebra/concrete/letter/char_letter.hh: New.
	* include/vaucanson/algebra/concrete/alphabets/decorated_alphabet.hh: New.
	* include/vaucanson/algebra/concrete/alphabets/decorated_alphabet.hxx: New.
	* include/vaucanson/algebra/concept/alphabets_base.hh:
		(letter_equality): New.
		(op_letter_equality_modulo): New.
	* include/vaucanson/algebra/concept/alphabets_base.hxx:
		Implement them.
	* include/vaucanson/algebra/concrete/alphabets/predefs.hh:
		Add decorated alphabets typedefs.
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hxx:
		(op_xeq): Use alphabet's letter_equality.
	* include/vaucanson/algebra/concrete/letter/range.hh: Add a 'FIXME'.

2003-02-17  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.157)
	* doc/tutorial.tex: Update

2003-02-17  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.156)
	* include/vaucanson/algebra/concept/alphabets_base.hh,
	  include/vaucanson/algebra/concept/alphabets_base.hxx,
	  include/vaucanson/algebra/concept/concepts.hh,
	  include/vaucanson/algebra/concept/concepts.hxx,
	  include/vaucanson/algebra/concrete/alphabets/alphabets.hh,
	  include/vaucanson/algebra/concrete/alphabets/set_alphabet.hh,
	  include/vaucanson/algebra/concrete/alphabets/set_alphabet.hxx,
	  doc/tutorial/tutorial.tex,
  	  src/demos/samples/algebra/alphabet.cc:
		Rename 'AlphabetsBase' to 'AlphabetSetBase'
		Rename 'SetAlphabets' to 'AlphabetSet'
	* bootstrap.sh: Make Automake install missing files.

	* src/demos/grammar_inference/lattice.hh: Minor.

2003-02-17  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.155)
	* include/vaucanson/algebra/concrete/order/lattice.hxx,
	  include/vaucanson/algebra/concrete/order/orderset.hxx,
	  include/vaucanson/algebra/concrete/order/lattice.hh,
	  include/vaucanson/algebra/concrete/order/orderset.hh,
	  include/vaucanson/algebra/concept/lattice_base.hxx,
	  include/vaucanson/algebra/concept/lattice_base.hh,
	  include/vaucanson/algebra/concept/orderset_base.hxx,
	  include/vaucanson/algebra/concept/orderset_base.hh: Moved to ...

	* src/demos/grammar_inference: Here.

2003-02-14  Maxime Rey  <max@lrde.epita.fr>
(0.154)
	* include/vaucanson/algebra/concrete/order/lattice.hxx,
	  include/vaucanson/algebra/concrete/order/orderset.hxx,
	  include/vaucanson/algebra/concrete/order/lattice.hh,
	  include/vaucanson/algebra/concrete/order/orderset.hh,
	  include/vaucanson/algebra/concept/lattice_base.hxx,
	  include/vaucanson/algebra/concept/lattice_base.hh,
	  include/vaucanson/algebra/concept/orderset_base.hxx,
	  include/vaucanson/algebra/concept/orderset_base.hh: New.

2003-02-13  Maxime Rey  <max@lrde.epita.fr>
(0.153)
	* src/demos/samples/algebra/series.cc,
	  src/demos/samples/algebra/semiring.cc,
	  src/demos/samples/algebra/free_monoid.cc,
	  src/demos/samples/algebra/alphabet.cc,
	  src/demos/samples/pattern/fundamental/structure.hxx,
	  src/demos/samples/pattern/fundamental/structure.hh,
	  src/demos/samples/pattern/concrete,
	  src/demos/samples/pattern/concept/element.hh: New.

2003-02-13  Maxime Rey  <max@lrde.epita.fr>
(0.152)
	* /include/vaucanson/algebra/concrete/letter/range.hxx:
	static_ranged work now
	* doc/tutorial/tutorial.tex: upgrade

2003-02-13  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.151)

	* bootstrap.sh: New.

2003-02-13  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.150)
	* doc/tutorial/tutorial.tex: New.
	* doc/tutorial/Makefile.am: New.
	* configure.ac: Check LaTeX, Generate doc/tutorial/Makefile.
	* doc/doc.doxy.in: Generate in 'ref' not in 'generated'.
	* doc/Makefile.am: Enter in 'tutorial'.
	* Makefile.am: Replace 'doxydoc' by 'doc'.

2003-02-13  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.149)
	* configure.ac (VCSN_TESTS): Remove.
	* src/tests/automata/implementation_check/Makefile.am:
		Rename 'consistancy' to 'consistency'.
	* vcsn.m4: New.
	* src/tests/bin/generate-test-suite.sh: New.
	* src/tests/bin/Makefile.am: Now, use generate-test-suite.sh.

2003-02-12  Maxime Rey  <max@lrde.epita.fr>
(0.148)
	* include/vaucanson/algebra/concept/series_base.hh:
	transpose modifications
	* include/vaucanson/algebra/concept/series_base.hxx:
	minor
	* /include/vaucanson/algebra/concrete/free_monoid/str_words.hxx:
	op_choose run now
	* include/vaucanson/algebra/concrete/free_monoid/words.hh:
	minor
	* include/vaucanson/algebra/concrete/series/polynoms.hh:
	transpose modifications

2003-01-31  Maxime Rey  <max@lrde.epita.fr>
(0.147)
	* vaucanson/include/vaucanson/algorithms/complementary.hxx: minor fix
	to pass make check now.

2003-01-27  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.146)
	* configure.ac: Fix test subdirs search.
	* include/vaucanson/algorithms/closure.hh: Fix invalid constness.
	* include/vaucanson/algorithms/closure.hxx: Use usual_macros.hh.
	* include/vaucanson/algorithms/complementary.hxx:
		- Use usual_macros.hh ;
		- (auto_complementary): Add precondition ;
	* include/vaucanson/algorithms/complete.hh:
		(is_complete): New.
	* include/vaucanson/algorithms/complete.hxx: Implement it.
	* include/vaucanson/tools/usual.hh: Do not define macros.
	* include/vaucanson/tools/usual_macros.hh: New
		(usual.hh macros moved here)

2003-01-27  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.145)
	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh:
		Fix a macro bug.
	* include/vaucanson/algorithms/krat_exp_derivation.hh:
		Fix a forgotten include.

2003-01-14  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.144)
	* configure.ac: Tests-suites Makefile are configured only if present.
	* src/tests/algebra/series/Makefile.am: No more PROGRAMS.
	* src/tests/tests-suites/Makefile.am: Replace SUBDIRS by @VCSN_TESTS_SUBDIRS@
	* THANKS: Add Akim for its contribution (sanity).
	* src/tests/algebra/free_monoid/Makefile.am: New.
	* src/tests/algebra/free_monoid/free_monoid_test.hh: New.
	* src/tests/algebra/alphabets/Makefile.am: New.
	* src/tests/algebra/alphabets/alphabet_test.hh: New.
	* src/tests/algebra/semiring/semiring_test.hh: New.
	* src/tests/algebra/semiring/Makefile.am: New.
	* src/tests/algebra/series/krat_exp_constant_term-test.cc: Removed.
	* src/tests/algebra/series/krat_exp_derivation-test.cc: Removed.
	* src/tests/algebra/series/krat_exp_linearize-test.cc: Removed
	* src/tests/algebra/series/krat_exp_parse-test.cc: Removed.
	* src/tests/algebra/series/krat-test.cc: Removed.
	* src/tests/algebra/series/series-test.cc: Removed.

2002-12-06  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.143)
	* configure.ac: Add new generated test suites, remove static one.
	* src/tests/tests-suites/Makefile.am: Add subdirs.
	* src/tests/tests-suites/README: Adjusted.
	* src/tests/tests-suites/usual_automaton_t.defs: New.
	* src/tests/tests-suites/algebra_tropical_max_semiring.defs: Likewise.
	* src/tests/tests-suites/algebra_string_free_monoid.defs: Likewise.
	* src/tests/tests-suites/algebra_set_alphabet.defs: Likewise
	* src/tests/tests-suites/algebra_numerical_semiring.defs: Likewise
	* src/tests/algebra/alphabets/alphabets-basic-test.cc: Removed.
	* src/tests/algebra/alphabets/Makefile.am: Removed.
	* src/tests/algebra/free_monoid/free_monoid-test.cc: Removed.
	* src/tests/algebra/free_monoid/Makefile.am: Removed.
	* src/tests/algebra/semiring/Makefile.am: Removed.
	* src/tests/algebra/semiring/semiring-numerical-test.cc: Removed.
	* src/tests/algebra/semiring/semiring-test.hh: Removed.
	* src/tests/algebra/semiring/semiring-tropical-test.cc: Removed.
	* src/tests/dev/isomorph-test.cc: Removed (dev files must be independent).
	* src/tests/dev/Makefile.am: Removed.
	* src/tests/tests-suites/usual_automaton_t/Makefile.am: Removed.

2002-12-06  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.142)
	* include/vaucanson/algebra/concept/alphabets_base.hh: Minor.
	* include/vaucanson/algebra/concrete/alphabets/set_alphabet.hxx: idem.
	* include/vaucanson/algorithms/krat_exp_derivation.hh: Minor.
	* src/tests/defs.in: Adjust CXXFLAGS.
	* src/tests/bin/automata-test-suite.sh: Removed.
	* src/tests/tests-suites/usual_automaton_t.includes: Remove.
	* src/tests/tests-suites/usual_automaton_t.defs: New.
	* src/tests/bin/generate-test-suite.sh: New.
	* src/tests/tests-suites/usual_automaton_t/*: Remove.
		(no tests suite on the repository from now)

2002-11-26  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.141)
	* include/vaucanson/algorithms/krat_exp_derivation.hh:
		(word_derivate): New.
	* include/vaucanson/algorithms/krat_exp_derivation.hxx:
		(word_derivate): New.
	* README: Aesthetic adjustment.
	* src/tests/algebra/series/krat_exp_derivation_test.hh:
		(krat_exp_derivation_test): Test word_derivate.

2002-11-25  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.140)
	* include/vaucanson/algorithms/standard.hxx: add a FIXME.
	* include/vaucanson/automata/concept/kinds.hxx: minor.
	* include/vaucanson/misc/fsm_dump.hh: fix the interpretation of '1'.
	* src/demos/fsm/arg.cc: add --help.
	* src/demos/fsm/generate_toolbox.sh:
		add 'realtime',
		fix vcsn_krat2auto options
	* src/demos/fsm/README: add CPPFLAGS in configure command.
	* src/demos/fsm/usual_automaton_t/arg.cc: minor.
	* src/demos/fsm/usual_automaton_t/Makefile.am: minor.

2002-11-22  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.139)
	* include/vaucanson/algorithms/compute.hh: documented.
	* include/vaucanson/algorithms/compute.hxx: idem.
	* include/vaucanson/algorithms/glushkov.hh: idem.
	* include/vaucanson/algorithms/hopcroft.hh: idem.
	* include/vaucanson/algorithms/isomorph.hh: idem.
	* include/vaucanson/algorithms/krat_exp_constant_term.hh: idem.
	* include/vaucanson/algorithms/krat_exp_derivation.hh: idem.
	* include/vaucanson/algorithms/krat_exp_linearize.hh: idem.
	* include/vaucanson/algorithms/moore.hh: idem.
	* include/vaucanson/algorithms/normalized.hh: idem.
	* include/vaucanson/algorithms/product.hh: idem.
	* include/vaucanson/algorithms/reachable.hh: idem.
	* include/vaucanson/algorithms/realtime.hh: idem.
	* include/vaucanson/algorithms/standard.hh: idem.
	* include/vaucanson/algorithms/thompson.hh: idem.
	* include/vaucanson/algorithms/transpose.hh: idem.
	* include/vaucanson/algorithms/trim.hh: idem.
	* include/vaucanson/algorithms/union.hh: idem.

2002-11-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.136)
	* include/vaucanson/algorithms/
		reachable.hh
		transpose.hh
		union.hh
		normalized.hh
		product.hh
		moore.hh
		hopcroft.hh
		standard.hh
		glushkov.hh
		thompson.hh
		realtime.hh
		trim.hh
		isomorph.hh
		krat_exp_constant_term.hh
		krat_exp_derivation.hh
		krat_exp_linearize.hh: brief documentation.


2002-11-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.135)
	* include/vaucanson/algebra/
		concept/series_base.hh: minor changes.
		concrete/series/krat_exp_pattern.hh: idem.
	* include/vaucanson/algorithms/krat_exp_linearize.hxx:
		monoid_value_t typedef missed.
	* include/vaucanson/misc/random.hh: include <cstdlib>

2002-11-20  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.134)
	* include/vaucanson/tools/usual.hh:
		from now, small_alpha_letter is the default environment.
	* include/vaucanson/misc/random.hxx:
		use a 'randomized' method in RandomGenerator<T>.
	* include/vaucanson/algebra/concrete/:
		letter/range.hh: added.
		letter/range.hxx: added.
	        free_monoid/predefs.hh: small_alpha_letter namespace defined.
		alphabets/predefs.hh: idem.

2002-11-19  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.133)
	* include/vaucanson/algorithms/:
		 extract.hh: brief documentation.
		 determinize.hh: idem.
		 compute.hh: idem.
		 closure.hh: idem.
		 elimination.hh: idem.
		 complete.hh: idem.
		 complementary.hh: idem.
		 concat.hh: idem.

2002-11-18  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.132)
	* include/vaucanson/algebra/concrete/series:
		krat.hxx: minor.
	* include/vaucanson/algorithms/:
		krat_exp_derivation.hxx: minor.
		krat_exp_linearize.h[h,xx]: added.
	* src/tests/algebra/series:
		krat_exp_linearize_test.hh: added.
		krat_exp_linearize-test.cc: added.
		Makefile.am: use it.
	* include/vaucanson/algebra/concrete/series/rat:
		krat_exp_pattern.hh:
		   rename match_node in MATCH* to match_node##Node##
		     (because of non inherited overloaded methods)
		   add KRatExpIdentity.
		rat/exp.hxx: use match_node##Node## in the dispatcher
		   specialization.

2002-11-14  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.131)
	* include/vaucanson/algorithms:
		krat_exp_derivation.h[h,xx]: added.
	* src/tests/algebra/series/:
		krat_exp_derivation_test.hh: added.
		krat_exp_derivation-test.cc: added.
		Makefile.am: add krat_exp_derivation-test.

2002-11-14  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.130)
	* src/tests/algebra/series/:
		Makefile.am: add krat_exp_constant_term-test.
 		krat_exp_constant_term-test.cc: added.
		krat_exp_constant_term_test.hh: idem.
		krat_exp_constant_term.hxx: idem.
	* include/vaucanson/algorithms/:
		krat_exp_constant_term.hxx: added.
		krat_exp_constant_term.hh: added.

2002-11-13  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.129)
	* include/vaucanson/algebra/concrete/series/:
		series.hh, series.hxx: minor changes.
		krat_exp_parser.hh: parse bug fixed.
	* include/vaucanson/tools/usual.hh:
		add AUTOMATON_TYPES_EXACT_ macro.
	* include/vaucanson/misc/:
		random.hh, random.hxx:
		moved externally defined specialized methods to internally
		defined methods since specialized methods is code not
		meta-code.
 	* include/vaucanson/misc/fsm_dump.hh: fixed load.
	* src/demos/fsm:
	* generate_toolbox.sh: add a vcsn_krat2auto.
	* usual_automaton_t/toolbox.hh: add a "series" function.
	* usual_automaton_t/aclocal.m4: removed.
	* usual_automaton_t/Makefile.am: minor.
	* README: add some explanations.
	* usual_automaton_t/arg.[cc,hh]: minor.

2002-10-31  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.128)
	* include/vaucanson/algebra/concept:
		- semiring_base.hxx:
		   add a "parse" external function.
		   minor changes.
		- semiring_base.hh: idem
		- freemonoid_base.hxx: idem.
		- freemonoid_base.hh: idem.
	* include/vaucanson/misc/: random.h[h,xx]: minor changes.
	* THANKS: a sed garbage fixed.
	* include/vaucanson/algebra/concrete/series/:
		- krat_exp_pattern.hh: add INHERIT_CONSTRUCTORS macros.
		(to be iso compliant)

	 	- krat_exp_parser.hh: added.
		- krat_exp_parser.hxx: idem.
	* src/tests/algebra/series/:
	 	- krat_exp_parse-test.cc: idem.
 		- krat_exp_parse_test.hh: idem.
		- Makefile.am: added here.

2002-10-23  Raphaël Poss  <raph@lrde.epita.fr>
(0.127)

	* include/vaucanson/misc/numerical_constraints.hh,
	include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx,
	include/vaucanson/config/system.hh,
	include/vaucanson/config/extrconf.sh, tools/scandefs.pl:
		change the configuration system to import package version
		and name while preventing name clashes.
	* include/vaucanson/tools/automaton_tools.hh: minor.
	* include/vaucanson/misc/random.hxx: minor.
	* include/vaucanson/algorithms/glushkov.hxx: minor.

	make check works again.

2002-10-23  Raphaël Poss  <raph@lrde.epita.fr>
(0.126)

	* configure.ac: use AM_MAINTAINER_MODE

2002-10-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.125)
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hxx: minor.
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx:
		rename ExpDispatch to DispatchFunction
		(global object function).
	* include/vaucanson/algebra/concrete/series/rat/exp.hh: minor.

	* include/vaucanson/tools/usual.hh: minor.
	* include/vaucanson/misc/random.hxx: add specialization for int.
	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hxx:
		de-constify krat pattern.

	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh:
		idem.

2002-10-15  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.124)
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx:
		add a constructor from const node_t*.
		fixed some bug in DispatchVisitor.
	* include/vaucanson/algebra/concrete/series/rat/exp.hh:
		modified in consequence.
	* include/vaucanson/algorithms/glushkov.hxx:
		now Glushkov is generic over the k-expr implementation.
	* include/vaucanson/algorithms/glushkov.hh:
		a more flexible signature now.

	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hxx:
		add UnaryOp class
		rename BinOp to BinaryOp

	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh:
		modified in consequence
		add DecFinalLeaf macro

2002-10-14  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.123)
	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hh
	* include/vaucanson/algebra/concrete/series/krat_exp_pattern.hxx
		added
	* include/vaucanson/algebra/concrete/series/krat.hh: minor change.
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx:
		add DispatchExp and DispatchVisitor.
	* include/vaucanson/algebra/concrete/series/rat/exp.hh: idem.

2002-10-14  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.122)
	* include/vaucanson/misc/automaton_tools.hh: added.

2002-10-07  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.121)
	* include/vaucanson/automata/concept/automaton_impl.hxx: minor.
	* include/vaucanson/tools/usual.hh:
		foreach_* macros added.
	* include/vaucanson/misc/random.hxx: remove debug garbage.
	* include/vaucanson/algorithms/standard.hxx: fix prototypes.
	* include/vaucanson/algorithms/standard.hh: minor.
	* src/tests/automata/algos/minimization_test.hh: minor.
	* src/tests/tests-suites/usual_automaton_t/Makefile.am:
		add concat_test.
	* src/tests/automata/implementation_check/global_consistency_test.hh:
		remove debug garbage.
	* include/vaucanson/algorithms/concat.hh: added.
	* include/vaucanson/algorithms/concat.hxx: added.
	* src/tests/automata/algos/concat_test.hh: added.
	* src/tests/tests-suites/usual_automaton_t/concat-test.cc: added.

2002-10-07  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.120)

	* src/README: added to document src/* content.

	Local development files must _keep_ local. Do not add files that
	will not be integrated in the project:

	* src/dev/isomorph-test.cc: removed.
	* src/dev/Makefile.am: removed.

2002-10-07  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.119)
	* include/vaucanson/fundamental/op_traits.hh: documentation fix.
	* include/vaucanson/fundamental/fundamental.hh: idem.
	* include/vaucanson/fundamental/element_ops.hh: idem.
	* include/vaucanson/fundamental/element.hh: idem
	* include/vaucanson/fundamental/meta_set.hh: idem.
	* include/vaucanson/fundamental/meta_element.hh: idem.
	* include/vaucanson/fundamental/structure.hh: idem.
	* include/vaucanson/fundamental/default_ops.hh: idem.
	* include/vaucanson/algebra/concrete/alphabets/alphabets.hh: idem.
	* include/vaucanson/algebra/concept/alphabets_base.hh: idem.
	* include/vaucanson/algebra/concrete/free_monoid/words.hh: idem.
	* README: add Sylvain to the Vaucanson's address at ENST.
	* doc/doc.doxy.in: prefer a capital 'V' in "Vaucanson".

2002-10-03  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.118)
	* include/vaucanson/automata/concrete/manylinks.hh: minor.
	* include/vaucanson/misc/fsm_dump.hh:
		dumping an automaton with multiple initial states is
	  dumping an automaton with one initial state linked to them.
	* src/demos/fsm/generate_toolbox.sh: add
		vcsn_closure.cc
		vcsn_reverse.cc
		vcsn_prune.cc
		vcsn_union.cc
	* src/demos/fsm/usual_automaton_t/vcsn_minimize.cc: minor.
	* src/demos/fsm/usual_automaton_t/vcsn_determinize.cc: minor.
	* src/demos/fsm/usual_automaton_t/toolbox.hh: minor.
	* src/demos/fsm/usual_automaton_t/Makefile.am: minor.
	* include/vaucanson/automata/concrete/manylinks.hxx: minor.
	* src/demos/fsm/usual_automaton_t/vcsn_reverse.cc: added.
	* src/demos/fsm/usual_automaton_t/vcsn_prune.cc: added.
	* src/demos/fsm/usual_automaton_t/vcsn_intersect.cc: added.
	* src/demos/fsm/usual_automaton_t/vcsn_closure.cc: added.

2002-10-03  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.117)
	* **/*: added "Lombardy" to copyright.

2002-10-03  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.116)
	* include/vaucanson/automata/concrete/manylinks.hh:
		redesigned and documented.
	* include/vaucanson/automata/concrete/manylinks.hxx: added.
	* include/vaucanson/automata/concept/transpose_impl.hh: documented.
	* include/vaucanson/automata/concept/translate.hxx: minor.
	* include/vaucanson/automata/concept/translate.hh: idem
	* include/vaucanson/automata/concept/relabel_impl.hh: idem
	* include/vaucanson/automata/concept/kinds.hh: minor in doc.
	* include/vaucanson/automata/concrete/generalized.hh: minor.

2002-10-01  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.115)
	* include/vaucanson/automata/concept/kinds.hh:
		redesigned to be documented.
	* include/vaucanson/automata/concept/handlers.hh: idem.
	* include/vaucanson/automata/concept/concepts.hh: minor change.
	* include/vaucanson/automata/concept/automaton_impl.hxx: idem.
	* include/vaucanson/automata/concept/automaton_impl.hh: documented.
	* include/vaucanson/automata/concept/automata_base.hh: idem.
	* include/vaucanson/automata/concept/kinds.hh: idem.

2002-09-30  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.114)
	* include/vaucanson/algebra/concept/alphabets_base.hh: minor
	* configure: removed. no configure on the prcs please.
	* aclocal.m4: removed. no aclocal on the prcs please.
	* include/vaucanson/misc/ref.hxx: minor.
	* include/vaucanson/automata/concept/automata_base.hxx:
		remove 'select_state' method.
		replaced by 'choose_state'.
	* include/vaucanson/automata/concept/automata_base.hh:
		modified in consequence.
	* include/vaucanson/automata/concept/automata.hh: minor.
	* include/vaucanson/tools/gen_random.hxx:
	  	now use 'choose_state'.
	* include/vaucanson/misc/random.hxx:
		add 'random_sample_n' (similar to SGI's one)
	* include/vaucanson/misc/random.hh: modified in consequence.
	* src/tests/automata/implementation_check/global_consistency_test.hh:
		now use 'choose_state'.

2002-09-27  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.113)
	Please, do not add Makefile.in into the project repository !

	* ./**/Makefile.in: 11 files removed.

2002-09-25  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.112)

	* Makefile.am: new rule doxydoc.
	* configure.ac: Doxygen integration.
	* doc/doc.doxy.in: new file.
	* doc/Makefile.am: new file.
	* THANKS: add Pollux and PI.

2002-09-23  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.111)
	Documented files: (now use modules)

	* include/vaucanson/algebra/concrete/alphabets/set_alphabet.hh
	* include/vaucanson/algebra/concrete/alphabets/alphabets.hh
	* include/vaucanson/algebra/concept/alphabets_base.hh
	* include/vaucanson/algebra/concept/semigroup_base.hh
	* include/vaucanson/algebra/concept/monoid_base.hh
	* include/vaucanson/algebra/concept/semiring_base.hh
	* include/vaucanson/algebra/concept/numerical_semiring.hh
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hh
	* include/vaucanson/algebra/concept/tropical_semiring.hh
	* include/vaucanson/algebra/concrete/free_monoid/words.hh
	* include/vaucanson/algebra/concept/series_base.hh
	* include/vaucanson/algebra/concrete/series/krat.hh

2002-09-09  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.110)

	Documented files:

	* include/vaucanson/algebra/concrete/predefs.hh:
	* include/vaucanson/algebra/concrete/free_monoid/predefs.hh:
	* include/vaucanson/algebra/concrete/alphabets/predefs.hh:
	* include/vaucanson/algebra/concrete/alphabets/set_alphabet.hh
	* include/vaucanson/algebra/concrete/alphabets/alphabets.hh
	* src/tests/algebra/alphabets/alphabets-basic-test.cc
	* include/vaucanson/algebra/concrete/free_monoid/words.hxx
	* include/vaucanson/algebra/concrete/free_monoid/words.hh
 	* include/vaucanson/algebra/concrete/free_monoid/str_words.hh
	* src/tests/algebra/free_monoid/free_monoid-test.cc
	* src/tests/algebra/series/series-test.cc
	* include/vaucanson/tools/usual.hh
	* include/vaucanson/config/config.hh
	* include/vaucanson/config/pconf.hh
	* src/tests/defs


2002-09-04  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.109)
	* include/vaucanson/algebra/concept/freemonoid_base.hxx: mirror fixed.
	* include/vaucanson/algebra/concept/freemonoid_base.hh: idem.
 	* include/vaucanson/config/extrconf.sh: now catches HAVE_* macros.

2002-09-04  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.108)
	Documented files:

	* include/vaucanson/algebra/concept/alphabets_base.hh
	* include/vaucanson/algebra/concept/semigroup_base.hh
	* include/vaucanson/algebra/concept/monoid_base.hh
	* include/vaucanson/algebra/concept/semiring_base.hh
	* include/vaucanson/algebra/concept/numerical_semiring.hh
	* include/vaucanson/algebra/concept/tropical_semiring.hh
	* include/vaucanson/algebra/concept/freemonoid_base.hh
	* include/vaucanson/algebra/concept/series_base.hh

2002-08-27  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.107)
	* include/vaucanson/fundamental/op_traits.hh: documented.
	* include/vaucanson/fundamental/fundamental.hh: define the group.
	* include/vaucanson/fundamental/element_base.hh: FIXME added.
	* include/vaucanson/fundamental/meta_set.hh: documented.

2002-08-23  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.106)
	* include/Makefile.am: fixed.
	* doc/vaucanson.doxywizard: Adjust.
	* Makefile.am: fixed.
	* src/tests/check/Makefile.flags: add top_builddir to CPPFLAGS.

2002-08-22  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.105)
	* include/vaucanson/fundamental/element_ops.hh: documented and cleaned.
	* include/vaucanson/fundamental/element_ops.hxx: added.
	* include/vaucanson/fundamental/element.hh: documented.
	* include/vaucanson/fundamental/element_base.hh: cleaned.
	* include/vaucanson/fundamental/meta_element.hh: documented.
	* include/vaucanson/fundamental/default_ops.hh: doc-group operators.

2002-08-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.104)
	* include/vaucanson/fundamental/element.hh: documented.
	* include/vaucanson/fundamental/structure.hh: idem.
	* include/vaucanson/fundamental/default_ops.hxx: idem.
	* include/vaucanson/fundamental/default_ops.hh: idem.
	* doc/css/vaucanson.css: cleaned. to be augmented.

	* include/vaucanson/algorithms/compute.hxx: include fixed.
	* include/vaucanson/config/rel_ops_work_around_g++2.hh: idem.

2002-08-12  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.103)
	* src/tests/automata/implementation_check/init_final_test.hh: fixed.
	* src/tests/automata/implementation_check/coherence_state_edge_test.hh: fixed.
	* src/tests/automata/implementation_check/add_state_test.hh: fixed.
	* src/tests/automata/implementation_check/add_edge_test.hh: fixed.

2002-08-09  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.102)
	* include/vaucanson/tools/gen_book.hh: added.
	* include/vaucanson/tools/gen_book.hxx: added.
	* src/dev/Makefile.am: added.
	* src/dev/isomorph-test.cc: added.
	* src/demos/fsm/usual_automaton_t/arg.cc: added.
	* src/demos/fsm/usual_automaton_t/arg.hh: added.
	* src/demos/fsm/arg.cc: added.
	* src/demos/fsm/arg.hh: added.
	* include/Makefile.am: pconf is no well integrated.
	* include/vaucanson/algebra/concept/alphabets_base.hxx: fixed a bug in choose.
	* configure.ac
	* include/Makefile.in
	* include/vaucanson/tools/gen_random.hxx: minor.
	* include/vaucanson/misc/fsm_dump.hh: load is fixed.
	* src/demos/fsm/generate_toolbox.sh: use arg.hh

2002-08-06  Maxime Rey  <max@lrde.epita.fr>
(0.101)
	* include/vaucanson/algorithms/isomorph.hh: added
	* include/vaucanson/algorithms/isomorph.hxx: added
	* include/vaucanson/tools/usual.hh: minor

2002-08-06  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.100)
	* src/tests/defs: added.
	* src/tests/defs.in: added.
	* src/tests/sanity/incltest.cc: added.
	* src/tests/sanity/Makefile.am: added.
	* src/tests/sanity/includes.test: added.

	* include/vaucanson/algebra/concept/concepts.hh: fixed.
	* configure.ac: sanity and defs added.
	* src/tests/Makefile.am: add subdir sanity.
	* include/vaucanson/algebra/concrete/series/krat_conversion.hxx: fixed.
	* include/vaucanson/algebra/concrete/series/krat_conversion.hh: fixed.
	* include/vaucanson/automata/concrete/manylinks.hh: fixed.
	* include/vaucanson/automata/concept/kinds.hh: fixed.
	* include/vaucanson/algorithms/extract.hxx: fixed.
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx: fixed.
	* include/vaucanson/config/config.hh: fixed.
	* include/vaucanson/config/config.hh.in: fixed.
	* include/vaucanson/misc/limits.hh: fixed.

2002-08-06  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.99)
	* include/vaucanson/config/extrconf.sh: fixed.
	+cat ${1+"$@"} | egrep '^#.*(VCSN_CONFIG_SYSTEM_HH|HAVE_LIMITS)'

2002-07-31  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.98)
	These files hide some package variables not to overlap user's one.
	* tools/scandefs.pl: added.
	* include/vaucanson/config/pconf.hh: added.
	* include/vaucanson/config/extrconf.sh: added.
	* include/vaucanson/config/system.hh
	-# include <vaucanson/config/config.hh>
	+# include <vaucanson/config/pconf.hh>
	* include/Makefile.am: use pconf.hh from now.

	* include/vaucanson/misc/fsm_dump.hh: added.
	* src/demos/fsm/generate_toolbox.sh: added.
	* src/demos/fsm/usual_automaton_t/toolbox.hh: added.
	* src/demos/fsm/usual_automaton_t/configure: added.
	* src/demos/fsm/usual_automaton_t/depcomp: added.
	* src/demos/fsm/usual_automaton_t/missing: added.
	* src/demos/fsm/usual_automaton_t/mkinstalldirs: added.
	* src/demos/fsm/usual_automaton_t/aclocal.m4: added.
	* src/demos/fsm/usual_automaton_t/install-sh: added.
	* src/demos/fsm/usual_automaton_t/Makefile.am: added.
	* src/demos/fsm/usual_automaton_t/configure.ac: added.
	* src/demos/fsm/usual_automaton_t/random_generator.cc: added.
	* src/demos/fsm/README: added.

	* include/vaucanson/algebra/concrete/series/series.hh: add Id.
	* include/vaucanson/tools/usual.hh: include fix.

2002-07-29  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.97)
	* include/vaucanson/fundamental/fundamental.hh: add defaults_ops.hh

	* include/vaucanson/algebra/concept/alphabets_base.hxx: minor change.
	* include/vaucanson/misc/container_ops.hxx: idem.
	* include/vaucanson/misc/container_ops.hh: idem.
	* include/vaucanson/misc/misc_constraints.hh: work for ICC compatibility.
	* include/vaucanson/algebra/concept/freemonoid_base.hxx: idem.
	* include/vaucanson/algebra/concept/series_base.hxx: minor.
	* include/vaucanson/misc/ref.hh: idem.
	* include/vaucanson/misc/ref.hxx: idem.
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx: idem.
	* include/vaucanson/algebra/concrete/series/rat/exp.hh: idem.
	* include/vaucanson/tools/usual.hh: idem.
	* include/vaucanson/tools/gen_random.hxx: idem.
	* include/vaucanson/automata/concrete/generalized.hh: idem.
	* README: modified:
	+Notice that an installation is done for a particular compiler since
	+./configure enables some workarounds and, consequently, users must
	+compile with the same compiler to avoid compatibility problems.
	+


2002-07-26  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.96)
	* include/Makefile.am: add new files to be distributed.
	* src/tests/automata/algos/Makefile.am: add tests in distribution.
	* src/tests/automata/implementation_check/Makefile.am: idem.
	* src/tests/tests-suites/usual_automaton_t/minimization-test.cc: use good directory for tests.
	* src/tests/tests-suites/usual_automaton_t/product-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/generalized-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/extract-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/elimination-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/reachable-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/glushkov-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/normalize-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/union-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/realtime-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/determinist-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/thompson-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/closure-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/complete-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/compute-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/add_state-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/coherence_state_edge-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/add_edge-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/init_final-test.cc: idem.
	* src/tests/tests-suites/usual_automaton_t/global_consistance-test.cc: idem.
	* src/tests/bin/automata-test-suite.sh: generate good directory for tests.
	* README: now we are compatible with g++-3.1 and g++-2.95.4

2002-07-25  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.95)
	Changes to be g++-2.95.4 compliant:

	* include/vaucanson/fundamental/element_ops.hh: change operator namespace std.
	* include/vaucanson/fundamental/element.hh: use system.hh.
	* include/vaucanson/algebra/concept/alphabets_base.hxx: use system.hh, set() => this->set().
	* configure.ac
	+AM_CONFIG_HEADER(include/vaucanson/config/config.hh)
	+AC_CHECK_HEADERS([limits])
	+AC_CHECK_HEADERS([stl_config.h])
	* src/tests/check/tests_stuff.cc: add iomanip. redesign msg.
	* include/vaucanson/misc/numerical_constraints.hh:
		use limits.hh if limit std header does not exists.
	* src/tests/algebra/semiring/semiring-test.hh: minor.
	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hxx: use
	* src/tests/algebra/alphabets/alphabets-basic-test.cc: use system.hh
	* include/vaucanson/algebra/concept/freemonoid_base.hxx: replace set() by this->set().
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hxx: use rand() not random().
	* src/tests/algebra/series/series-test.cc: use system.hh
	* src/tests/algebra/series/series-test.hh: idem.
	* include/vaucanson/automata/concrete/manylinks_states.hh:
		does not use std::iterator for the moment since g++-2 does not implement it.
	* include/vaucanson/automata/concrete/manylinks_edges.hh: use system.hh
	* include/vaucanson/automata/concept/automata_base.hxx: remove default arg for deltac.
	* include/vaucanson/automata/concept/automata_base.hh: remove default arg for deltac.
	-    DELTA_DECL(delta, delta_kind::edges, = delta_kind::edges());
	-    DELTA_DECL(rdelta, delta_kind::edges, = delta_kind::edges());
	+    DELTA_DECL(delta, delta_kind::edges, );
	+    DELTA_DECL(rdelta, delta_kind::edges, );
 	* include/vaucanson/automata/concept/kinds.hh: use system.hh
	* include/vaucanson/algorithms/union.hxx: use new version of deltac.
	* include/vaucanson/algorithms/normalized.hxx: idem.
	* include/vaucanson/tools/usual.hh: use system.hh
	* include/vaucanson/tools/gen_random.hxx: use rand() not random() !
	* include/vaucanson/tools/gen_random.hh: use system.hh
	* include/vaucanson/misc/random.hxx: use rand() not random().
	* include/vaucanson/algorithms/moore.hxx: trim the result.
	* include/vaucanson/algorithms/hopcroft.hxx: idem.
	* src/tests/automata/algos/realtime_test.hh: use SUCCESS_RATE macro.
	* src/tests/automata/algos/minimization_test.hh: idem.
	* include/vaucanson/config/rel_ops_work_around_g++2.hh: added.
	* include/vaucanson/config/config.hh: added.
	* include/vaucanson/config/system.hh: added.
	* include/vaucanson/config/config.hh.in: added.
	* include/vaucanson/misc/limits.hh: added.

2002-07-24  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.94)
	Changes to be g++-3.1 compliant:

	* include/vaucanson/algebra/concrete/series/polynoms.hxx: add some typename.
	* include/vaucanson/algorithms/determinize.hxx: suppress hash_map for ever.
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hxx:
		suppress default values for arguments in implementation.
	* include/vaucanson/algebra/concrete/series/rat/nodes.hxx:
		idem + some typename were forgotten.
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx: idem.
	* include/vaucanson/algebra/concrete/series/rat/nodes.hh: idem.
	* include/vaucanson/algebra/concrete/series/rat/exp.hh: idem
	* include/vaucanson/tools/gen_random.hxx: idem.
	* src/tests/automata/algos/minimization_test.hh: idem.


2002-07-24  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.93)
	* include/Makefile.am: update distributed files.
	* configure.ac:
	-AC_INIT([vaucanson], [0.1], [vaucanson-bugs@lrde.epita.fr])
	+AC_INIT([vaucanson], [0.1.0], [vaucanson-bugs@lrde.epita.fr])
	@@ -30,6 +30,7 @@
	 	src/tests/automata/algos/Makefile
	 	src/tests/automata/implementation_check/Makefile
 		src/tests/tests-suites/Makefile
	+	src/tests/bin/Makefile
	 	src/tests/tests-suites/usual_automaton_t/Makefile
	 	include/Makefile])

	* Makefile.am:
	+EXTRA_DIST=THANKS README LICENCE ChangeLog
	* src/Makefile.am: minor change.
	* src/tests/Makefile.am: add bin to SUBDIRS.
	* src/tests/check/Makefile.flags: -O2.
	* src/tests/check/Makefile.am: minor.
	* src/tests/algebra/series/Makefile.am
	+EXTRA_DIST = series-test.hh
	* src/tests/algebra/series/krat-test.cc: deactivated for the release.
	* include/vaucanson/algorithms/union.hxx: bug due to history fixed.
	* include/vaucanson/algorithms/product.hxx: idem.
	* src/tests/bin/automata-test-suite.sh: initialize verbose.

2002-07-23  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.92)
	* *.hh, *.cc, *.hxx: replace VCSN_HEADER by LGPL.


2002-07-23  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.91)

	Add good header for these files:
	* include/Makefile.am
	* include/vaucanson/internal/traits.hh
	* include/vaucanson/fundamental/default_ops.hxx
	* include/vaucanson/fundamental/default_ops.hh
	* src/tests/check/Makefile.am
	* include/vaucanson/algebra/concrete/semiring/tropical_semiring.hh
	* include/vaucanson/algebra/concrete/series/krat_conversion.hxx
	* include/vaucanson/algebra/concrete/series/krat_conversion.hh
	* include/vaucanson/automata/concrete/manylinks_states.hh
	* include/vaucanson/automata/concrete/manylinks_impl.hh
	* include/vaucanson/automata/concrete/manylinks_edges.hh
	* include/vaucanson/automata/concrete/manylinks_carriers.hh
	* include/vaucanson/automata/concept/tags.hh
	* include/vaucanson/automata/concept/relabel_impl.hxx
	* include/vaucanson/automata/concept/relabel_impl.hh
	* include/vaucanson/automata/concept/handlers.hxx
	* include/vaucanson/automata/concept/copy.hxx
	* include/vaucanson/automata/concept/copy.hh
	* include/vaucanson/automata/concept/concepts.hxx
	* include/vaucanson/automata/concept/concepts.hh
	* include/vaucanson/automata/concept/automaton_impl.hxx
	* include/vaucanson/automata/concept/automaton_impl.hh
	* include/vaucanson/automata/concept/automata_base.hxx
	* include/vaucanson/automata/concept/automata.hxx
	* include/vaucanson/automata/concept/kinds.hxx
	* include/vaucanson/automata/concept/kinds.hh
	* include/vaucanson/algorithms/reachable.hh
	* include/vaucanson/algorithms/determinize.hxx
	* include/vaucanson/algorithms/determinize.hh
	* include/vaucanson/algorithms/union.hxx
	* include/vaucanson/algorithms/union.hh
	* include/vaucanson/algorithms/normalized.hxx
	* include/vaucanson/algorithms/normalized.hh
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx
	* include/vaucanson/algebra/concrete/series/rat/exp.hh
	* include/vaucanson/algebra/concrete/series/generalized.hxx
	* include/vaucanson/algebra/concrete/series/generalized.hh
	* include/vaucanson/automata/concept/generalized.hxx
	* include/vaucanson/automata/concept/generalized.hh
	* src/tests/tests-suites/usual_automaton_t/Makefile.am
	* src/tests/tests-suites/usual_automaton_t/minimization-test.cc
	* src/tests/tests-suites/usual_automaton_t/product-test.cc
	* src/tests/tests-suites/usual_automaton_t/generalized-test.cc
	* src/tests/tests-suites/usual_automaton_t/extract-test.cc
	* src/tests/tests-suites/usual_automaton_t/elimination-test.cc
	* src/tests/tests-suites/usual_automaton_t/reachable-test.cc
	* src/tests/tests-suites/usual_automaton_t/glushkov-test.cc
	* src/tests/tests-suites/usual_automaton_t/normalize-test.cc
	* src/tests/tests-suites/usual_automaton_t/union-test.cc
	* src/tests/tests-suites/usual_automaton_t/realtime-test.cc
	* src/tests/tests-suites/usual_automaton_t/determinist-test.cc
	* src/tests/tests-suites/usual_automaton_t/thompson-test.cc
	* src/tests/tests-suites/usual_automaton_t/closure-test.cc
	* src/tests/tests-suites/usual_automaton_t/complete-test.cc
	* src/tests/tests-suites/usual_automaton_t/compute-test.cc
	* src/tests/bin/automata-test-suite.sh

	* HEADER: added.
	* THANKS: added.
	* LICENCE: added.


2002-07-23  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.90)
	* include/vaucanson/fundamental/structure.hh: minor.
	* src/tests/Makefile.am: add tests-suites subdir.
	* src/tests/check/tests_stuff.hh: minor change.
	* src/tests/check/tests_stuff.cc: idem.
	* src/tests/automata/algos/Makefile.am: remove algo-test.
	* include/vaucanson/algorithms/reachable.hxx: minor change.
	* include/vaucanson/tools/gen_random.hh: minor change.
	* src/tests/automata/algos/closure_test.hh: redesigned.
	* src/tests/automata/algos/glushkov_test.hh: minor.
	* src/tests/automata/algos/thompson_test.hh: minor.
	* src/tests/automata/algos/complete_test.hh: redesigned.
	* src/tests/automata/algos/product_test.hh: idem.
	* src/tests/automata/algos/minimization_test.hh: redesigned.

	Adding tests-suites stuff.
	* src/tests/tests-suites/Makefile.am: added.
	* src/tests/tests-suites/usual_automaton_t.includes: added.
	* src/tests/tests-suites/usual_automaton_t/Makefile.am: added.
	* src/tests/tests-suites/usual_automaton_t/minimization-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/product-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/generalized-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/extract-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/elimination-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/reachable-test.cc: added
	* src/tests/tests-suites/usual_automaton_t/glushkov-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/normalize-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/union-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/realtime-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/determinist-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/thompson-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/closure-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/complete-test.cc: added.
	* src/tests/tests-suites/usual_automaton_t/compute-test.cc: added.
	* src/tests/bin/automata-test-suite.sh: added.


2002-07-22  Maxime Rey  <max@lrde.epita.fr>
(0.89)
	* Added src/tests/automata/implementation_check/global_consistance_test.hh
	* Added src/tests/automata/implementation_check/init_final_test.hh
	* Added src/tests/automata/implementation_check/coherence_state_edge_test.hh
	* Added src/tests/automata/implementation_check/add_state_test.hh
	* Added src/tests/automata/implementation_check/add_edge_test.hh
	* Index: 0.88/src/tests/automata/algos/reachable_test.hh: minor
	* Index: 0.88/src/tests/automata/algos/product_test.hh: minor
	* Index: 0.88/src/tests/automata/algos/minimization_test.hh: changes


2002-07-22  Maxime Rey  <max@lrde.epita.fr>
(0.88)
	* Added include/vaucanson/algorithms/trim.hxx
	* Added include/vaucanson/algorithms/complete.hxx
	* Added include/vaucanson/algorithms/complete.hh
	* Added include/vaucanson/algorithms/complementary.hxx
	* Added include/vaucanson/algorithms/complementary.hh
	* Added include/vaucanson/algorithms/trim.hh
	* Added include/vaucanson/automata/concept/generalized.hxx
	* Added include/vaucanson/automata/concept/generalized.hh
	* Added src/tests/automata/algos/complete_test.hh
	* Added src/tests/automata/algos/product_test.hh
	* Added src/tests/automata/algos/minimization_test.hh
	* Index: 0.87/include/vaucanson/algebra/concrete/series/polynoms.hxx
	> } // vcsn
	>
	> namespace std {
	>
	>   using namespace vcsn;
	>   using namespace algebra;
	>
	195a203,206
	>
	> } // std
	>
	> namespace vcsn {
	* Index: 0.87/include/vaucanson/algebra/concrete/series/polynoms.hh: it's ok now
	* Index: 0.87/include/vaucanson/algorithms/extract.hxx: cleaning
	* Index: 0.87/include/vaucanson/algorithms/extract.hh: minor changes
	* Index: 0.87/src/tests/automata/algos/algo_test.cc: add some tests...
	15,17c15,17
	< # include <vaucanson/automata/automata_base.hh>
	< # include <vaucanson/algebra/series_base.hh>
	< # include <vaucanson/automata/history.hh>
	---
	> # include <vaucanson/automata/concept/automata_base.hh>
	> # include <vaucanson/algebra/concept/series_base.hh>
	> # include <vaucanson/automata/concept/history.hh>
	155,156c155,156
	<   algebra::Element<A, T>
	<   auto_product(const algebra::Element<A, T>& lhs, const algebra::Element<A, U>& rhs)
	---
	>   Element<A, T>
	>   auto_product(const Element<A, T>& lhs, const Element<A, U>& rhs)
	159c159
	<     algebra::Element<A, T> ret(rhs.set());
	---
	>     Element<A, T> ret(rhs.set());
	200c200
	<   auto_in_diagonal(algebra::Element<A, T>& a)
	---
	>   auto_in_diagonal(Element<A, T>& a)
	207,208c207,208
	<   algebra::Element<A, T>
	<   auto_diagonal(const algebra::Element<A, T>& a)
	---
	>   Element<A, T>
	>   auto_diagonal(const Element<A, T>& a)
	210c210
	<     algebra::Element<A, T>    ret(a);
	---
	>     Element<A, T>    ret(a);
	* Index: 0.87/include/vaucanson/algorithms/product.hh: it's ok now
	* Index: 0.87/include/vaucanson/algorithms/moore.hxx
	192d191
	<             std::cerr << *h << " ";
	199d197
	<         std::cerr << std::endl;
	* Index: 0.87/include/vaucanson/algorithms/hopcroft.hxx: it's ok now
	* Index: 0.87/include/vaucanson/algorithms/hopcroft.hh: same thing

2002-07-22  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.87)
	* src/tests/automata/algos/union_test.hh: redesigned.
	* src/tests/automata/algos/determinist_test.hh: minor change.
	* src/tests/automata/algos/normalize_test.hh: redesigned.
	* src/tests/automata/algos/reachable_test.hh: redesigned.
	* src/tests/automata/algos/extract_test.hh: redesigned.

2002-07-22  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.86)
	* src/tests/automata/algos/union_test.hh: redesigned.

2002-07-22  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.85)
	* src/tests/check/tests_stuff.hh
	+    static const unsigned  nb_col_msg;
	* src/tests/check/tests_stuff.cc: use nb_col_msg to format message.

	* include/vaucanson/tools/gen_random.hxx: afd is dfa in English.
	* include/vaucanson/tools/gen_random.hh: idem.
	* src/tests/automata/algos/algo_test.cc: minor.
	* src/tests/automata/algos/determinist_test.hh: minor change.


2002-07-22  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.84)
	* include/vaucanson/automata/concept/handlers.hh: minor change.
	* include/vaucanson/algorithms/extract.hxx: minor change.
	* include/vaucanson/algorithms/compute.hxx: bug due to sparse hstate_t fixed.
	* src/tests/automata/algos/algo_test.cc: minor.
	* src/tests/automata/algos/glushkov_test.hh: minor change.
	* include/vaucanson/algorithms/thompson.hxx:
		bug due to non-one-letter words fixed.
	* src/tests/automata/algos/thompson_test.hh: now, use exp.choose().
	* include/vaucanson/algebra/concrete/series/rat/random_visitor.hxx:
		bug fixed (one must generate an empty word)


2002-07-22  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.83)

	* include/vaucanson/fundamental/structure.hxx:
	+  template <class Self>
	+  template <class T>
	+  Element<Self, T>
	+  Structure<Self>::choose(SELECTOR(T)) const
	+  {
	+    return op_choose(self(), SELECT(T));
	+  }

	* include/vaucanson/fundamental/structure.hh
	+      template <class T>
	+      Element<Self, T> choose(SELECTOR(T)) const;

	* include/vaucanson/fundamental/default_ops.hh
	+  template <typename S, typename T>
	+  Element<S, T> op_choose(const Structure<S>& set, SELECTOR(T));
	* include/vaucanson/algebra/concept/monoid_base.hh: minor.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx: op_choose.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hh: op_choose.

	* src/tests/check/Makefile.flags: -ggdb removed.
	* src/tests/algebra/semiring/semiring-numerical-test.cc: uses verbose_level_e.
	* src/tests/algebra/semiring/semiring-tropical-test.cc: idem.
	* src/tests/algebra/alphabets/alphabets-basic-test.cc: idem.
	* src/tests/algebra/free_monoid/free_monoid-test.cc: idem.
	* src/tests/algebra/series/series-test.cc: idem.
	* src/tests/algebra/series/krat-test.cc: idem.
	* src/tests/automata/implementation_check/check_add_state.cc: idem.
	* src/tests/automata/implementation_check/check_coherence_state_edge.cc: idem.
	* src/tests/automata/implementation_check/check_add_edge.cc: idem.
	* src/tests/automata/implementation_check/check_init_final.cc: idem.
	* src/tests/automata/implementation_check/check_global_consistance.cc: idem.
	* src/tests/automata/algos/algo_test.cc: minor.
	* src/tests/automata/algos/elimination_test.hh: use SAVE_AUTOMATON_DOT new vers.

	* include/vaucanson/algebra/concrete/free_monoid/words.hh: minor.
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hxx: op_choose.
	* include/vaucanson/algebra/concrete/free_monoid/str_words.hh: idem.
	* include/vaucanson/algebra/concept/series_base.hxx: idem.
	* include/vaucanson/algebra/concept/series_base.hh: idem.
	* include/vaucanson/algebra/concrete/series/krat.hxx: idem.
	* include/vaucanson/algebra/concrete/series/krat.hh: idem.
	* include/vaucanson/algebra/concrete/series/polynoms.hxx: idem.
	* include/vaucanson/algebra/concrete/series/polynoms.hh: idem.
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hxx: minor.
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hh: minor.
	* include/vaucanson/tools/usual.hh: add one argument to SAVE_AUTOMATON_DOT.
	* include/vaucanson/misc/random.hxx: spec for bool.
	* include/vaucanson/misc/random.hh: idem.

	* include/vaucanson/algorithms/glushkov.hxx: minor.
	* src/tests/automata/algos/glushkov_test.hh: use choose.
	* include/vaucanson/algorithms/realtime.hxx: bug fixed in in_realtime.
	-  in_realtime(const Element<A, T>& a)
	+  in_realtime(Element<A, T>& a)
	* include/vaucanson/algorithms/realtime.hh: idem.
	* include/vaucanson/algebra/concrete/series/rat/random_visitor.hxx:
		zero krat cannot generate words.
	* include/vaucanson/algebra/concrete/series/rat/random_visitor.hh: idem.

	(Sorry for this too big change).

2002-07-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.82)
	* src/tests/check/tests_stuff.hh:
		add verbose method, verbose_level_e enum and SUCCESS_RATE macro.
	* src/tests/check/tests_stuff.cc: idem.
	* include/vaucanson/tools/usual.hh: add SAVE_AUTOMATON_DOT macro.
	* include/vaucanson/algorithms/compute.hxx: minor change.
	* src/tests/automata/algos/elimination_test.hh: use series::choose_from_supp.

2002-07-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.81)
	* include/vaucanson/algebra/concrete/series/rat/random_visitor.hxx: added.
	* include/vaucanson/algebra/concrete/series/rat/random_visitor.hh: added.
	* include/vaucanson/algebra/concept/series_base.hxx: add choose_from_supp.
	* include/vaucanson/algebra/concept/series_base.hh: idem.
	* include/vaucanson/algebra/concrete/series/krat.hxx:
	* include/vaucanson/algebra/concrete/series/rat/depth_visitor.hh:minor include bug.
	* include/vaucanson/algebra/concrete/series/rat/depth_visitor.hxx: virtual removed.
	* include/vaucanson/algebra/concrete/series/rat/nodes.hxx: minor change.
	* include/vaucanson/algebra/concrete/series/rat/nodes.hh: minor change.

2002-07-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.80)
	* include/vaucanson/algorithms/realtime.hxx: added.
	* include/vaucanson/algorithms/realtime.hh: added.
	* src/tests/automata/algos/realtime_test.hh: added.
	* include/vaucanson/tools/gen_random.hxx:
		added range selection to generate_with_epsilon.
	* include/vaucanson/tools/gen_random.hh: idem.
	* src/tests/automata/algos/closure_test.hh: modified in consequence.

2002-07-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.79)
	* include/vaucanson/algorithms/thompson.hxx: added.
	* include/vaucanson/algorithms/thompson.hh: added.
	* src/tests/automata/algos/thompson_test.hh: added.


2002-07-21  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.78)
	* include/vaucanson/algorithms/standard.hxx: added.
	* include/vaucanson/algorithms/standard.hh: added.
	* include/vaucanson/algorithms/glushkov.hxx: added.
	* include/vaucanson/algorithms/glushkov.hh: added.
	* src/tests/automata/algos/glushkov_test.hh: added.
	* include/vaucanson/algebra/concept/alphabets_base.hxx:
	-  MetaElement<AlphabetSetBase<Self>, T>::choose()
	+  MetaElement<AlphabetSetBase<Self>, T>::choose() const
	   {
	+    assert (this->size() > 0);

	-  MetaElement<AlphabetSetBase<Self>, T>::random_letter()
	+  MetaElement<AlphabetSetBase<Self>, T>::random_letter() const
	* include/vaucanson/algebra/concept/alphabets_base.hh:
	-      letter_t          choose();
	+      letter_t          choose() const;
	-      letter_t		random_letter();
	+      letter_t		random_letter() const;
	* include/vaucanson/algebra/concrete/series/krat.hxx: misplaced namespace algebra.
	* include/vaucanson/algebra/concrete/series/krat.hh: misplaced namespace algebra.
	* include/vaucanson/automata/concept/kinds.hxx: minor change.
	* include/vaucanson/tools/usual.hh
	+ typedef typename Prefix##monoid_elt_t::value_t Prefix##monoid_elt_value_t;
	+ typedef typename Prefix##series_elt_t::weight_t    Prefix##weight_t;         \
	+ typedef typename Prefix##weight_t::value_t         Prefix##weight_value_t;   \
	* include/vaucanson/tools/gen_random.hxx: re-add empty() method.
	* include/vaucanson/tools/gen_random.hh: re-add empty() method.



2002-07-19  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.77)
	* include/vaucanson/automata/concept/kinds.hxx:
	@@ -111,7 +111,7 @@
	   AutoKind<labels_are_series, Self, Series, SeriesT, LabelT>::
	   add_spontaneous(hstate_t from, hstate_t to)
	     {
	- return auto_self().add_edge(from, to,
	algebra::identity_value(SELECT(Series), SELECT(SeriesT)));

	+ return auto_self().add_edge(from, to,
	identity_value(SELECT(Series), SELECT(SeriesT)));
	}


	* include/vaucanson/tools/usual.hh
	 #define AUTOMATON_TYPES_(AutoType,Prefix)				      \
	- typedef typename AutoType::series_t                Prefix##series_t;         \
	@@ -49,15 +49,21 @@
	+ typedef typename AutoType::monoid_elt_t	    Prefix##monoid_elt_t;     \
	+ typedef typename AutoType::series_t                Prefix##series_t;	      \
	+ typedef typename AutoType::series_elt_t            Prefix##series_elt_t;     \
	  typedef typename AutoType::label_t		    Prefix##label_t;	      \
	  typedef typename AutoType::tag_t		    Prefix##tag_t;
	 #define AUTOMATON_TYPES(AutoType)                   AUTOMATON_TYPES_(AutoType,)
	+#define zero_	zero(SELECT(typename series_elt_t::value_t))
	+#define one_	identity(SELECT(typename series_elt_t::value_t))

	* include/vaucanson/tools/gen_random.hxx
	+  template <class TAutomata>
	+  TAutomata GenRandomAutomata<TAutomata>::
	+  generate_with_epsilon(unsigned nb_state,
	+			unsigned nb_edge,
	+			unsigned nb_spontaneous)

	* include/vaucanson/tools/gen_random.hh
	+    TAutomata generate_with_epsilon(unsigned nb_state, unsigned nb_edge,
	+				    unsigned nb_epsilon);
	+
	* src/tests/automata/algos/algo_test.cc: minor.

	* include/vaucanson/algorithms/closure.hh:
	-# include <vaucanson/automata/automata_base.hh>
	+# include <vaucanson/automata/concept/automata_base.hh>

	* src/tests/automata/algos/closure_test.hh:
	-unsigned closure_test(tests::Tester& t)
	+bool closure_test(tests::Tester& t)
	-  automaton_t auto_epsilon = gen.generate_with_epsilon(30, 50);
	+  automaton_t auto_epsilon = gen.generate_with_epsilon(30, 50, 15);
   	+  automaton_t cauto = closure(auto_epsilon);
	+  TEST(t, "Increase of edges number.",
	+       cauto.edges().size() >= auto_epsilon.edges().size());
	+  TEST(t, "Idempotence.",
	+       closure(cauto).edges().size() == cauto.edges().size());

	-  return EXIT_SUCCESS;
	+  return true;

	* include/vaucanson/algorithms/elimination.hxx
	-  typename algebra::Element<A, T>::series_elt_t
	-  elimination(const algebra::Element<A, T>& a, const Chooser_& c)
	+  typename Element<A, T>::series_elt_t
	+  elimination(const Element<A, T>& a, const Chooser_& c)
	   {
	-    algebra::Element<A, T> ret(a);
	+    Element<A, T> ret(a);

	-  typename algebra::Element<A, T>::series_elt_t
	-  elimination(const algebra::Element<A, T>& a)
	+  typename Element<A, T>::series_elt_t
	+  elimination(const Element<A, T>& a)

	* include/vaucanson/algorithms/elimination.hh
	-# include <vaucanson/automata/automata_base.hh>
	+# include <vaucanson/automata/concept/automata_base.hh>

	-  typename algebra::Element<A, T>::series_elt_t
	-  elimination(const algebra::Element<A, T>& a);
	+  typename Element<A, T>::series_elt_t
	+  elimination(const Element<A, T>& a);

	   template<typename A, typename T, typename Chooser_>
	-  typename algebra::Element<A, T>::series_elt_t
	-  elimination(const algebra::Element<A, T>& a, const Chooser_& c);
	+  typename Element<A, T>::series_elt_t
	+  elimination(const Element<A, T>& a, const Chooser_& c);


2002-07-19  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/fundamental/element.hxx
	-   : set_(other.set_),
	+   : set_(other.set()),

	* src/tests/automata/algos/algo_test.cc: minor change.

	* src/tests/automata/algos/normalize_test.hh: minor change.

	* include/vaucanson/automata/concept/generalized.hxx: fixed.
	* include/vaucanson/automata/concept/generalized.hh: idem.

	* include/vaucanson/algorithms/elimination.hxx: added.
	* include/vaucanson/algorithms/elimination.hh: added.
	* include/vaucanson/automata/concrete/generalized.hxx: added.
	* include/vaucanson/automata/concrete/generalized.hh: added.
	* include/vaucanson/algebra/concrete/series/generalized.hxx: added.
	* include/vaucanson/algebra/concrete/series/generalized.hh: added.
	* src/tests/automata/algos/generalized_test.hh: added.


2002-07-19  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.75)
	* src/tests/automata/algos/compute_test.hh: added.

2002-07-19  Maxime Rey  <max@lrde.epita.fr>

	* Index: 0.73/include/vaucanson/tools/usual.hh
	41a42
	>  typedef typename AutoType::series_t                Prefix##series_t;
	* gen_random.hxx: it's ok
	* Index: 0.73/src/tests/automata/algos/union_test.hh: minor

2002-07-19  Maxime Rey  <max@lrde.epita.fr>

	* Added include/vaucanson/algorithms/closure.hxx
	* Added include/vaucanson/algorithms/closure.hh
	* Added include/vaucanson/algorithms/moore.hxx
	* Added include/vaucanson/algorithms/moore.hh
	* Added include/vaucanson/algorithms/hopcroft.hxx
	* Added include/vaucanson/algorithms/hopcroft.hh
	* Added src/tests/automata/algos/closure_test.hh
	* Added src/tests/automata/algos/reachable_test.hh
	* Added src/tests/automata/algos/extract_test.hh
	* Index: 0.72/include/vaucanson/algorithms/extract.hxx
	> # include <queue>
	25a27,40
	> //     for (typename auto_t::state_iterator i = a.states().begin();
	> //     i != a.states().end();
	> //     ++i)
	> //       if (selected.find(*i) == selected.end())
	> //    {
	> //      if (check_states)
	> //        {
	> //          if (a.has_state(*i))
	> //            a.safe_del_state(*i);
	> //        }
	> //      else
	> //        a.safe_del_state(*i);
	> //    }
	>     std::deque<hstate_t> to_be_removed;
	---
	>        i != a.states().end(); ++i)
	>       if (selected.find(*i) == selected.end())
	>       to_be_removed.push_back(*i);
	>
	>     while (!to_be_removed.empty())
	>       {
	>       a.del_state(to_be_removed.front());
	>       to_be_removed.pop_front();
	>       }
	* Index: 0.72/include/vaucanson/algorithms/reachable.hxx
	<   auto_in_final_reachable(const Element<A, T>& a)
	---
	>   auto_in_final_reachable(Element<A, T>& a)
	Index: 0.72/include/vaucanson/algorithms/reachable.hh
	<   auto_in_start_reachable(const Element<A, T>& a);
	---
	>   auto_in_start_reachable(Element<A, T>& a);
	<   auto_in_final_reachable(const Element<A, T>& a);
	---
	>   auto_in_final_reachable(Element<A, T>& a);
	Index: 0.72/include/vaucanson/tools/gen_random.hxx
	> # include <vaucanson/tools/usual.hh>
	>
	<     for (unsigned i = 0; i < nb_state; i++)
	<       work.add_state();
	<
	<     alphabets_elt_t& alpha = work.series().monoid().alphabet();
	<
	---
	>     alphabets_elt_t alpha;

	>     monoid_t monoid(alpha);
	>     weights_t semi;
	>     series_t series(semi, monoid);
	>
	>     work.series() = series;
	64a70,71
	>     for (unsigned i = 0; i < nb_state; i++)
	>       work.add_state();
	73c80
	<       work.add_letter_edge(*i, *prev, alpha.choose());
	---
	>       work.add_letter_edge(*prev, *i, alpha.choose());
	81a89,90
	>
	>     work.set_initial(*work.states().begin());
	83c92
	<     for (unsigned i = 0; i < istate; i++)
	---
	>     for (unsigned i = 1; i < istate; i++)
	90a100
	>     work.set_final(*--work.states().end());
	92c102
	<     for (unsigned i = 0; i < fstate; i++)
	---
	>     for (unsigned i = 1; i < fstate; i++)
	*Index: 0.72/src/tests/automata/algos/normalize_test.hh: minor changes

2002-07-19  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.72)
	* src/tests/automata/algos/minimisation_test.hh: added.

	* include/vaucanson/fundamental/element.hxx:
	   Element<S,T>&
	   Element<S,T>::operator=(const Element<S, U>& other)
	   {
	-    set_.assign(other.set_);
	+    set_.assign(other.set());
	     op_assign(set(), other.set(), value(), other.value());
	     return *this;
	   }
	* include/vaucanson/fundamental/default_ops.hxx:
	-      assert(s1.self() == s2.self());
	+      // FIXME: we want to be able to write:
	+      // assert(s1.self() == s2.self());
	       op_assign(s1.self(), dst, src);

	* include/vaucanson/algebra/concept/alphabets_base.hxx: minor.
	* include/vaucanson/algebra/concrete/series/polynoms.hxx
	+# include <vaucanson/algebra/concept/freemonoid_base.hh>
	-    const std::map<Tm, Tw>
	+    const std::map<Tm, Tw>&
	     polynom<Tm, Tw>::as_map() const

	-    template <class Tm, class Tw>
	-    polynom<Tm,Tw>
	-    DefaultTransposeFun<polynom<Tm,Tw> >::operator()(const polynom<Tm,Tw>& l)
	+    template <class Series, class Tm, class Tw>
	+    polynom<Tm,Tw>
	+    DefaultTransposeFun<Series, polynom<Tm,Tw> >::
	+    operator()(const Series& s,const polynom<Tm,Tw>& t) const
	     {
	       typedef typename polynom<Tm, Tw>::const_iterator const_iterator;
	+      typedef typename Series::monoid_elt_t	       monoid_elt_t;
	       polynom<Tm, Tw>	new_t;
	-
	-      std::swap(new_t, t);
	-      for (const_iterator i = new_t.begin(); i != new_t.end(); ++i)
	-	t[mirror((*i).first)] = (*i).second;
	+
	+      for (const_iterator i = t.begin(); i != t.end(); ++i)
	+	new_t[mirror(monoid_elt_t((*i).first))] = (*i).second;
	+      return new_t;
	@@ -568,9 +571,9 @@
	   void  op_in_transpose(Series<W, M>& s, polynom<Tm, Tw>& t)
	   {
	     typedef typename polynom<Tm, Tw>::const_iterator const_iterator;
	-    polynom<Tm, Tw>	new_t;
	+    polynom<Tm, Tw>	new_t(t);

	-    std::swap(new_t, t);
	+    t.clear();
	     for (const_iterator i = new_t.begin(); i != new_t.end(); ++i)
	       t[mirror((*i).first)] = (*i).second;
	   }

	* include/vaucanson/algebra/concrete/series/polynoms.hh
	-      const std::map<Tm, Tw>
	+      const std::map<Tm, Tw>&
	       as_map() const;

	-    template <class Tm, class Tw>
	-    struct DefaultTransposeFun< polynom<Tm,Tw> >
	+    template <class Series, class Tm, class Tw>
	+    struct DefaultTransposeFun<Series, polynom<Tm,Tw> >
	     {
	-      polynom<Tm,Tw>
	-      operator()(const polynom<Tm,Tw>& l);
	+      polynom<Tm,Tw>
	+      operator()(const Series& s, const polynom<Tm,Tw>& l) const;
	     };


	* include/vaucanson/misc/ref.hh:
	-    long ref_count() const;
	+    long& ref_count() const;
	* include/vaucanson/misc/ref.hxx: deactivate this.
	-    template<typename T>
	-    template<typename Y>
	-    ref<T>& ref<T>::operator=(const ref<Y>& r)

	@@ -70,7 +70,7 @@
	-  template<typename T> long ref<T>::ref_count() const
	+  template<typename T> long& ref<T>::ref_count() const
	   { return *count_; }

	* include/vaucanson/automata/concrete/manylinks.hh:
	-    typedef const L& label_ret_t;
	+    typedef L label_ret_t;


	* include/vaucanson/automata/concept/transpose_impl.hxx: warning.
		We do this temporarily because it is a modelisation pb that will
		be resolve globally soon.
	-      return impl().add_edge(to, from, transpose_label_fun_(label));
	+      return impl().add_edge(to, from, label);

	@@ -346,7 +346,8 @@
	     label_of(unsigned e) const
	     {
	       // FIXME: transpose label
	-      return transpose_label_fun_(impl().label_of(e));
	+      return impl().label_of(e);
	+	// transpose_label_fun_(impl().label_of(e));
	     }

	* include/vaucanson/automata/concept/transpose_impl.hh:
	@@ -195,7 +195,9 @@
	     <
	       original_impl_t,
	       // FIXME: this is broken. We need to be more intelligent.
	-      DefaultTransposeFun<typename original_impl_t::label_t>
	+      DefaultTransposeFun<
	+      typename Auto::series_t,
	+      typename original_impl_t::label_t>
	     > transpose_impl_t;
	     typedef utility::ref<transpose_impl_t>		   transpose_ref_t;

	* include/vaucanson/automata/concept/automata_base.hh:

	* include/vaucanson/automata/concept/automata.hh: minor

	* include/vaucanson/algorithms/transpose.hxx: bug fixed.

	* include/vaucanson/algebra/concrete/series/rat/exp.hxx

	* include/vaucanson/algebra/concrete/series/rat/exp.hh:
	-  template <typename M, typename W>
	-  struct DefaultTransposeFun<rat::exp<M, W> >
	+  template <typename S, typename M, typename W>
	+  struct DefaultTransposeFun<S, rat::exp<M, W> >
	   {
	     rat::exp<M, W>&
	-    operator()(const rat::exp<M, W>& exp);
	+    operator()(const S&, const rat::exp<M, W>& exp);
	   };

	* include/vaucanson/tools/usual.hh
	+ typedef typename Prefix##alphabet_t::letter_t      Prefix##letter_t;	      \

	* include/vaucanson/tools/gen_random.hxx: minor change.
	@@ -34,6 +34,7 @@
 	   unsigned istate = 1, unsigned fstate = 1,
 	   unsigned nb_letter = 2)
	   {
	+    AUTOMATON_TYPES(TAutomata);
	     // check consistency of automaton
	     if (nb_edge < nb_state - 1)
	       nb_edge = nb_state - 1;
		@@ -51,8 +52,16 @@
	     // alphabet construction
	     alphabets_elt_t& alpha = work.series().monoid().alphabet();

	-    for (unsigned i = 0; i < alea(nb_letter); ++i)
	-      alpha.insert(alpha.random_letter());
	+    unsigned nb = alea(nb_letter);
	+    for (unsigned i = 0; i < 2 + nb; )
	+      {
	+	letter_t l = alpha.random_letter();
	+	if (alpha.contains(l))
	+	  continue;
	+	alpha.insert(alpha.random_letter());
	+	++i;
	+      }
	+

	     // minimal construction
	     state_iterator prev = work.states().begin();

	* include/vaucanson/misc/random.hxx: minor change.

	* include/vaucanson/algebra/concrete/series/transpose.hxx: minor change.

	* include/vaucanson/algebra/concrete/series/transpose.hh:
	-    template <class T>
	+    template <class S, class T>
	     struct DefaultTransposeFun
	     {
	-      T operator()(const T& T);
	+      T operator()(const S&, const T& T) const;
	     };

	* src/tests/automata/algos/normalize_test.hh: minor change.

2002-07-18  Maxime Rey  <max@lrde.epita.fr>

	* src/tests/automata/algos/check_normalized.cc: Deleted.
	* src/tests/automata/algos/check_determinist.cc: Deleted.

2002-07-18  Maxime Rey  <max@lrde.epita.fr>

	* Index: 0.69/include/vaucanson/tools/usual.hh
	>     using namespace vcsn;
	>     using namespace vcsn::algebra;
	* include/vaucanson/tools/gen_random.hh: minor modification
	* src/tests/automata/algos/algo_test.cc: effective on
	* /src/tests/automata/algos/union_test.hh: modif
	* /src/tests/automata/algos/determinist_test.hh: modif
	* /src/tests/automata/algos/normalize_test.hh: modif

2002-07-18  Maxime Rey  <max@lrde.epita.fr>

	* Index: 0.68/include/vaucanson/automata/concept/transpose_impl.hxx

	<     template <typename OtherImpl, class TransposeLabelFun>
	<     OtherImpl::series_t&
	---
	>     template <class OtherImpl, class TransposeLabelFun>
	>     typename OtherImpl::series_t&
	<     template <typename OtherImpl, class TransposeLabelFun>
	---
	>     template <class OtherImpl, class TransposeLabelFun>
	* Added src/tests/automata/algos/check_minimisation.cc
	* Added src/tests/automata/algos/algo_test.cc
	* Added src/tests/automata/algos/type_test.hh
	* Added src/tests/automata/algos/union_test.hh
	* Added src/tests/automata/algos/determinist_test.hh
	* Added src/tests/automata/algos/normalize_test.hh


2002-07-18  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.68)
	* include/vaucanson/automata/concept/transpose_impl.hxx
-    typename OtherImpl:tag_t&
+    typename OtherImpl::tag_t&
-    const typename OtherImpl:tag_t&
+    const typename OtherImpl::tag_t&
-    Element<OtherImpl::series_t, OtherImpl::series_value_t>
+    Element<typename OtherImpl::series_t, typename OtherImpl::series_value_t>
-    Element<OtherImpl::series_t, OtherImpl::series_value_t>
+    Element<typename OtherImpl::series_t, typename OtherImpl::series_value_t>
-    const OtherImpl::series_t&
+    const typename OtherImpl::series_t&

	* include/vaucanson/automata/concept/transpose_impl.hh
-# include <vaucanson/algebra/concrete/series/exp.hh>
+# include <vaucanson/algebra/concrete/series/transpose.hh>
+# include <vaucanson/algebra/concrete/series/rat/exp.hh>


2002-07-18  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.67)
	* include/vaucanson/algebra/concept/series_base.hxx
	* include/vaucanson/algebra/concrete/series/krat.hxx
	* include/vaucanson/algebra/concrete/series/krat.hh0
	* include/vaucanson/algebra/concrete/series/polynoms.hxx
	* include/vaucanson/algebra/concrete/series/polynoms.hh

	* src/tests/algebra/series/series-test.hh
	* src/tests/automata/implementation_check/Makefile.am
	* src/tests/automata/implementation_check/check_global_consistance.cc
	* src/tests/automata/algos/check_determinist.cc
	* src/tests/automata/algos/check_normalized.cc

	* include/vaucanson/algebra/concrete/series/rat/nodes.hxx
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx
	* include/vaucanson/algebra/concrete/series/rat/nodes.hh

	* include/vaucanson/algebra/concrete/series/rat/exp.hh
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hh
	* include/vaucanson/algebra/concrete/series/rat/depth_visitor.hh
	* include/vaucanson/tools/gen_random.hxx
	* include/vaucanson/tools/gen_random.hh


2002-07-18  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.66)
	* include/vaucanson/automata/concept/automata_base.hh: minor.
	* include/vaucanson/tools/usual.hh: added.

	* include/vaucanson/tools/gen_random.hxx: moved here.
	* include/vaucanson/tools/gen_random.hh: idem.

	* include/vaucanson/algorithms/compute.hxx: added.
	* include/vaucanson/algorithms/compute.hh: added.
	* src/tests/automata/algos/compute-test.hh: added.

	* include/vaucanson/misc/random.hxx: added.
	* include/vaucanson/misc/random.hh: added.

	* src/tests/automata/implementation_check/gen_random.hh: removed.
	* src/tests/automata/implementation_check/gen_random.hxx: removed.
	* src/tests/automata/implementation_check/gen_random.cc: removed.

2002-07-18  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.65)
	* include/vaucanson/algebra/concept/alphabets_base.hxx:
	* include/vaucanson/algebra/concept/alphabets_base.hh:
		add random_letter.

	* src/tests/automata/implementation_check/gen_random.hh:
	* src/tests/automata/implementation_check/gen_random.hxx
		use it.

	* src/tests/automata/algos/check_determinist.cc: minor modif.
	* src/tests/automata/algos/check_normalized.cc: idem.


2002-07-18  Yann Régis-Gianas  <yann@lrde.epita.fr>
(0.64)
	* include/vaucanson/automata/concept/history.hxx: minor modif.
	* include/vaucanson/automata/concept/history.hh: minor modif.

2002-07-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/check/tests_stuff.hh: add TEST_RETURN macro.

	* src/tests/automata/implementation_check/check_add_state.cc: minor.
	* src/tests/automata/implementation_check/check_add_edge.cc: minor.
	* include/vaucanson/misc/dot_dump.hh: minor.
	* src/tests/automata/implementation_check/check_global_consistance.cc:
		minor.
	* src/tests/automata/implementation_check/gen_random.hh: minor.
	* src/tests/automata/implementation_check/gen_random.hxx: minor.
	* src/tests/automata/implementation_check/gen_random.cc: minor.

2002-07-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/alphabets/set_alphabet.hh: minor.
	* include/vaucanson/algebra/concrete/alphabets/alphabets.hh: minor.
	* include/vaucanson/algebra/concept/alphabets_base.hh: minor.
	* src/tests/algebra/semiring/semiring-test.hh: minor.
	* src/tests/algebra/alphabets/alphabets-basic-test.cc: minor.

	* include/vaucanson/algebra/concept/freemonoid_base.hxx:
		mirror method return void because it generate side-effects.
	* include/vaucanson/algebra/concept/freemonoid_base.hh:
		modified in consequence.

	* include/vaucanson/algebra/concrete/free_monoid/words.hh: minor.

	* include/vaucanson/algebra/concrete/free_monoid/str_words.hh: minor.
	* src/tests/algebra/free_monoid/free_monoid-test.cc: add mirror test.
	* include/vaucanson/algebra/concrete/series/krat.hxx
	* include/vaucanson/algebra/concrete/series/krat.hh
	* include/vaucanson/algebra/concrete/series/rat/depth_visitor.hxx:
		added.
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hxx:
		added.
	* include/vaucanson/algebra/concrete/series/rat/nodes.hxx: added.
	* include/vaucanson/algebra/concrete/series/rat/exp.hxx: added.
	* include/vaucanson/algebra/concrete/series/rat/nodes.hh: added.
	* include/vaucanson/algebra/concrete/series/rat/exp.hh: added.
	* include/vaucanson/algebra/concrete/series/rat/dump_visitor.hh: added.
	* include/vaucanson/algebra/concrete/series/rat/depth_visitor.hh:
		added.


2002-07-16  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/alphabets_base.hxx:
	-  /* sugar */
	-  // add-on
	-  MetaElement<AlphabetSetBase<Self>, T>::select_letter(unsigned n)
	+  MetaElement<AlphabetSetBase<Self>, T>::choose()

	* include/vaucanson/algebra/concept/alphabets_base.hh: Add doc.

	* doc/vaucanson.doxywizard: Adjust.

	* src/tests/check/tests_stuff.hh: Add macro TEST_MSG.

	* src/tests/fundamental/design_pattern-test.hh: spell fix.

	* src/tests/algebra/alphabets/alphabets-basic-test.cc: add some tests.

	* src/tests/automata/implementation_check/gen_random.hxx:
	modified. it used select_letter.


2002-07-12  Maxime Rey  <max@lrde.epita.fr>

	* include/vaucanson/algorithms/union.hxx: added.
	* include/vaucanson/algorithms/union.hh: added.
	* include/vaucanson/algorithms/normalized.hxx: added.
	* include/vaucanson/algorithms/normalized.hh: added.
	* Generation of normalized automata
	=> src/tests/automata/implementation_check/gen_random.hh: modified
	=> src/tests/automata/implementation_check/gen_random.hxx: modified
	* Tests for normalized automata:
	src/tests/automata/algos/check_normalized.cc: added

2002-07-12  Maxime Rey  <max@lrde.epita.fr>

	* src/tests/automata/implementation_check/gen_random.cc: added
	in order to test generation of automata
	* src/tests/automata/implementation_check/gen_random.hh: modified
	src/tests/automata/implementation_check/gen_random.hxx: modified
	in order to add generation of determinist automata.
	* src/tests/automata/algos/check_determinist.cc: modified
	Check of is_deterministic routine

2002-07-11  Maxime Rey  <max@lrde.epita.fr>

	* little changes in kinds.hxx:
	l_(algebra::op_convert(SELECT(typename MonoidElt::value_t),
	---
	>       l_(op_convert(SELECT(typename MonoidElt::value_t),
	37,38c37,38
	<     return (algebra::op_series_get(s_.get(), label, l_)
	<           != algebra::zero_value(SELECT(typename Weight::set_t),
	---
	>     return (op_series_get(s_.get(), label, l_)
	>           != zero_value(SELECT(typename Weight::set_t),
	* in order to run check_determinize, realize with:
	Added `src/tests/automata/algos/check_determinist.cc'
	* Added `src/tests/automata/algos/check_transpose.cc': added
	Test himself in progress ...
	* Algorithms added:
	include/vaucanson/algorithms/extract.hxx: added.
	include/vaucanson/algorithms/extract.hh: added.
	include/vaucanson/algorithms/reachable.hxx: added.
	include/vaucanson/algorithms/reachable.hh: added.
	include/vaucanson/algorithms/determinize.hxx: added.
	include/vaucanson/algorithms/determinize.hh: added.
	include/vaucanson/algorithms/transpose.hxx: added.
	include/vaucanson/algorithms/transpose.hh: added.

2002-07-11  Raphaël Poss  <raph@lrde.epita.fr>

        * configure.ac: simplified.

2002-07-09  Maxime Rey  <max@lrde.epita.fr>

	* src/tests/automata/implementation_check/check_global_consistance.cc
	modified and finished
	* gen_random.hh modified
	* gen_random.hxx modified

2002-07-09  Maxime Rey  <max@lrde.epita.fr>

	* vaucanson/automata/concept/automata_base.hh modified:
       	hstate_t select_state(unsigned n) added
	* check_gen_random.cc deleted
	* changed to:
	* src/tests/automata/implementation_check/gen_random.hh added
	* src/tests/automata/implementation_check/gen_random.hxx added

2002-07-05  Maxime Rey  <max@lrde.epita.fr>

	* Index: 0.53/include/vaucanson/algebra/concept/alphabets_base.hh
	62a63,65
	>       // add-on
	>       letter_t          select_letter(unsigned n);
	>
	* /include/vaucanson/algebra/concept/alphabets_base.hxx implement
	in consequence the method select_letter
	* Index: /include/vaucanson/algebra/concrete/free_monoid/words.hh
	23a24,25
	>       typedef A alphabets_elt_t;

	* Index:/include/vaucanson/automata/concrete/manylinks_states.hh
	59c59
	<       assert((*counters_)[st_global] != 0);
	---
	>       // assert((*counters_)[st_global] != 0);
	64c64
	<         assert(*counters_[st_initial] != 0);
	---
	>         assert((*counters_)[st_initial] != 0);
	* Index: 0.53/include/vaucanson/automata/concept/automata_base.hxx
	restored ("value()->" restored instead of "value()." )
	* Index: 0.53/include/vaucanson/automata/concept/automata_base.hh
	143c143
	< #define DELTA_DECL(Name, Type, Kind_type, Init)
        \---
	> #define DELTA_DECL(Name, Kind_type, Init)
	(automata_base.hh cleaned - Type unused)

	* Added include/vaucanson/misc/dot_dump.hh
	* Added
      	src/tests/automata/implementation_check/check_global_consistance.cc
	* Added src/tests/automata/implementation_check/gen_random_automata.cc

	* Modified check files - ref added on AutomatonImpl
	/src/tests/automata/implementation_check/check_add_edge.cc
	/src/tests/automata/implementation_check/check_init_final.cc
	tests/automata/implementation_check/check_coherence_state_edge.cc
	/src/tests/automata/implementation_check/check_add_state.cc

	* check_global_consistance.cc & gen_random_automata.cc not finished



2002-07-01  Maxime Rey  <max@lrde.epita.fr>

	* header of implementation_check/check_init_final.cc modified
	* header of implementation_check/check_add_edge.cc modified
	* header of implementation_check/check_coherence_state_edge.cc modified

2002-07-01  Maxime Rey  <max@lrde.epita.fr>

	* Tests Initial / Final states added with:
	  src/tests/automata/implementation_check/check_init_final.cc

2002-07-01  Maxime Rey  <max@lrde.epita.fr>

	* check_add_state extended
	* Test to check edges appear with:
	  src/tests/automata/implementation_check/check_coherence_state_edge.cc
	* Test to check zombie edge appear with:
	  src/tests/automata/implementation_check/check_add_edge.cc

2002-07-01  Maxime Rey  <max@lrde.epita.fr>

	* Added include/vaucanson/automata/concept/kinds.hxx (forget)
	* Added include/vaucanson/automata/concept/kinds.hh (forget)
	* Added include/vaucanson/algebra/concept/algebra_base.hh
	 ( for declaration of namespace algebra )
	* Added src/tests/automata/algos/Makefile.am
	* Added src/tests/automata/implementation_check/Makefile.am
	* Added src/tests/automata/Makefile.am
	* Functional tests for automata began with:
	* Added src/tests/automata/implementation_check/check_add_state.cc

2002-07-01  Maxime Rey  <max@lrde.epita.fr>

	* include/vaucanson/automata/concrete/ created
	* include/vaucanson/automata/concept/ created
	* Added include/vaucanson/automata/concrete/manylinks_states.hh
	* Added include/vaucanson/automata/concrete/manylinks_impl.hh
	* Added include/vaucanson/automata/concrete/manylinks_edges.hh
	* Added include/vaucanson/automata/concrete/manylinks_carriers.hh
	* Added include/vaucanson/automata/concrete/manylinks.hh
	* Added include/vaucanson/automata/concept/transpose_impl.hxx
	* Added include/vaucanson/automata/concept/transpose_impl.hh
	* Added include/vaucanson/automata/concept/transpose.hxx
	* Added include/vaucanson/automata/concept/transpose.hh
	* Added include/vaucanson/automata/concept/translate.hxx
	* Added include/vaucanson/automata/concept/translate.hh
	* Added include/vaucanson/automata/concept/tags.hxx
	* Added include/vaucanson/automata/concept/tags.hh
	* Added include/vaucanson/automata/concept/relabel_impl.hxx
	* Added include/vaucanson/automata/concept/relabel_impl.hh
	* Added include/vaucanson/automata/concept/history.hxx
	* Added include/vaucanson/automata/concept/history.hh
	* Added include/vaucanson/automata/concept/handlers.hxx
	* Added include/vaucanson/automata/concept/handlers.hh
	* Added include/vaucanson/automata/concept/generalized.hxx
	* Added include/vaucanson/automata/concept/generalized.hh
	* Added include/vaucanson/automata/concept/copy.hxx
	* Added include/vaucanson/automata/concept/copy.hh
	* Added include/vaucanson/automata/concept/concepts.hxx
	* Added include/vaucanson/automata/concept/concepts.hh
	* Added include/vaucanson/automata/concept/automaton_impl.hxx
	* Added include/vaucanson/automata/concept/automaton_impl.hh
	* Added include/vaucanson/automata/concept/automata_base.hxx
	* Added include/vaucanson/automata/concept/automata_base.hh
	* Added include/vaucanson/automata/concept/automata.hxx
	* Added include/vaucanson/automata/concept/automata.hh

2002-06-27  Maxime Rey  <max@lrde.epita.fr>

	* include/vaucanson/misc/functors.hxx added (split)
	* include/vaucanson/misc/type_constraints.hh added
	  needed by functors.hh
	* include/vaucanson/misc/type_constraints.hh: header modified

2002-06-27  Maxime Rey  <max@lrde.epita.fr>

	* include/vaucanson/misc/converter.hxx added (split)
	* include/vaucanson/misc/ref.hxx added (split)
	* misc_constraints.hh header modified


2002-06-27  Maxime Rey  <max@lrde.epita.fr>

	* Add for futures automata files which need them
	* Added include/vaucanson/misc/converter.hh
	* Added include/vaucanson/misc/functors.hh
	* Added include/vaucanson/misc/ref.hh

2002-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/series_base.hh: modified, the
	method 'set' is known as 'assoc' from now on.

	* include/vaucanson/algebra/concept/series_base.hxx: modified in
	consequence.

	* include/vaucanson/algebra/concrete/series/krat.hxx: modified.
	* include/vaucanson/algebra/concrete/series/krat.hh: add op_series_set.

	* include/vaucanson/algebra/concrete/series/polynoms.hh:
	* include/vaucanson/algebra/concrete/series/series.hh

	* src/tests/algebra/series/series-test.cc: modified.

	35c35
	<  if (test_series<Series<NumericalSemiring, Words>, polynom<int,std::string> >(t))
	--- src/tests/algebra/series/series-test.cc
	>   if (test_series<Series<NumericalSemiring, Words>, polynom<std::string, int> >(t))

	* src/tests/algebra/series/series-test.hh: modified (add tests).

	* src/tests/algebra/series/krat-test.cc: modified.

	41c41
	<  if (test_series<Series<NumericalSemiring, Words>, rat::exp<int, std::string> >(t))
	--- src/tests/algebra/series/krat-test.cc
	>  if (test_series<Series<NumericalSemiring, Words>, rat::exp<std::string, int> >(t))


2002-06-24  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/exp.hh:

	* src/tests/fundamental/template_element-test.hh: header modified.
	* include/vaucanson/algebra/concrete/series/krat.hxx: idem.
	* include/vaucanson/algebra/concrete/series/krat.hh: idem.

	* src/tests/algebra/series/series_test.hh: added.
	* src/tests/algebra/series/series-test.cc: use it.
	* src/tests/algebra/series/krat-test.cc: added and use it too.

	An implementation of krat with visitor:
	* include/vaucanson/algebra/concrete/series/nodes.hh: new file.
	* include/vaucanson/algebra/concrete/series/exp.hh: new file.
	* include/vaucanson/algebra/concrete/series/dump_visitor.hh: new file.
	* include/vaucanson/algebra/concrete/series/depth_visitor.hh: new file.


2002-06-19  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concrete/series/polynoms.hxx: modified.
	* include/vaucanson/algebra/concrete/series/polynoms.hh: modified.
		- suppress bad header ;
		- add external binary operators (<,>,==,!=,<=,>=) ;

	* src/tests/algebra/series/series-test.cc: modified. Really use test_series.

2002-06-19  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/algebra/free_monoid/free-monoid-test: re-removed.
		(Please take care !)

2002-06-18  Maxime Rey  <robert@lrde.epita.fr>

	* Added include/vaucanson/algebra/concept/series_base.hxx
	* Added include/vaucanson/algebra/concept/series_base.hh
	* Added include/vaucanson/algebra/concrete/series/krat_conversion.hxx
	* Added include/vaucanson/algebra/concrete/series/krat_conversion.hh
	* Added include/vaucanson/algebra/concrete/series/krat.hxx
	* Added include/vaucanson/algebra/concrete/series/krat.hh
	* Added include/vaucanson/algebra/concrete/series/polynoms.hxx
	* Added include/vaucanson/algebra/concrete/series/polynoms.hh
	* Added include/vaucanson/algebra/concrete/series/series.hxx
	* Added include/vaucanson/algebra/concrete/series/series.hh
	* Added src/tests/algebra/series/series-test.cc

2002-06-18  Maxime Rey  <max@lrde.epita.fr>

	* src/tests/algebra/alphabets/alphabets-basic-test.cc extend
	  (a element is contained in Alphabet)

2002-06-18  Maxime Rey  <max@lrde.epita.fr>

	* TWords renamed ;) in SetWords in files:
	* include/vaucanson/algebra/concrete/free_monoid/words.h{h, xx}
	* include/vaucanson/algebra/concrete/free_monoid/str_words.h{h, xx}

2002-06-18  Maxime Rey  <max@lrde.epita.fr>

	* namespace sugar for alphabets deleted:
	* include/vaucanson/algebra/concrete/alphabets/alphabets.hh modified
	* include/vaucanson/algebra/concrete/alphabets/set_alphabets.hh modified
	* include/vaucanson/algebra/concrete/alphabets/set_alphabets.hxx modified
	* tests modified for the consequence

2002-06-18  Maxime Rey  <max@lrde.epita.fr>

	* Added include/vaucanson/algebra/concept/freemonoid_base.hxx
	* Added include/vaucanson/algebra/concept/freemonoid_base.hh
	* Added include/vaucanson/algebra/concrete/free_monoid/words.hxx
	* Added include/vaucanson/algebra/concrete/free_monoid/words.hh
	* Added include/vaucanson/algebra/concrete/free_monoid/str_words.hxx
	* Added include/vaucanson/algebra/concrete/free_monoid/str_words.hh
	* Added src/tests/algebra/free_monoid/free-monoid-test
	* Added src/tests/algebra/free_monoid/free_monoid-test.cc

2002-06-18  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/fundamental/design_pattern-test.hh: remove arithmetic operators.
	* src/tests/algebra/semiring/semiring-test.hh: use design_pattern-test.hh.

2002-06-18  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/algebra/semiring/semiring-tropical-test.cc: added.
	* src/tests/algebra/semiring/semiring-test.hh: added.

	* src/tests/algebra/semiring/semiring-numerical-test.cc: now, use semiring-test.hh.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/algebra/semiring/semiring-numerical-test.cc: modified.
		Added new tests.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/algebra/semiring/semiring-numerical-test.cc: added.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/algebra/Makefile.am: added.
	* src/tests/algebra/Makefile.in: added.
	* src/tests/algebra/semiring/Makefile.in: added.
	* src/tests/algebra/semiring/Makefile.am: added.

	* include/vaucanson/fundamental/element_ops.hh: modified.
		> # include <vaucanson/misc/selectors.hh>

	* include/vaucanson/fundamental/element_base.hxx: modified.
		Fix minor bugs.

	* configure.ac: modified. Add Makefiles.
	* include/vaucanson/algebra/concept/semigroup_base.hxx: modified.
		Fix includes.
	* include/vaucanson/algebra/concept/numerical_semiring.hh: idem.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/numerical_constraints.hh: added.
   	* include/vaucanson/misc/misc_constraints.hh: added.
	* include/vaucanson/misc/constraints.hh: added.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/fundamental/basic_type.hh: removed.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/numerical_semiring.hh: added.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hxx: added.
	* include/vaucanson/algebra/concrete/semiring/numerical_semiring.hh: added.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/semiring_base.hh: added.
	* include/vaucanson/algebra/concept/semiring_base.hxx: added.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/monoid_base.hh: added.
	* include/vaucanson/algebra/concept/monoid_base.hxx: added.

2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/algebra/concept/semigroup_base.hh: added.
	* include/vaucanson/algebra/concept/semigroup_base.hxx: added.


2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/fundamental/element_ops.hh: remove vslot() and sslot().
	* include/vaucanson/fundamental/element.hxx: remove vslot() and sslot().
	* include/vaucanson/fundamental/element.hh: added documentation.
	* include/vaucanson/fundamental/element_base.hh: MetaElementBase
	is now known as SyntacticDecorator.
	* include/vaucanson/fundamental/meta_element.hxx: modified in consequence.
	* include/vaucanson/fundamental/meta_element.hh: modified in consequence and add doc.


2002-06-17  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/fundamental/design_pattern-test.hh: added. Hold static tests for element.
	* src/tests/fundamental/element-full-test.cc: modified. Now use design_pattern-test.hh.

	* Makefile.am: Automake 1.6 is expected from now on.
	* src/tests/check/Makefile.flags:AM_CXXFLAGS = -Wall -W -Wno-unused -ansi -pedantic
		To avoid stupid warnings.

2002-06-14  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* Removed `src/tests/tests_stuff.hh': moved to src/tests/check.

2002-06-14  Yann Régis-Gianas  <yann@lrde.epita.fr>

	Packaging files:
	(do not forget to update these in the future)
	* Added configure
	* Added depcomp
	* Added Makefile.in
	* Added missing
	* Added mkinstalldirs
	* Added aclocal.m4
	* Added install-sh
	* Added configure.ac
	* Added Makefile.am
	* Added include/Makefile.in
	* Added src/Makefile.in
	* Added src/Makefile.am
	* Added src/tests/Makefile.in
	* Added src/tests/Makefile.am
	* Added src/tests/check/tests_stuff.hh
	* Added src/tests/check/tests_stuff.cc
	* Added src/tests/check/Makefile.in
	* Added src/tests/check/Makefile.flags
	* Added src/tests/check/Makefile.check
	* Added src/tests/check/Makefile.am
	* Added src/tests/fundamental/Makefile.in
	* Added src/tests/fundamental/Makefile.am

	* Modified: include/Makefile.am
	5a6,36
	> nobase_include_HEADERS = \
	> ./vaucanson/fundamental/slots.hxx\
	> ./vaucanson/fundamental/predefs.hh\
	> ./vaucanson/fundamental/meta_set.hh\
	> ./vaucanson/fundamental/slots.hh\
	> ./vaucanson/fundamental/element_base.hh\
	> ./vaucanson/fundamental/op_traits.hh\
	> ./vaucanson/fundamental/element_base.hxx\
	> ./vaucanson/fundamental/element.hh\
	> ./vaucanson/fundamental/element.hxx\
	> ./vaucanson/fundamental/element_ops.hh\
	> ./vaucanson/fundamental/fundamental.hh\
	> ./vaucanson/fundamental/meta_element.hxx\
	> ./vaucanson/fundamental/meta_element.hh\
	> ./vaucanson/fundamental/structure.hxx\
	> ./vaucanson/fundamental/structure.hh\
	> ./vaucanson/fundamental/default_ops.hxx\
	> ./vaucanson/fundamental/default_ops.hh\
	> ./vaucanson/misc/static.hh\
	> ./vaucanson/misc/container_ops.hxx\
	> ./vaucanson/misc/static.hxx\
	> ./vaucanson/misc/container_ops.hh\
	> ./vaucanson/misc/selectors.hh\
	> ./vaucanson/internal/traits.hh\
	> ./vaucanson/algebra/concrete/alphabets/set_alphabet.hxx\
	> ./vaucanson/algebra/concrete/alphabets/set_alphabet.hh\
	> ./vaucanson/algebra/concrete/alphabets/alphabets.hh\
	> ./vaucanson/algebra/concept/concepts.hxx\
	> ./vaucanson/algebra/concept/concepts.hh\
	> ./vaucanson/algebra/concept/alphabets_base.hxx\
	> ./vaucanson/algebra/concept/alphabets_base.hh
	\ No newline at end of file

	* Modified: src/tests/fundamental/element-full-test.cc
	10c10
	< #include <tests/tests_stuff.hh>
	--- src/tests/fundamental/element-full-test.cc
	> #include <check/tests_stuff.hh>


2002-06-14  Yann Régis-Gianas  <yann@lrde.epita.fr>

	Doxygen files:
	* Added doc/vaucanson.doxywizard
	* Added doc/src/main.dox
	* Added doc/css/vaucanson.css


2002-06-07  Maxime Rey  <max@lrde.epita.fr>

	* Added include/vaucanson/algebra/concrete/alphabets/set_alphabet.hxx
	* Added include/vaucanson/algebra/concrete/alphabets/set_alphabet.hh
	* Added include/vaucanson/algebra/concrete/alphabets/alphabets.hh
	* Added include/vaucanson/algebra/concept/concepts.hxx
	* Added include/vaucanson/algebra/concept/concepts.hh
	* Added include/vaucanson/algebra/concept/alphabets_base.hxx
 	* Added include/vaucanson/algebra/concept/alphabets_base.hh
	* Added include/vaucanson/misc/container_ops.hxx
	* Added include/vaucanson/misc/container_ops.hh
	* Test Alphabets Algebraic Structure

2002-06-07  Maxime Rey  <max@lrde.epita.fr>

	* src/tests/fundamental/element-full-test.cc modified
	* fundamental: [ OK ]

2002-06-05  Maxime Rey  <max@lrde.epita.fr>

	* Added include/vaucanson/internal/traits.hh
	* Added include/vaucanson/fundamental/meta_element.hxx
	* Added include/vaucanson/fundamental/meta_element.hh
	* Added include/vaucanson/fundamental/structure.hxx
	* Added include/vaucanson/fundamental/structure.hh
	* Added include/vaucanson/fundamental/default_ops.hxx
	* Added include/vaucanson/fundamental/default_ops.hh
	* Added src/tests/fundamental/basic_type.hh

2002-06-03  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/tests_stuff.hh: Added.

	* src/tests/fundamental/element-full-test.cc: Use tests_stuff.hh.

2002-06-03  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* src/tests/fundamental/element-full-test.cc: Added.

2002-06-03  Maxime Rey  <max@lrde.epita.fr>

	* include/vaucanson/fundamental/meta_set.hh: Added

	* include/vaucanson/fundamental/fundamental.hh: Modified

	* include/vaucanson/fundamental/slots.hh: Modified

	* include/vaucanson/fundamental/slots.hxx: Modified

	* include/vaucanson/fundamental/op_traits.hh: Modified

2002-06-03  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* include/vaucanson/misc/selectors.hh: Added.

	* include/vaucanson/misc/static.hh: Added.

	* include/vaucanson/misc/static.hxx: Added.

	* include/fundamental: added.
	 Added include/vaucanson/fundamental/predefs.hh
	 Added include/vaucanson/fundamental/slots.hxx
	 Added include/vaucanson/fundamental/slots.hh
	 Added include/vaucanson/fundamental/op_traits.hh
	 Added include/vaucanson/fundamental/fundamental.hh
	 Added include/vaucanson/fundamental/element_ops.hh
	 Added include/vaucanson/fundamental/element.hxx
	 Added include/vaucanson/fundamental/element.hh
	 Added include/vaucanson/fundamental/element_base.hxx
	 Added include/vaucanson/fundamental/element_base.hh


2002-05-31  Yann Régis-Gianas  <yann@lrde.epita.fr>

	* This file (ChangeLog): added.
	* src/: added.
	* include/: added.
